#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "load2six4xi.py">
#<abstract4xi abstract = "loads direction six"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'load2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "

from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six104xi            # 10   - 90 
global shot2six1004xi           # 100  -    
global shot2six2004xi    
global shot2six3004xi
global shot2six4004xi
global shot2six5004xi
global shot2six6004xi
global shot2six7004xi
global shot2six8004xi
global shot2six9004xi
global shot2six10004xi            
global shot2six11004xi
global shot2six12004xi
global shot2six13004xi
global shot2six14004xi
global shot2six15004xi
global shot2six16004xi
global shot2six17004xi
global shot2six18004xi
global shot2six19004xi
global shot2six20004xi
global shot2six21004xi
global shot2six22004xi
global shot2six23004xi
global shot2six24004xi
global shot2six25004xi
global shot2six26004xi
global shot2six27004xi
global shot2six28004xi
global shot2six29004xi
global shot2six30004xi
global shot2six31004xi
global shot2six32004xi
global shot2six33004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - ) - STUBS ONLY - ALL ARE IN FILES
# -------------------------------------------------------------------------------------------------    

shot2six104xi = {
        1:'-11x47y-49z',
        2:'-25x5y-14z',
        3:'-57x15y-7z',
        4:'0x12y-27z'
        }
       

shot2six1004xi = {
        1:'-10x35y-92z',
        2:'-40x48y-77z',
        3:'-85x17y-49z',
        4:'0x0y-99z'
        }


shot2six2004xi = {
        1:'-100x3y-172z',
        2:'-170x0y-105z',
        3:'-31x58y-188z',
        4:'-9x78y-183z'
        }


shot2six3004xi = {
        1:'-101x168y-225z',
        2:'-254x66y-144z',
        3:'-61x280y-86z',
        4:'-93x271y-87z'
        }


shot2six4004xi = {
        1:'-100x368y-119z',
        2:'-323x234y-21z',
        3:'-58x123y-376z',
        4:'-89x259y-290z'
        }

shot2six5004xi = {
        1:'-100x62y-485z',
        2:'-261x79y-418z',
        3:'-491x50y-76z',
        4:'-99x94y-480z'
        }

shot2six6004xi = {
        1:'-100x165y-568z',
        2:'-293x204y-482z',
        3:'-434x339y-236z',
        4:'-98x18y-591z'
        }

shot2six7004xi = {
        1:'-101x215y-658z',
        2:'-333x259y-558z',
        3:'-487x423y-269z',
        4:'-96x2y-693z'
        }

shot2six8004xi = {
        1:'-106x259y-749z',
        2:'-310x410y-612z',
        3:'-547x487y-320z',
        4:'-99x558y-564z'
        }

shot2six9004xi = {
        1:'-106x305y-839z',
        2:'-268x813y-276z',
        3:'-469x116y-758z',
        4:'-95x861y-242z'
        }                         


shot2six10004xi = {
        1:'-103x354y-929z',
        2:'-285x609y-739z',
        3:'-600x715y-357z',
        4:'-985x49y-162z'
        }                       


shot2six11004xi = {
        1:'-1001x443y-102z',
        2:'-281x693y-806z',
        3:'-567x78y-938z',
        4:'-97x781y-768z'
        }

shot2six12004xi = {
        1:'-1005x650y-75z',
        2:'-233x112y-1171z',
        3:'-604x20y-1036z',
        4:'-994x375y-557z'
        }

shot2six13004xi = {
        1:'-1004x626y-536z',
        2:'-191x15y-1285z',
        3:'-292x844y-944z',
        4:'-988x634y-557z'
        }

shot2six14004xi = {
        1:'-1014x791y-552z',
        2:'-192x5y-1386z',
        3:'-358x882y-1026z',
        4:'-996x798y-574z'
        }

shot2six15004xi = {
        1:'-1000x964y-564z',
        2:'-1418x457y-168z',
        3:'-397x1383y-422z',
        4:'-980x970y-587z'
        }

shot2six16004xi = {
        1:'-1009x1241y-4z',
        2:'-1534x407y-196z',
        3:'-322x250y-1547z',
        4:'-994x1093y-612z'
        }

shot2six17004xi = {
        1:'-1021x1215y-607z',
        2:'-1470x844y-123z',
        3:'-247x524y-1598z',
        4:'-998x1220y-634z'
        }
       
shot2six18004xi = {
        1:'-1016x1347y-626z',
        2:'-159x1278y-1256z',
        3:'-333x119y-1764z',
        4:'-992x1351y-655z'
        }

shot2six19004xi = {
        1:'-1000x1481y-643z',
        2:'-1621x335y-932z',
        3:'-351x126y-1862z',
        4:'-993x301y-1591z'
        }

shot2six20004xi = {
        1:'-1006x33y-1727z',
        2:'-1499x1048y-807z',
        3:'-248x1395y-1410z',
        4:'-99x787y-1835z'
        }         


shot2six21004xi = {
        1:'-1022x1699y-691z',
        2:'-1665x922y-885z',
        3:'-361x88y-2066z',
        4:'-999x778y-1674z'
        }

shot2six22004xi = {
        1:'-1016x880y-1740z',
        2:'-1565x1254y-902z',
        3:'-2133x448y-291z',
        4:'-981x944y-1727z'
        }

shot2six23004xi = {
        1:'-1024x1923y-735z',
        2:'-1636x1311y-943z',
        3:'-2175x701y-259z',
        4:'-993x1924y-773z'
        }

shot2six24004xi = {
        1:'-1028x1099y-1869z',
        2:'-1600x1543y-902z',
        3:'-207x883y-2221z',
        4:'-981x1165y-1854z'
        }
       

shot2six25004xi = {
        1:'-1005x2153y-775z',
        2:'-1587x1700y-916z',
        3:'-216x920y-2314z',
        4:'-972x2153y-816z'
        }


shot2six26004xi = {
        1:'-1007x1332y-1992z',
        2:'-1640x2016y-7z',
        3:'-2223x104y-1342z',
        4:'-947x1400y-1975z'
        }

shot2six27004xi = {
        1:'-1046x1384y-2068z',
        2:'-1810x2002y-34z',
        3:'-2618x550y-357z',
        4:'-983x1453y-2051z'
        }

shot2six28004xi = {
        1:'-1001x2475y-842z',
        2:'-1681x2002y-1000z',
        3:'-2421x1390y-203z',
        4:'-964x2473y-888z'
        }

shot2six29004xi = {
        1:'-1037x2563y-872z',
        2:'-1742x2073y-1036z',
        3:'-343x985y-2705z',
        4:'-999x2562y-919z'
        }

shot2six30004xi = {
        1:'-1018x1689y-2259z',
        2:'-1893x2327y-8z',
        3:'-2559x530y-1471z',
        4:'-939x1760y-2239z'
        }         


shot2six31004xi = {
        1:'-1052x1746y-2334z',
        2:'-1927x2118y-1186z',
        3:'-3006x632y-410z',
        4:'-971x1819y-2314z'
        }

shot2six32004xi = {
        1:'-1002x1878y-2389z',
        2:'-1670x413y-2697z',
        3:'-2740x419y-1597z',
        4:'-998x2893y-932z'
       }

shot2six33004xi = {
        1:'-1029x2984y-961z',
        2:'-2338x2327y-75z',
        3:'-340x1169y-3067z',
        4:'-98x1335y-3015z'
        }

      
#"
#"/>
    

# -------------------------------------------------------------------------------------------------
#<function4xi function = "load2six4xi" usage = "creating spheres">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def load2six4xi():
    '''
    READS MANOEUVRES (X - ,Y + ,Z - )
    '''
    
    # -------------------------------------------------------------------------------------------------
    # START                   
    # -------------------------------------------------------------------------------------------------                                                               
    debug = True
    
    time2start = time4xi()
    if debug is True:
        print("\n (STEP 1A1/33) OF LOAD2SIX4XI - STARTED TIME: ", time2start)
    
        # print("\n (STEP 1A2/33) OF LOAD2SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
    
        # print("\n (STEP 1A3/33) OF LOAD2SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
          
        # print("\n (STEP 1A4/33) OF LOAD2SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
    else:
        pass    


        
    # =================================================================================================
    # READ FILES AND BUILD DICTIONARIES WHILE MAKING SURE THAT AT LEAST A STUB DICTIONARY IS CREATED ! 
    # =================================================================================================
    
    # -------------------------------------------------------------------------------------------------
    # 10
    # -------------------------------------------------------------------------------------------------         
    debug10 = False
    
    shot2six104xi = {
        1:'-11x47y-49z',
        2:'-25x5y-14z',
        3:'-57x15y-7z',
        4:'0x12y-27z'
        }
            
    print("\n (STEP 10A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six104xi, " - TIME: ", time4xi())   
    # 

            
    try:    
        order10 = 0
                   
        ack10 = True        
        try:
            path2file      = '..\\..\\txt\\shot2six104xi.txt'            
            f10=open(path2file, 'r')
            if debug10 is True:
                print("\n (STEP 10A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())
                # ..\..\txt\shot2six104xi.txt  - TIME:  08:41:17 07/26/10 Pacific Daylight Time
            else:
                pass    
                        
        except: 
            if debug10 is True:    
                print("    10B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            else:
                pass                
            ack10 = False    
                
        if ack10 is True:
      
            if debug10 is True:
                print("\n (STEP 10B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())
                # ..\..\txt\shot2six104xi.txt  - TIME:  08:41:17 07/26/10 Pacific Daylight Time   
            
                print("\n (STEP 10C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six104xi, " - TIME: ", time4xi())
                # 
            else:
                pass                    
  
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f10.readline()                                                        # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug10 is True: 
                        print('(STEP 10D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)
                        # 
                    else:
                        pass
                            
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug10 is True:                                                          
                            print('(STEP 10E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi) 
                            # 
                        else:
                            pass                                                                                                     
                        order10 = order10 + 1                                                       
                        key2dictionary = input_line2xi                                                 #                                
                    else:
                        if debug10 is True:                                                            # info line
                            print('(STEP 10F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)
                            # 
                        else:
                            pass       
                        
                        shot2six104xi[order10] = key2dictionary                                        
                        if debug10 is True:    
                            print('(STEP 10G/33) CREATED SHOT2SIX104XI[', order10, ']: ', shot2six104xi[order10]) # [1]:  0x0y19z ...[81]:  9x27y27z 
                        else:
                            pass    
                else:
                                                                                                       # copyright line
                    if debug10 is True:    
                        print('(STEP 10H/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)
                        # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. --> 
                    else:
                        pass
                              
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ---------------------------------------------------------------------------------------------------------------------------- 
                        
            f10.close()
            if debug10 is True:    
                print('(STEP 10H/33) CLOSED INPUT FILE: ', f10)                        
                #<_io.TextIOWrapper name='..\\..\\txt\\shot2six104xi.txt' encoding='cp1252'>
                
                print('(STEP 10J/33) CREATED DICTIONARY SHOT2SIX104XI: ')                          
        
                keys2shot = shot2six104xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six104xi[key2shot])
           
                #
                # 1  :  -11x47y-49z
                # 2  :  -12x13y-7z
                # 3  :  -13x12y-7z
                # 4  :  -13x12y-8z
                # 5  :  -13x46y-50z
                # 6  :  -14x10y-8z
                # 7  :  -14x11y-8z
                # 8  :  -15x45y-50z
                # 9  :  -15x8y-8z
                # 10  :  -15x9y-8z
                # 11  :  -16x4y-9z
                # 12  :  -16x5y-9z
                # 13  :  -16x6y-9z
                # 14  :  -16x7y-9z
                # 15  :  -17x44y-51z
                # 16  :  -19x42y-51z
                # 17  :  -1x0y-59z
                # 18  :  -1x11y-27z
                # 19  :  -1x9y-2z
                # 20  :  -25x0y-15z
                # 21  :  -25x1y-15z
                # 22  :  -25x2y-15z
                # 23  :  -25x3y-14z
                # 24  :  -25x46y-59z
                # 25  :  -25x5y-14z
                # 26  :  -27x45y-60z
                # 27  :  -29x43y-60z
                # 28  :  -2x11y-27z
                # 29  :  -2x9y-2z
                # 30  :  -2x9y-3z
                # 31  :  -31x41y-61z
                # 32  :  -32x38y-61z
                # 33  :  -34x36y-62z
                # 34  :  -35x34y-62z
                # 35  :  -35x48y0z
                # 36  :  -36x32y-63z
                # 37  :  -37x46y0z
                # 38  :  -38x29y-63z
                # 39  :  -39x24y-64z
                # 40  :  -39x27y-64z
                # 41  :  -3x10y-27z
                # 42  :  -3x8y-3z
                # 43  :  -3x9y-28z
                # 44  :  -40x22y-65z
                # 45  :  -40x44y0z
                # 46  :  -42x42y-1z
                # 47  :  -44x40y-1z
                # 48  :  -46x22y-73z
                # 49  :  -46x37y-2z
                # 50  :  -48x35y-3z
                # 51  :  -4x8y-3z
                # 52  :  -4x9y-28z
                # 53  :  -50x32y-3z
                # 54  :  -51x29y-4z
                # 55  :  -53x27y-4z
                # 56  :  -54x24y-5z
                # 57  :  -55x21y-6z
                # 58  :  -56x18y-6z
                # 59  :  -57x15y-7z
                # 60  :  -5x0y-49z
                # 61  :  -5x7y-3z
                # 62  :  -67x14y-9z
                # 63  :  -68x0y-12z
                # 64  :  -68x10y-9z
                # 65  :  -68x3y-11z
                # 66  :  -68x7y-10z
                # 67  :  -6x0y-49z
                # 68  :  -6x11y-37z
                # 69  :  -6x49y-48z
                # 70  :  -7x0y-49z
                # 71  :  -7x10y-37z
                # 72  :  -7x1y-49z
                # 73  :  -7x4y-38z
                # 74  :  -7x7y-38z
                # 75  :  -7x8y-38z
                # 76  :  -7x9y-38z
                # 77  :  -8x1y-49z
                # 78  :  -8x2y-49z
                # 79  :  -8x48y-49z
                # 80  :  -8x4y-38z
                # 81  :  -8x5y-38z
                # 82  :  -8x6y-38z
                # 83  :  -9x3y-48z
                # 84  :  -9x3y-49z
                # 85  :  -9x4y-48z
                # 86  :  0x0y-59z
                # 87  :  0x12y-27z

                
                     
              
              
                   
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 10H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six104xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 10I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six104xi, " - TIME: ", time4xi())    
    
    # -------------------------------------------------------------------------------------------------
    # 100
    # -------------------------------------------------------------------------------------------------         
    debug100 = False  
    shot2six1004xi = {
        1:'-10x35y-92z',
        2:'-40x48y-77z',
        3:'-85x17y-49z',
        4:'0x0y-99z'
        }
     
    
    print("\n (STEP 100A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six1004xi, " - TIME: ", time4xi())   

    try:
        order100 = 0           
    
        ack100 = True     
        try:
            path2file      = '..\\..\\txt\\shot2six1004xi.txt'            
            f100=open(path2file, 'r')
            if debug100 is True:    
                print("\n (STEP 100A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())
            else:
                pass
                       
        except:
            if debug100 is True:
                print("\n (STEP 100B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack100 = False
                
        if ack100 is True:
      
            if debug100 is True:
                print("\n (STEP 100B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 100C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six1004xi, " - TIME: ", time4xi())
            else:
                pass
                                
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f100.readline()                                                  # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug100 is True: 
                        print('(STEP 100D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)
                    else:
                        pass
                                
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug100 is True:                                                          
                            print('(STEP 100E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)
                        else:
                            pass
                                                                                                          
                        order100 = order100 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug100 is True:                                                          # info line
                            print('(STEP 100F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)#
                        else:
                            pass
                                 
                        nack2info = False          
                        ack2info = True
                          
                                                               
                        shot2six1004xi[order100] = key2dictionary                                        
                        if debug100 is True:    
                            print('(STEP 100G/33) CREATED SHOT2SIX1004XI[', order100, ']: ', shot2six1004xi[order100]) #
                        else:
                            pass       
                                                                                                       
                else:                                                                                  # copyright line
                    if debug100 is True:    
                        print('(STEP 100G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)               # 
                    else:
                        pass
                             
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f100.close()
            if debug100 is True:    
                print('(STEP 100H/33) CLOSED INPUT FILE: ', f100)                        
                #
                
                print('(STEP 100J/33) CREATED DICTIONARY SHOT2SIX1004XI: ')                         
                #            
                keys2shot = shot2six1004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six1004xi[key2shot])
                    
                #
                # 1  :  -10x35y-92z
                # 2  :  -10x95y-26z
                # 3  :  -11x0y-99z
                # 4  :  -11x33y-93z
                # 5  :  -12x0y-99z
                # 6  :  -12x69y-70z
                # 7  :  -13x0y-99z
                # 8  :  -13x32y-93z
                # 9  :  -144x113y-78z
                # 10  :  -14x1y-98z
                # 11  :  -14x30y-94z
                # 12  :  -15x29y-94z
                # 13  :  -15x2y-98z
                # 14  :  -15x68y-71z
                # 15  :  -15x94y-27z
                # 16  :  -16x27y-94z
                # 17  :  -16x3y-98z
                # 18  :  -16x95y-26z
                # 19  :  -17x25y-94z
                # 20  :  -17x4y-98z
                # 21  :  -17x5y-98z
                # 22  :  -18x22y-95z
                # 23  :  -18x24y-95z
                # 24  :  -18x6y-98z
                # 25  :  -19x10y-97z
                # 26  :  -19x18y-96z
                # 27  :  -19x20y-95z
                # 28  :  -19x66y-71z
                # 29  :  -19x7y-97z
                # 30  :  -19x9y-97z
                # 31  :  -20x12y-97z
                # 32  :  -20x13y-96z
                # 33  :  -20x15y-96z
                # 34  :  -20x17y-96z
                # 35  :  -20x93y-28z
                # 36  :  -21x93y-27z
                # 37  :  -22x64y-72z
                # 38  :  -25x63y-73z
                # 39  :  -25x92y-29z
                # 40  :  -26x92y-28z
                # 41  :  -28x60y-73z
                # 42  :  -29x90y-30z
                # 43  :  -2x40y-91z
                # 44  :  -31x58y-74z
                # 45  :  -31x90y-29z
                # 46  :  -33x56y-75z
                # 47  :  -34x88y-31z
                # 48  :  -35x88y-30z
                # 49  :  -36x53y-75z
                # 50  :  -38x51y-76z
                # 51  :  -38x86y-32z
                # 52  :  -40x48y-77z
                # 53  :  -40x86y-31z
                # 54  :  -42x45y-77z
                # 55  :  -43x83y-33z
                # 56  :  -44x42y-78z
                # 57  :  -44x83y-31z
                # 58  :  -46x40y-79z
                # 59  :  -47x37y-79z
                # 60  :  -47x81y-34z
                # 61  :  -48x34y-80z
                # 62  :  -48x80y-32z
                # 63  :  -49x0y-86z
                # 64  :  -49x31y-80z
                # 65  :  -4x39y-91z
                # 66  :  -50x1y-86z
                # 67  :  -50x28y-81z
                # 68  :  -51x10y-84z
                # 69  :  -51x21y-82z
                # 70  :  -51x24y-82z
                # 71  :  -51x4y-85z
                # 72  :  -51x78y-35z
                # 73  :  -51x7y-85z
                # 74  :  -52x12y-84z
                # 75  :  -52x15y-83z
                # 76  :  -52x18y-83z
                # 77  :  -52x77y-33z
                # 78  :  -55x75y-36z
                # 79  :  -56x74y-34z
                # 80  :  -58x71y-37z
                # 81  :  -58x80y0z
                # 82  :  -60x71y-35z
                # 83  :  -62x68y-38z
                # 84  :  -63x68y-36z
                # 85  :  -63x77y0z
                # 86  :  -65x64y-39z
                # 87  :  -66x64y-37z
                # 88  :  -67x74y-1z
                # 89  :  -68x60y-40z
                # 90  :  -69x60y-38z
                # 91  :  -6x38y-92z
                # 92  :  -70x70y-2z
                # 93  :  -71x57y-41z
                # 94  :  -73x52y-41z
                # 95  :  -74x66y-3z
                # 96  :  -76x48y-42z
                # 97  :  -77x62y-4z
                # 98  :  -78x44y-43z
                # 99  :  -79x40y-44z
                # 100  :  -80x58y-5z
                # 101  :  -81x35y-45z
                # 102  :  -82x31y-46z
                # 103  :  -83x26y-47z
                # 104  :  -83x54y-6z
                # 105  :  -84x22y-48z
                # 106  :  -85x0y-52z
                # 107  :  -85x13y-49z
                # 108  :  -85x17y-49z
                # 109  :  -85x4y-51z
                # 110  :  -85x8y-50z
                # 111  :  -86x49y-7z
                # 112  :  -88x45y-8z
                # 113  :  -8x36y-92z
                # 114  :  -8x71y-69z
                # 115  :  -91x40y-9z
                # 116  :  -92x35y-10z
                # 117  :  -94x30y-11z
                # 118  :  -95x25y-12z
                # 119  :  -96x20y-13z
                # 120  :  -97x15y-14z
                # 121  :  -98x0y-17z
                # 122  :  -98x10y-15z
                # 123  :  -98x4y-16z
                # 124  :  0x0y-99z
            
                
              
                
                
              
                
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 100H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six1004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 10oI/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six1004xi, " - TIME: ", time4xi())    
        
    # -------------------------------------------------------------------------------------------------
    # 200
    # -------------------------------------------------------------------------------------------------         
    debug200 = False
    
    shot2six2004xi = {
        1:'-100x3y-172z',
        2:'-170x0y-105z',
        3:'-31x58y-188z',
        4:'-9x78y-183z'
        }
            
    print("\n (STEP 200A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six2004xi, " - TIME: ", time4xi())   
    
        
    try:
        order200 = 0           
            
        ack200 = True
        try:
            path2file      = '..\\..\\txt\\shot2six2004xi.txt'            
            f200=open(path2file, 'r')
            if debug200 is True:
                print("\n (STEP 200A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())
            else:
                pass       
        except:
            if debug200 is True:
                print("\n (STEP 200B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())
            else:
                pass
                           
            ack200 = False
        
        if ack200 is True:
      
            if debug200 is True:
                print("\n (STEP 200B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 200C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six2004xi, " - TIME: ", time4xi())
            else:
                pass
                                
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f200.readline()                                                        # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug200 is True: 
                        print('(STEP 200D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi) 
                    else:
                        pass
                               
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug200 is True:                                                          
                            print('(STEP 200E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)
                        else:
                            pass
                                                                                                        
                        order200 = order200 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug200 is True:                                                          # info line
                            print('(STEP 200F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        else:
                            pass   
                        nack2info = False          
                        ack2info = True
                          
    
                        shot2six2004xi[order200] = key2dictionary                                        
                        if debug200 is True:    
                            print('(STEP 200G/33) CREATED SHOT2SIX2004XI[', order200, ']: ', shot2six2004xi[order200]) #
                        else:
                            pass
                                 
                                                                                                           
                else:                                                                                  # copyright line
                    if debug200 is True:    
                        print('(STEP 200G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)               # 
                    else:
                        pass
                             
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f200.close()
            if debug200 is True:    
                print('(STEP 200H/33) CLOSED INPUT FILE: ', f200)                        
                # 
                
                print('(STEP 200J/33) CREATED DICTIONARY SHOT2SIX2004XI: ')                        
                #            
                keys2shot = shot2six2004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six2004xi[key2shot])
                    
                #
                # 1  :  -100x3y-172z
                # 2  :  -101x56y-163z
                # 3  :  -102x156y-70z
                # 4  :  -102x49y-164z
                # 5  :  -102x8y-171z
                # 6  :  -103x14y-170z
                # 7  :  -103x20y-169z
                # 8  :  -103x43y-165z
                # 9  :  -104x25y-168z
                # 10  :  -104x31y-167z
                # 11  :  -104x37y-166z
                # 12  :  -105x155y-67z
                # 13  :  -110x150y-72z
                # 14  :  -112x149y-69z
                # 15  :  -117x143y-74z
                # 16  :  -120x143y-71z
                # 17  :  -124x136y-76z
                # 18  :  -126x136y-73z
                # 19  :  -126x155y0z
                # 20  :  -130x129y-78z
                # 21  :  -133x128y-75z
                # 22  :  -134x148y-2z
                # 23  :  -136x121y-80z
                # 24  :  -139x121y-77z
                # 25  :  -13x76y-184z
                # 26  :  -141x141y-4z
                # 27  :  -142x114y-82z
                # 28  :  -144x113y-78z
                # 29  :  -147x105y-83z
                # 30  :  -148x133y-6z
                # 31  :  -152x97y-85z
                # 32  :  -155x125y-8z
                # 33  :  -156x89y-87z
                # 34  :  -159x80y-89z
                # 35  :  -161x117y-10z
                # 36  :  -163x71y-91z
                # 37  :  -165x62y-92z
                # 38  :  -167x108y-12z
                # 39  :  -167x53y-94z
                # 40  :  -169x44y-96z
                # 41  :  -170x0y-105z
                # 42  :  -170x35y-98z
                # 43  :  -171x17y-101z
                # 44  :  -171x26y-99z
                # 45  :  -171x8y-103z
                # 46  :  -172x99y-14z
                # 47  :  -177x90y-16z
                # 48  :  -17x142y-139z
                # 49  :  -17x73y-185z
                # 50  :  -182x80y-18z
                # 51  :  -185x70y-20z
                # 52  :  -189x60y-22z
                # 53  :  -191x50y-24z
                # 54  :  -193x40y-26z
                # 55  :  -195x30y-28z
                # 56  :  -196x20y-30z
                # 57  :  -197x0y-34z
                # 58  :  -197x9y-32z
                # 59  :  -1x0y-199z
                # 60  :  -20x70y-185z
                # 61  :  -21x191y-53z
                # 62  :  -224x157y-121z
                # 63  :  -23x67y-186z
                # 64  :  -24x139y-141z
                # 65  :  -25x0y-198z
                # 66  :  -26x64y-187z
                # 67  :  -27x0y-198z
                # 68  :  -29x2y-197z
                # 69  :  -29x61y-188z
                # 70  :  -31x136y-142z
                # 71  :  -31x189y-55z
                # 72  :  -31x4y-197z
                # 73  :  -31x58y-188z
                # 74  :  -32x6y-197z
                # 75  :  -33x190y-52z
                # 76  :  -33x55y-189z
                # 77  :  -34x8y-196z
                # 78  :  -35x10y-196z
                # 79  :  -35x51y-189z
                # 80  :  -36x48y-190z
                # 81  :  -37x13y-196z
                # 82  :  -37x44y-191z
                # 83  :  -38x133y-143z
                # 84  :  -38x15y-195z
                # 85  :  -38x18y-195z
                # 86  :  -38x41y-191z
                # 87  :  -39x21y-194z
                # 88  :  -39x37y-192z
                # 89  :  -40x187y-57z
                # 90  :  -40x24y-194z
                # 91  :  -40x27y-193z
                # 92  :  -40x31y-193z
                # 93  :  -40x34y-192z
                # 94  :  -43x187y-54z
                # 95  :  -44x129y-145z
                # 96  :  -50x184y-59z
                # 97  :  -51x126y-146z
                # 98  :  -52x184y-56z
                # 99  :  -57x121y-147z
                # 100  :  -59x180y-61z
                # 101  :  -5x80y-182z
                # 102  :  -62x117y-149z
                # 103  :  -62x180y-58z
                # 104  :  -67x112y-150z
                # 105  :  -68x176y-63z
                # 106  :  -71x176y-60z
                # 107  :  -72x107y-151z
                # 108  :  -77x102y-153z
                # 109  :  -77x172y-65z
                # 110  :  -80x172y-62z
                # 111  :  -81x97y-154z
                # 112  :  -85x91y-155z
                # 113  :  -86x167y-67z
                # 114  :  -89x167y-63z
                # 115  :  -89x85y-157z
                # 116  :  -92x80y-158z
                # 117  :  -94x162y-69z
                # 118  :  -95x74y-159z
                # 119  :  -97x161y-65z
                # 120  :  -97x68y-160z
                # 121  :  -99x62y-161z
                # 122  :  -9x78y-183z
              
                
               
                
            
                
                                                       
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 200H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six2004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 200I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six2004xi, " - TIME: ", time4xi())    
        
    # -------------------------------------------------------------------------------------------------
    # 300
    # -------------------------------------------------------------------------------------------------         
    debug300 = False
    
    shot2six3004xi = {
        1:'-101x168y-225z',
        2:'-254x66y-144z',
        3:'-61x280y-86z',
        4:'-93x271y-87z'
        }
            
    print("\n (STEP 300A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six3004xi, " - TIME: ", time4xi())   

        
    try:
        order300 = 0           
    
        ack300 = True
        try:
            path2file      = '..\\..\\txt\\shot2six3004xi.txt'            
            f300=open(path2file, 'r')
            if debug300 is True:
                print("\n (STEP 300A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())
                # ..\..\txt\shot2six3004xi.txt  - TIME:  09:19:42 07/26/10 Pacific Daylight Time
            else:
                pass
                       
        except:
            if debug300 is True:
                print("\n (STEP 300B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())
            else:
                pass
                           
            ack300 = False
        
        if ack300 is True:
      
            if debug300 is True:
                print("\n (STEP 300B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
                # ..\..\txt\shot2six3004xi.txt  - TIME:  09:19:42 07/26/10 Pacific Daylight Time 
                print("\n (STEP 300C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six3004xi, " - TIME: ", time4xi())            
                # 
            else:
                pass
                    
                          
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f300.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug300 is True: 
                        print('(STEP 300D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)
                        # 
                    else:
                        pass
                                
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 0x0y99z
                        ack2key = True
                        if debug300 is True:                                                          
                            print('(STEP 300E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi) 
                            # 
                        else:
                            pass
                                                                                                       
                        order300 = order300 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug300 is True:                                                          # info line
                            print('(STEP 300F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi) #
                            # 
                        else:
                            pass
                           
                        nack2info = False          
                        ack2info = True
                          
                        
                        shot2six3004xi[order300] = key2dictionary                                        
                        if debug300 is True:    
                            print('(STEP 300G/33) CREATED SHOT2SIX3004XI[', order300, ']: ', shot2six3004xi[order300]) #                                                                                                    
                        else:
                            pass
                                
                else:                                                                                  # copyright line
                    if debug300 is True:    
                        print('(STEP 300G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)               # 
                    else:
                        pass
                             
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f300.close()
            if debug300 is True:    
                print('(STEP 300H/33) CLOSED INPUT FILE: ', f300)                        
                # 
                print('(STEP 300J/33) CREATED DICTIONARY: ')                   
                keys2shot = shot2six3004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six3004xi[key2shot])
                    
                #
                # 1  :  -101x168y-225z
                # 2  :  -103x265y-95z
                # 3  :  -107x265y-90z
                # 4  :  -109x161y-227z
                # 5  :  -116x153y-229z
                # 6  :  -116x258y-98z
                # 7  :  -120x258y-93z
                # 8  :  -122x145y-231z
                # 9  :  -128x137y-233z
                # 10  :  -129x251y-100z
                # 11  :  -133x128y-235z
                # 12  :  -133x250y-95z
                # 13  :  -138x120y-237z
                # 14  :  -142x111y-239z
                # 15  :  -142x243y-103z
                # 16  :  -146x102y-241z
                # 17  :  -146x242y-98z
                # 18  :  -149x93y-242z
                # 19  :  -14x118y-275z
                # 20  :  -151x5y-259z
                # 21  :  -152x84y-244z
                # 22  :  -153x13y-257z
                # 23  :  -153x234y-106z
                # 24  :  -154x21y-256z
                # 25  :  -154x74y-246z
                # 26  :  -155x30y-254z
                # 27  :  -155x65y-247z
                # 28  :  -156x38y-252z
                # 29  :  -156x47y-251z
                # 30  :  -156x56y-249z
                # 31  :  -157x233y-101z
                # 32  :  -165x225y-109z
                # 33  :  -169x224y-104z
                # 34  :  -176x215y-112z
                # 35  :  -180x214y-107z
                # 36  :  -186x204y-114z
                # 37  :  -189x232y0z
                # 38  :  -190x204y-110z
                # 39  :  -196x194y-117z
                # 40  :  -200x192y-112z
                # 41  :  -201x222y-3z
                # 42  :  -205x182y-120z
                # 43  :  -209x181y-115z
                # 44  :  -20x114y-276z
                # 45  :  -212x211y-6z
                # 46  :  -213x171y-123z
                # 47  :  -217x169y-118z
                # 48  :  -221x158y-125z
                # 49  :  -223x200y-9z
                # 50  :  -224x157y-121z
                # 51  :  -228x146y-128z
                # 52  :  -231x144y-123z
                # 53  :  -233x188y-12z
                # 54  :  -234x133y-131z
                # 55  :  -239x120y-133z
                # 56  :  -242x175y-15z
                # 57  :  -244x107y-136z
                # 58  :  -248x93y-139z
                # 59  :  -251x162y-18z
                # 60  :  -251x80y-141z
                # 61  :  -254x66y-144z
                # 62  :  -255x53y-147z
                # 63  :  -256x12y-154z
                # 64  :  -256x39y-149z
                # 65  :  -257x25y-152z
                # 66  :  -259x149y-21z
                # 67  :  -25x110y-277z
                # 68  :  -266x135y-24z
                # 69  :  -26x213y-209z
                # 70  :  -273x120y-27z
                # 71  :  -278x106y-30z
                # 72  :  -283x91y-33z
                # 73  :  -287x76y-36z
                # 74  :  -290x61y-39z
                # 75  :  -293x45y-42z
                # 76  :  -294x30y-45z
                # 77  :  -295x0y-51z
                # 78  :  -295x14y-48z
                # 79  :  -30x106y-278z
                # 80  :  -317x175y-168z
                # 81  :  -31x287y-80z
                # 82  :  -35x101y-279z
                # 83  :  -37x209y-211z
                # 84  :  -38x0y-297z
                # 85  :  -39x97y-280z
                # 86  :  -41x1y-297z
                # 87  :  -43x92y-282z
                # 88  :  -44x3y-296z
                # 89  :  -46x284y-83z
                # 90  :  -46x6y-296z
                # 91  :  -47x205y-213z
                # 92  :  -47x87y-283z
                # 93  :  -49x9y-295z
                # 94  :  -50x285y-78z
                # 95  :  -50x82y-284z
                # 96  :  -51x12y-295z
                # 97  :  -52x77y-284z
                # 98  :  -53x16y-294z
                # 99  :  -55x19y-294z
                # 100  :  -55x72y-285z
                # 101  :  -56x67y-286z
                # 102  :  -57x200y-215z
                # 103  :  -57x23y-293z
                # 104  :  -58x28y-292z
                # 105  :  -58x62y-287z
                # 106  :  -59x32y-292z
                # 107  :  -59x56y-288z
                # 108  :  -60x37y-291z
                # 109  :  -60x41y-290z
                # 110  :  -60x46y-290z
                # 111  :  -60x51y-289z
                # 112  :  -61x280y-86z
                # 113  :  -65x281y-81z
                # 114  :  -67x194y-217z
                # 115  :  -75x276y-89z
                # 116  :  -76x189y-219z
                # 117  :  -79x276y-84z
                # 118  :  -85x182y-221z
                # 119  :  -89x271y-92z
                # 120  :  -8x121y-274z
                # 121  :  -93x176y-223z
                # 122  :  -93x271y-87z
              
                
                
                            
                
   
                                                          
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            if debug300 is True:    
                print("\n (STEP 300H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six3004xi, " - TIME: ", time4xi())
            else:
                pass
    except:
        print("\n (STEP 300I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six3004xi, " - TIME: ", time4xi())    
                       
    # -------------------------------------------------------------------------------------------------
    # 400
    # -------------------------------------------------------------------------------------------------         
    debug400 = False
    
    shot2six4004xi = {
        1:'-100x368y-119z',
        2:'-323x234y-21z',
        3:'-58x123y-376z',
        4:'-89x259y-290z'
        }
                
    print("\n (STEP 400A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six4004xi, " - TIME: ", time4xi())   

            
    try:
        
        order400 = 0           
    
        ack400 = True
        try:
            path2file      = '..\\..\\txt\\shot2six4004xi.txt'            
            f400=open(path2file, 'r')
            if debug400 is True:
                print("\n (STEP 400A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug400 is True:
                print("\n (STEP 400B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack400 = False
        
        if ack400 is True:
      
            if debug400 is True:
                print("\n (STEP 400B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 400C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six4004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f400.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug400 is True: 
                        print('(STEP 400D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug400 is True:                                                          
                            print('(STEP 400E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order400 = order400 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug400 is True:                                                          # info line
                            print('(STEP 400F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #400
                        shot2six4004xi[order400] = key2dictionary                                        
                        if debug400 is True:    
                            print('(STEP 400G/33) CREATED SHOT2SIX4004XI[', order400, ']: ', shot2six4004xi[order400]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug400 is True:    
                        print('(STEP 400G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)               #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f400.close()
            if debug400 is True:    
                print('(STEP 400H/33) CLOSED INPUT FILE: ', f400)                        
                #
                print('(STEP 400J/33) CREATED DICTIONARY: ')                 
                keys2shot = shot2six4004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six4004xi[key2shot])
                    
                # 
                # 1  :  -100x368y-119z
                # 2  :  -102x252y-293z
                # 3  :  -105x368y-112z
                # 4  :  -114x243y-295z
                # 5  :  -119x361y-123z
                # 6  :  -11x161y-365z
                # 7  :  -124x361y-116z
                # 8  :  -125x234y-298z
                # 9  :  -135x225y-301z
                # 10  :  -137x353y-126z
                # 11  :  -143x353y-120z
                # 12  :  -145x215y-303z
                # 13  :  -155x205y-306z
                # 14  :  -155x344y-130z
                # 15  :  -160x344y-124z
                # 16  :  -163x194y-309z
                # 17  :  -171x183y-311z
                # 18  :  -172x334y-134z
                # 19  :  -178x171y-314z
                # 20  :  -178x334y-127z
                # 21  :  -184x160y-316z
                # 22  :  -189x324y-138z
                # 23  :  -190x148y-318z
                # 24  :  -194x323y-131z
                # 25  :  -195x136y-321z
                # 26  :  -199x124y-323z
                # 27  :  -19x157y-367z
                # 28  :  -201x6y-345z
                # 29  :  -202x112y-326z
                # 30  :  -204x17y-343z
                # 31  :  -205x312y-141z
                # 32  :  -205x99y-328z
                # 33  :  -206x28y-341z
                # 34  :  -207x40y-339z
                # 35  :  -207x87y-330z
                # 36  :  -208x51y-337z
                # 37  :  -208x75y-332z
                # 38  :  -209x63y-335z
                # 39  :  -210x311y-135z
                # 40  :  -220x300y-145z
                # 41  :  -225x299y-139z
                # 42  :  -235x287y-149z
                # 43  :  -240x286y-142z
                # 44  :  -248x273y-153z
                # 45  :  -252x310y-1z
                # 46  :  -253x272y-146z
                # 47  :  -261x258y-156z
                # 48  :  -266x257y-150z
                # 49  :  -268x296y-5z
                # 50  :  -273x243y-160z
                # 51  :  -278x242y-154z
                # 52  :  -27x152y-368z
                # 53  :  -283x282y-9z
                # 54  :  -284x228y-164z
                # 55  :  -289x226y-157z
                # 56  :  -294x211y-167z
                # 57  :  -297x266y-13z
                # 58  :  -299x209y-161z
                # 59  :  -304x195y-171z
                # 60  :  -309x192y-165z
                # 61  :  -311x250y-17z
                # 62  :  -312x178y-174z
                # 63  :  -319x160y-178z
                # 64  :  -323x234y-21z
                # 65  :  -326x143y-182z
                # 66  :  -331x125y-185z
                # 67  :  -335x107y-189z
                # 68  :  -335x216y-25z
                # 69  :  -339x88y-192z
                # 70  :  -341x70y-196z
                # 71  :  -342x16y-206z
                # 72  :  -342x34y-203z
                # 73  :  -342x52y-199z
                # 74  :  -345x198y-29z
                # 75  :  -34x147y-370z
                # 76  :  -355x180y-33z
                # 77  :  -35x284y-279z
                # 78  :  -364x161y-37z
                # 79  :  -371x141y-41z
                # 80  :  -378x121y-45z
                # 81  :  -383x101y-49z
                # 82  :  -387x81y-53z
                # 83  :  -391x61y-56z
                # 84  :  -393x40y-60z
                # 85  :  -394x0y-68z
                # 86  :  -394x19y-64z
                # 87  :  -396x219y-210z
                # 88  :  -41x141y-371z
                # 89  :  -42x382y-107z
                # 90  :  -47x135y-373z
                # 91  :  -49x279y-282z
                # 92  :  -53x129y-374z
                # 93  :  -54x1y-396z
                # 94  :  -58x123y-376z
                # 95  :  -58x4y-395z
                # 96  :  -62x116y-377z
                # 97  :  -62x379y-111z
                # 98  :  -62x8y-395z
                # 99  :  -63x273y-284z
                # 100  :  -65x12y-394z
                # 101  :  -66x110y-378z
                # 102  :  -67x380y-104z
                # 103  :  -68x16y-393z
                # 104  :  -70x103y-379z
                # 105  :  -71x21y-392z
                # 106  :  -73x96y-381z
                # 107  :  -74x26y-392z
                # 108  :  -75x89y-382z
                # 109  :  -76x266y-287z
                # 110  :  -76x31y-391z
                # 111  :  -77x37y-390z
                # 112  :  -77x82y-383z
                # 113  :  -79x43y-389z
                # 114  :  -79x75y-384z
                # 115  :  -80x49y-388z
                # 116  :  -80x55y-387z
                # 117  :  -80x62y-386z
                # 118  :  -80x69y-385z
                # 119  :  -81x374y-115z
                # 120  :  -86x375y-108z
                # 121  :  -89x259y-290z
               
                
          
                
                                         
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 400H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six4004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 400I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six4004xi, " - TIME: ", time4xi())    
            
    # -------------------------------------------------------------------------------------------------
    # 500
    # -------------------------------------------------------------------------------------------------         
    debug500 = False 
    shot2six5004xi = {
        1:'-100x62y-485z',
        2:'-261x79y-418z',
        3:'-491x50y-76z',
        4:'-99x94y-480z'
        }
            
    print("\n (STEP 500A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six5004xi, " - TIME: ", time4xi())   

        
    try:
        order500 = 0           
    
        ack500 = True
        try:
            path2file      = '..\\..\\txt\\shot2six5004xi.txt'            
            f500=open(path2file, 'r')
            if debug500 is True:
                print("\n (STEP 500A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug500 is True:
                print("\n (STEP 500B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack500 = False
        
        if ack500 is True:
      
            if debug500 is True:
                print("\n (STEP 500B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 500C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six5004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f500.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug500 is True: 
                        print('(STEP 500D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug500 is True:                                                          
                            print('(STEP 500E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order500 = order500 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug500 is True:                                                          # info line
                            print('(STEP 500F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #500
                        shot2six5004xi[order500] = key2dictionary                                        
                        if debug500 is True:    
                            print('(STEP 500G/33) CREATED SHOT2SIX5004XI[', order500, ']: ', shot2six5004xi[order500]) #  
                                                                                                       
                else:                                                                                  # copyright line
                    if debug500 is True:    
                        print('(STEP 500G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)               #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      

            f500.close()
            if debug500 is True:    
                print('(STEP 500H/33) CLOSED INPUT FILE: ', f500)                        
                #
                print('(STEP 500J/33) CREATED DICTIONARY: ')                
                keys2shot = shot2six5004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six5004xi[key2shot])
                    
                #
                # 1  :  -100x62y-485z
                # 2  :  -100x69y-484z
                # 3  :  -100x78y-483z
                # 4  :  -100x86y-482z
                # 5  :  -101x467y-144z
                # 6  :  -108x468y-136z
                # 7  :  -112x324y-363z
                # 8  :  -125x460y-149z
                # 9  :  -127x315y-366z
                # 10  :  -132x461y-140z
                # 11  :  -142x304y-369z
                # 12  :  -149x451y-153z
                # 13  :  -14x202y-456z
                # 14  :  -155x452y-145z
                # 15  :  -156x293y-373z
                # 16  :  -169x281y-376z
                # 17  :  -172x441y-158z
                # 18  :  -178x442y-150z
                # 19  :  -182x269y-379z
                # 20  :  -193x256y-383z
                # 21  :  -194x430y-163z
                # 22  :  -201x430y-155z
                # 23  :  -204x242y-386z
                # 24  :  -214x229y-389z
                # 25  :  -215x418y-168z
                # 26  :  -222x418y-159z
                # 27  :  -223x214y-392z
                # 28  :  -231x200y-395z
                # 29  :  -236x405y-172z
                # 30  :  -238x185y-398z
                # 31  :  -243x404y-164z
                # 32  :  -244x170y-401z
                # 33  :  -249x155y-404z
                # 34  :  -24x196y-458z
                # 35  :  -251x8y-431z
                # 36  :  -253x140y-407z
                # 37  :  -255x21y-429z
                # 38  :  -256x124y-410z
                # 39  :  -256x390y-177z
                # 40  :  -257x35y-426z
                # 41  :  -259x109y-413z
                # 42  :  -259x50y-424z
                # 43  :  -260x94y-416z
                # 44  :  -261x64y-421z
                # 45  :  -261x79y-418z
                # 46  :  -263x389y-169z
                # 47  :  -275x375y-182z
                # 48  :  -282x374y-174z
                # 49  :  -293x358y-186z
                # 50  :  -300x357y-178z
                # 51  :  -310x341y-191z
                # 52  :  -315x387y-1z
                # 53  :  -317x340y-183z
                # 54  :  -326x323y-195z
                # 55  :  -333x321y-188z
                # 56  :  -335x370y-6z
                # 57  :  -341x304y-200z
                # 58  :  -348x302y-192z
                # 59  :  -34x190y-460z
                # 60  :  -354x352y-11z
                # 61  :  -355x285y-205z
                # 62  :  -362x282y-197z
                # 63  :  -368x264y-209z
                # 64  :  -372x333y-16z
                # 65  :  -374x262y-201z
                # 66  :  -380x244y-214z
                # 67  :  -386x241y-206z
                # 68  :  -388x313y-21z
                # 69  :  -390x222y-218z
                # 70  :  -396x219y-210z
                # 71  :  -399x201y-223z
                # 72  :  -404x292y-26z
                # 73  :  -407x178y-227z
                # 74  :  -414x156y-232z
                # 75  :  -419x133y-236z
                # 76  :  -419x270y-31z
                # 77  :  -423x111y-240z
                # 78  :  -426x88y-245z
                # 79  :  -427x20y-258z
                # 80  :  -428x42y-253z
                # 81  :  -428x65y-249z
                # 82  :  -432x248y-36z
                # 83  :  -43x184y-462z
                # 84  :  -444x225y-41z
                # 85  :  -44x355y-349z
                # 86  :  -455x201y-46z
                # 87  :  -464x177y-51z
                # 88  :  -472x152y-56z
                # 89  :  -479x127y-61z
                # 90  :  -484x101y-66z
                # 91  :  -486x237y-258z
                # 92  :  -488x76y-71z
                # 93  :  -491x50y-76z
                # 94  :  -492x24y-81z
                # 95  :  -51x177y-464z
                # 96  :  -52x478y-134z
                # 97  :  -59x169y-466z
                # 98  :  -62x348y-352z
                # 99  :  -66x162y-468z
                # 100  :  -68x2y-495z
                # 101  :  -72x154y-470z
                # 102  :  -73x6y-494z
                # 103  :  -77x10y-493z
                # 104  :  -77x473y-139z
                # 105  :  -78x146y-471z
                # 106  :  -79x341y-356z
                # 107  :  -82x15y-492z
                # 108  :  -83x137y-473z
                # 109  :  -84x475y-131z
                # 110  :  -85x21y-492z
                # 111  :  -87x129y-474z
                # 112  :  -89x26y-491z
                # 113  :  -91x120y-476z
                # 114  :  -92x33y-490z
                # 115  :  -94x112y-477z
                # 116  :  -95x39y-489z
                # 117  :  -96x333y-359z
                # 118  :  -97x103y-479z
                # 119  :  -97x47y-488z
                # 120  :  -99x54y-487z
                # 121  :  -99x94y-480z
          
                
                
                
                                        
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 500H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six5004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 500I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six5004xi, " - TIME: ", time4xi())    
                
    # -------------------------------------------------------------------------------------------------
    # 600
    # -------------------------------------------------------------------------------------------------         
    debug600 = False
    shot2six6004xi = {
        1:'-100x165y-568z',
        2:'-293x204y-482z',
        3:'-434x339y-236z',
        4:'-98x18y-591z'
        }
                
    print("\n (STEP 600A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six6004xi, " - TIME: ", time4xi())   
    
    try:    
        order600 = 0           
    
        ack600 = True
        try:
            path2file      = '..\\..\\txt\\shot2six6004xi.txt'            
            f600=open(path2file, 'r')
            if debug600 is True:
                print("\n (STEP 600A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())
        except:           
            if debug600 is True:
                print("\n (STEP 600B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack600 = False
        
        if ack600 is True:
      
            if debug600 is True:
                print("\n (STEP 600B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 600C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six6004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f600.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                    if i2id == -1:                                                                         # not copyright
                        if debug600 is True: 
                            print('(STEP 600D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                        i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                        if i2skip == - 1:                                                                  # no, it is a key line
                            nack2key = False                                                               # 
                            ack2key = True
                            if debug600 is True:                                                          
                                print('(STEP 600E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                            order600 = order600 + 1                                           
                            
                            key2dictionary = input_line2xi                                
                        else:
                            if debug600 is True:                                                          # info line
                                print('(STEP 600F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                            nack2info = False          
                            ack2info = True
                          
                        
                            #600
                            shot2six6004xi[order600] = key2dictionary                                        
                            if debug600 is True:    
                                print('(STEP 600G/33) CREATED SHOT2SIX6004XI[', order600, ']: ', shot2six6004xi[order600]) #                      
                                                                                                     
                    else:                                                                                  # copyright line
                        if debug600 is True:    
                            print('(STEP 600G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                        ack2key = False          
                        nack2key = True
                  
                        ack2info = False          
                        nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
  
            f600.close()
            if debug600 is True:    
                print('(STEP 600H/33) CLOSED INPUT FILE: ', f600)                        
                #  
                print('(STEP 600J/33) CREATED DICTIONARY: ')                
                keys2shot = shot2six6004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six6004xi[key2shot])
                    
                # 
                # 1  :  -100x165y-568z
                # 2  :  -100x570y-157z
                # 3  :  -103x25y-590z
                # 4  :  -105x155y-569z
                # 5  :  -107x32y-589z
                # 6  :  -110x144y-571z
                # 7  :  -111x39y-588z
                # 8  :  -113x134y-573z
                # 9  :  -114x47y-587z
                # 10  :  -115x400y-431z
                # 11  :  -116x124y-575z
                # 12  :  -116x56y-585z
                # 13  :  -118x113y-576z
                # 14  :  -118x65y-584z
                # 15  :  -120x103y-578z
                # 16  :  -120x74y-583z
                # 17  :  -120x83y-581z
                # 18  :  -121x93y-580z
                # 19  :  -122x561y-173z
                # 20  :  -130x562y-163z
                # 21  :  -134x389y-435z
                # 22  :  -151x552y-178z
                # 23  :  -153x378y-439z
                # 24  :  -158x553y-169z
                # 25  :  -171x365y-443z
                # 26  :  -179x542y-184z
                # 27  :  -17x242y-548z
                # 28  :  -187x352y-447z
                # 29  :  -187x542y-174z
                # 30  :  -203x337y-451z
                # 31  :  -206x530y-190z
                # 32  :  -214x530y-180z
                # 33  :  -218x323y-455z
                # 34  :  -232x307y-459z
                # 35  :  -233x516y-196z
                # 36  :  -241x516y-186z
                # 37  :  -245x291y-463z
                # 38  :  -257x274y-467z
                # 39  :  -259x502y-201z
                # 40  :  -267x257y-471z
                # 41  :  -267x501y-191z
                # 42  :  -277x240y-474z
                # 43  :  -284x486y-207z
                # 44  :  -285x222y-478z
                # 45  :  -292x485y-197z
                # 46  :  -293x204y-482z
                # 47  :  -299x186y-485z
                # 48  :  -29x236y-550z
                # 49  :  -302x10y-518z
                # 50  :  -304x168y-489z
                # 51  :  -306x26y-515z
                # 52  :  -307x468y-212z
                # 53  :  -308x149y-492z
                # 54  :  -309x43y-512z
                # 55  :  -311x131y-495z
                # 56  :  -311x60y-509z
                # 57  :  -312x113y-499z
                # 58  :  -313x77y-505z
                # 59  :  -313x95y-502z
                # 60  :  -315x467y-203z
                # 61  :  -330x450y-218z
                # 62  :  -338x449y-208z
                # 63  :  -352x430y-224z
                # 64  :  -360x429y-214z
                # 65  :  -373x409y-229z
                # 66  :  -378x465y-1z
                # 67  :  -380x408y-220z
                # 68  :  -392x388y-235z
                # 69  :  -400x385y-225z
                # 70  :  -402x444y-7z
                # 71  :  -410x365y-240z
                # 72  :  -418x363y-231z
                # 73  :  -41x228y-553z
                # 74  :  -425x423y-13z
                # 75  :  -427x342y-246z
                # 76  :  -434x339y-236z
                # 77  :  -442x317y-251z
                # 78  :  -446x400y-19z
                # 79  :  -449x314y-242z
                # 80  :  -456x292y-257z
                # 81  :  -463x289y-247z
                # 82  :  -466x376y-25z
                # 83  :  -468x267y-262z
                # 84  :  -475x263y-253z
                # 85  :  -479x241y-267z
                # 86  :  -485x351y-31z
                # 87  :  -489x214y-273z
                # 88  :  -497x187y-278z
                # 89  :  -502x325y-37z
                # 90  :  -503x160y-283z
                # 91  :  -508x133y-289z
                # 92  :  -511x106y-294z
                # 93  :  -513x24y-309z
                # 94  :  -513x78y-299z
                # 95  :  -514x51y-304z
                # 96  :  -518x298y-43z
                # 97  :  -51x220y-555z
                # 98  :  -533x270y-49z
                # 99  :  -53x426y-418z
                # 100  :  -546x241y-55z
                # 101  :  -557x212y-61z
                # 102  :  -567x182y-67z
                # 103  :  -567x276y-301z
                # 104  :  -575x152y-73z
                # 105  :  -581x122y-79z
                # 106  :  -586x91y-85z
                # 107  :  -589x60y-91z
                # 108  :  -591x29y-97z
                # 109  :  -61x212y-557z
                # 110  :  -63x574y-161z
                # 111  :  -71x203y-559z
                # 112  :  -74x418y-423z
                # 113  :  -79x194y-561z
                # 114  :  -82x2y-594z
                # 115  :  -87x185y-564z
                # 116  :  -88x7y-593z
                # 117  :  -93x12y-592z
                # 118  :  -93x568y-167z
                # 119  :  -94x175y-566z
                # 120  :  -95x410y-427z
                # 121  :  -98x18y-591z

 
              
                
                
                                     
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 600H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six6004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 600I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six6004xi, " - TIME: ", time4xi())    
               
    # -------------------------------------------------------------------------------------------------
    # 700
    # -------------------------------------------------------------------------------------------------         
    debug700 = False
    
    shot2six7004xi = {
        1:'-101x215y-658z',
        2:'-333x259y-558z',
        3:'-487x423y-269z',
        4:'-96x2y-693z'
        }
            
    print("\n (STEP 700A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six7004xi, " - TIME: ", time4xi())   
    
    order700 = 0           

    try:
        ack700 = True
        try:
            path2file      = '..\\..\\txt\\shot2six7004xi.txt'            
            f700=open(path2file, 'r')
            if debug700 is True:
                print("\n (STEP 700A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug700 is True:
                print("\n (STEP 700B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack700 = False
        
        if ack700 is True:
      
            if debug700 is True:
                print("\n (STEP 700B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 700C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six7004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f700.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug700 is True: 
                        print('(STEP 700D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug700 is True:                                                          
                            print('(STEP 700E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order700 = order700 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug700 is True:                                                          # info line
                            print('(STEP 700F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #700
                        shot2six7004xi[order700] = key2dictionary                                        
                        if debug700 is True:    
                            print('(STEP 700G/33) CREATED SHOT2SIX7004XI[', order700, ']: ', shot2six7004xi[order700]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug700 is True:    
                        print('(STEP 700G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
 
            f700.close()
            if debug700 is True:    
                print('(STEP 700H/33) CLOSED INPUT FILE: ', f700)                        
                # 
                print('(STEP 700J/33) CREATED DICTIONARY: ')                
                keys2shot = shot2six7004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six7004xi[key2shot])
                    
                #
                # 1  :  -101x215y-658z
                # 2  :  -102x8y-692z
                # 3  :  -108x663y-195z
                # 4  :  -109x14y-691z
                # 5  :  -109x204y-660z
                # 6  :  -111x478y-498z
                # 7  :  -114x21y-690z
                # 8  :  -116x192y-662z
                # 9  :  -117x665y-183z
                # 10  :  -120x29y-688z
                # 11  :  -123x180y-664z
                # 12  :  -125x37y-687z
                # 13  :  -128x168y-667z
                # 14  :  -129x46y-686z
                # 15  :  -132x156y-669z
                # 16  :  -133x55y-684z
                # 17  :  -134x467y-503z
                # 18  :  -136x144y-671z
                # 19  :  -136x65y-683z
                # 20  :  -138x132y-673z
                # 21  :  -138x76y-681z
                # 22  :  -140x121y-675z
                # 23  :  -140x86y-680z
                # 24  :  -141x109y-676z
                # 25  :  -141x97y-678z
                # 26  :  -142x654y-202z
                # 27  :  -151x656y-190z
                # 28  :  -157x454y-508z
                # 29  :  -176x644y-208z
                # 30  :  -179x441y-513z
                # 31  :  -185x645y-197z
                # 32  :  -199x426y-517z
                # 33  :  -209x632y-215z
                # 34  :  -20x283y-639z
                # 35  :  -218x633y-203z
                # 36  :  -219x410y-522z
                # 37  :  -237x394y-527z
                # 38  :  -241x618y-222z
                # 39  :  -250x618y-210z
                # 40  :  -255x376y-531z
                # 41  :  -271x358y-536z
                # 42  :  -272x602y-228z
                # 43  :  -281x602y-217z
                # 44  :  -286x340y-540z
                # 45  :  -299x320y-545z
                # 46  :  -302x585y-235z
                # 47  :  -311x585y-223z
                # 48  :  -312x300y-549z
                # 49  :  -323x280y-553z
                # 50  :  -331x567y-241z
                # 51  :  -333x259y-558z
                # 52  :  -340x566y-230z
                # 53  :  -341x238y-562z
                # 54  :  -349x217y-566z
                # 55  :  -34x275y-642z
                # 56  :  -352x11y-604z
                # 57  :  -354x196y-570z
                # 58  :  -357x30y-601z
                # 59  :  -359x174y-574z
                # 60  :  -359x546y-248z
                # 61  :  -361x50y-597z
                # 62  :  -362x153y-578z
                # 63  :  -363x70y-593z
                # 64  :  -365x111y-586z
                # 65  :  -365x132y-582z
                # 66  :  -365x90y-590z
                # 67  :  -368x545y-237z
                # 68  :  -385x525y-254z
                # 69  :  -395x523y-243z
                # 70  :  -411x502y-261z
                # 71  :  -420x500y-250z
                # 72  :  -435x478y-267z
                # 73  :  -441x543y-2z
                # 74  :  -444x476y-256z
                # 75  :  -457x452y-274z
                # 76  :  -466x450y-263z
                # 77  :  -469x519y-9z
                # 78  :  -478x426y-280z
                # 79  :  -487x423y-269z
                # 80  :  -48x266y-645z
                # 81  :  -495x493y-16z
                # 82  :  -498x399y-287z
                # 83  :  -507x395y-276z
                # 84  :  -516x370y-293z
                # 85  :  -520x466y-23z
                # 86  :  -524x367y-282z
                # 87  :  -532x341y-299z
                # 88  :  -540x337y-288z
                # 89  :  -544x438y-30z
                # 90  :  -546x311y-306z
                # 91  :  -555x307y-295z
                # 92  :  -559x281y-312z
                # 93  :  -566x409y-37z
                # 94  :  -570x250y-318z
                # 95  :  -579x219y-324z
                # 96  :  -586x379y-43z
                # 97  :  -587x187y-331z
                # 98  :  -593x155y-337z
                # 99  :  -597x123y-343z
                # 100  :  -598x28y-361z
                # 101  :  -599x59y-355z
                # 102  :  -599x91y-349z
                # 103  :  -605x347y-50z
                # 104  :  -60x257y-647z
                # 105  :  -61x497y-488z
                # 106  :  -622x315y-57z
                # 107  :  -637x282y-64z
                # 108  :  -649x316y-344z
                # 109  :  -650x248y-71z
                # 110  :  -661x213y-78z
                # 111  :  -671x178y-85z
                # 112  :  -678x142y-92z
                # 113  :  -684x106y-99z
                # 114  :  -688x70y-106z
                # 115  :  -689x34y-113z
                # 116  :  -72x248y-650z
                # 117  :  -73x670y-188z
                # 118  :  -82x237y-653z
                # 119  :  -86x488y-493z
                # 120  :  -92x227y-655z
                # 121  :  -96x2y-693z
 
              
                
                
                                          
        else:
             # ----------------------------------------------------------------------------------------------------------------------------
             # NO FILE OPENED
             #          # ----------------------------------------------------------------------------------------------------------------------------      
             print("\n (STEP 700H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six7004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 700I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six7004xi, " - TIME: ", time4xi())    
             
    # -------------------------------------------------------------------------------------------------
    # 800
    # -------------------------------------------------------------------------------------------------         
    debug800 = False
    
    shot2six8004xi = {
        1:'-106x259y-749z',
        2:'-310x410y-612z',
        3:'-547x487y-320z',
        4:'-99x558y-564z'
        }
                
    print("\n (STEP 800A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six8004xi, " - TIME: ", time4xi())     
     
    try:   
        order800 = 0           
        
        ack800 = True
        try:
            path2file      = '..\\..\\txt\\shot2six8004xi.txt'            
            f800=open(path2file, 'r')
            if debug800 is True:
                print("\n (STEP 800A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())
                # ..\..\txt\shot2six8004xi.txt  - TIME:  12:53:09 07/26/10 Pacific Daylight Time   
        except:
            if debug800 is True:
                print("\n (STEP 800B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack800 = False
        
        if ack800 is True:
      
            if debug800 is True:
                print("\n (STEP 800B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 800C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six8004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f800.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug800 is True: 
                        print('(STEP 800D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug800 is True:                                                          
                            print('(STEP 800E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order800 = order800 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug800 is True:                                                          # info line
                            print('(STEP 800F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #800
                        shot2six8004xi[order800] = key2dictionary                                        
                        if debug800 is True:    
                            print('(STEP 800G/33) CREATED SHOT2SIX8004XI[', order800, ']: ', shot2six8004xi[order800]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug800 is True:    
                        print('(STEP 800G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
 
            f800.close()
            if debug800 is True:    
                print('(STEP 800H/33) CLOSED INPUT FILE: ', f800)                        
                # 
                print('(STEP 800J/33) CREATED DICTIONARY: ')                
                keys2shot = shot2six8004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six8004xi[key2shot])
                    
                #
                # 1  :  -106x259y-749z
                # 2  :  -109x3y-792z
                # 3  :  -116x246y-752z
                # 4  :  -117x9y-791z
                # 5  :  -124x17y-790z
                # 6  :  -124x758y-223z
                # 7  :  -125x233y-754z
                # 8  :  -127x546y-569z
                # 9  :  -131x24y-788z
                # 10  :  -133x220y-757z
                # 11  :  -134x760y-209z
                # 12  :  -137x33y-787z
                # 13  :  -140x206y-759z
                # 14  :  -143x43y-785z
                # 15  :  -146x193y-762z
                # 16  :  -148x53y-784z
                # 17  :  -151x179y-764z
                # 18  :  -152x63y-782z
                # 19  :  -153x533y-575z
                # 20  :  -155x165y-767z
                # 21  :  -155x75y-781z
                # 22  :  -158x151y-769z
                # 23  :  -158x87y-779z
                # 24  :  -160x138y-771z
                # 25  :  -160x99y-777z
                # 26  :  -161x111y-775z
                # 27  :  -161x125y-773z
                # 28  :  -163x748y-230z
                # 29  :  -173x750y-217z
                # 30  :  -179x519y-581z
                # 31  :  -201x736y-238z
                # 32  :  -204x504y-586z
                # 33  :  -211x737y-225z
                # 34  :  -228x487y-591z
                # 35  :  -239x722y-246z
                # 36  :  -23x323y-731z
                # 37  :  -249x723y-233z
                # 38  :  -250x469y-597z
                # 39  :  -271x450y-602z
                # 40  :  -275x706y-253z
                # 41  :  -286x707y-240z
                # 42  :  -291x430y-607z
                # 43  :  -310x410y-612z
                # 44  :  -311x689y-261z
                # 45  :  -321x689y-248z
                # 46  :  -327x388y-618z
                # 47  :  -342x366y-623z
                # 48  :  -345x669y-268z
                # 49  :  -356x343y-628z
                # 50  :  -356x669y-255z
                # 51  :  -369x320y-633z
                # 52  :  -378x648y-276z
                # 53  :  -380x296y-637z
                # 54  :  -389x647y-263z
                # 55  :  -390x272y-642z
                # 56  :  -398x248y-647z
                # 57  :  -39x314y-734z
                # 58  :  -402x13y-691z
                # 59  :  -405x224y-652z
                # 60  :  -408x35y-687z
                # 61  :  -410x199y-656z
                # 62  :  -410x625y-283z
                # 63  :  -412x57y-682z
                # 64  :  -414x175y-661z
                # 65  :  -415x80y-678z
                # 66  :  -417x103y-674z
                # 67  :  -417x151y-665z
                # 68  :  -418x127y-670z
                # 69  :  -421x623y-270z
                # 70  :  -441x600y-291z
                # 71  :  -451x598y-278z
                # 72  :  -470x574y-298z
                # 73  :  -480x572y-285z
                # 74  :  -497x546y-306z
                # 75  :  -504x620y-2z
                # 76  :  -507x544y-293z
                # 77  :  -523x517y-313z
                # 78  :  -533x514y-300z
                # 79  :  -536x593y-10z
                # 80  :  -547x487y-320z
                # 81  :  -557x484y-308z
                # 82  :  -55x305y-737z
                # 83  :  -566x564y-18z
                # 84  :  -569x456y-328z
                # 85  :  -579x452y-315z
                # 86  :  -589x423y-335z
                # 87  :  -595x533y-26z
                # 88  :  -599x419y-322z
                # 89  :  -608x390y-342z
                # 90  :  -618x385y-330z
                # 91  :  -622x501y-34z
                # 92  :  -624x356y-349z
                # 93  :  -634x351y-337z
                # 94  :  -639x321y-357z
                # 95  :  -647x468y-42z
                # 96  :  -652x286y-364z
                # 97  :  -662x250y-371z
                # 98  :  -670x433y-50z
                # 99  :  -671x214y-378z
                # 100  :  -678x177y-385z
                # 101  :  -682x141y-392z
                # 102  :  -684x32y-413z
                # 103  :  -685x104y-399z
                # 104  :  -685x68y-406z
                # 105  :  -691x397y-58z
                # 106  :  -69x294y-740z
                # 107  :  -70x568y-558z
                # 108  :  -711x360y-66z
                # 109  :  -728x322y-74z
                # 110  :  -730x355y-387z
                # 111  :  -743x283y-82z
                # 112  :  -756x243y-90z
                # 113  :  -767x203y-98z
                # 114  :  -775x163y-106z
                # 115  :  -782x122y-113z
                # 116  :  -786x80y-121z
                # 117  :  -788x39y-129z
                # 118  :  -82x283y-743z
                # 119  :  -84x765y-215z
                # 120  :  -94x271y-746z
                # 121  :  -99x558y-564z       
            
            
                
                
                
                                           
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 800H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six8004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 800I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six8004xi, " - TIME: ", time4xi())    
               
    # -------------------------------------------------------------------------------------------------
    # 900
    # -------------------------------------------------------------------------------------------------         
    debug900 = False
    shot2six9004xi = {
        1:'-106x305y-839z',
        2:'-268x813y-276z',
        3:'-469x116y-758z',
        4:'-95x861y-242z'
        }          
            
    print("\n (STEP 900A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six9004xi, " - TIME: ", time4xi())   
    
    try:
        order900 = 0           
    
        ack900 = True
        try:
            path2file      = '..\\..\\txt\\shot2six9004xi.txt'            
            f900=open(path2file, 'r')
            if debug900 is True:
                print("\n (STEP 900A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug900 is True:
                print("\n (STEP 900B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack900 = False
        
        if ack900 is True:
      
            if debug900 is True:
                print("\n (STEP 900B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 900C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six9004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f900.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug900 is True: 
                        print('(STEP 900D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug900 is True:                                                          
                            print('(STEP 900E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order900 = order900 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug900 is True:                                                          # info line
                            print('(STEP 900F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #900
                        shot2six9004xi[order900] = key2dictionary                                        
                        if debug900 is True:    
                            print('(STEP 900G/33) CREATED SHOT2SIX9004XI[', order900, ']: ', shot2six9004xi[order900]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug900 is True:    
                        print('(STEP 900G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f900.close()
            if debug900 is True:    
                print('(STEP 900H/33) CLOSED INPUT FILE: ', f900)                        
                # 
                print('(STEP 900J/33) CREATED DICTIONARY: ')                
                keys2shot = shot2six9004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six9004xi[key2shot])
                    
                #
                # 1  :  -106x305y-839z
                # 2  :  -111x628y-634z
                # 3  :  -119x291y-842z
                # 4  :  -123x3y-891z
                # 5  :  -130x277y-846z
                # 6  :  -132x11y-890z
                # 7  :  -139x852y-251z
                # 8  :  -140x19y-888z
                # 9  :  -141x262y-849z
                # 10  :  -143x615y-641z
                # 11  :  -147x28y-887z
                # 12  :  -150x247y-852z
                # 13  :  -151x855y-236z
                # 14  :  -154x37y-885z
                # 15  :  -158x232y-854z
                # 16  :  -161x48y-884z
                # 17  :  -165x217y-857z
                # 18  :  -166x59y-882z
                # 19  :  -170x201y-860z
                # 20  :  -171x71y-880z
                # 21  :  -173x600y-647z
                # 22  :  -175x186y-862z
                # 23  :  -175x84y-878z
                # 24  :  -178x170y-865z
                # 25  :  -178x97y-876z
                # 26  :  -180x111y-874z
                # 27  :  -180x155y-867z
                # 28  :  -181x125y-872z
                # 29  :  -181x140y-870z
                # 30  :  -183x841y-259z
                # 31  :  -195x843y-244z
                # 32  :  -202x584y-653z
                # 33  :  -226x828y-268z
                # 34  :  -230x567y-659z
                # 35  :  -238x829y-253z
                # 36  :  -256x548y-665z
                # 37  :  -268x813y-276z
                # 38  :  -26x364y-822z
                # 39  :  -280x813y-262z
                # 40  :  -281x528y-671z
                # 41  :  -305x506y-677z
                # 42  :  -310x795y-285z
                # 43  :  -321x795y-270z
                # 44  :  -327x484y-683z
                # 45  :  -348x461y-689z
                # 46  :  -350x775y-294z
                # 47  :  -361x775y-279z
                # 48  :  -367x437y-695z
                # 49  :  -385x412y-700z
                # 50  :  -388x753y-302z
                # 51  :  -400x752y-287z
                # 52  :  -401x386y-706z
                # 53  :  -415x360y-712z
                # 54  :  -426x729y-310z
                # 55  :  -428x333y-717z
                # 56  :  -438x728y-296z
                # 57  :  -439x306y-723z
                # 58  :  -448x279y-728z
                # 59  :  -44x354y-826z
                # 60  :  -453x15y-777z
                # 61  :  -456x252y-733z
                # 62  :  -459x39y-772z
                # 63  :  -461x703y-319z
                # 64  :  -462x224y-738z
                # 65  :  -464x64y-768z
                # 66  :  -466x197y-743z
                # 67  :  -467x90y-763z
                # 68  :  -469x116y-758z
                # 69  :  -469x169y-748z
                # 70  :  -470x143y-753z
                # 71  :  -473x701y-304z
                # 72  :  -496x675y-327z
                # 73  :  -508x673y-313z
                # 74  :  -528x646y-336z
                # 75  :  -540x643y-321z
                # 76  :  -559x614y-344z
                # 77  :  -567x698y-2z
                # 78  :  -571x612y-330z
                # 79  :  -588x582y-352z
                # 80  :  -600x578y-338z
                # 81  :  -603x667y-11z
                # 82  :  -615x548y-361z
                # 83  :  -61x343y-829z
                # 84  :  -627x544y-346z
                # 85  :  -637x634y-20z
                # 86  :  -640x513y-369z
                # 87  :  -651x508y-355z
                # 88  :  -663x476y-377z
                # 89  :  -669x600y-29z
                # 90  :  -674x471y-363z
                # 91  :  -684x439y-385z
                # 92  :  -695x434y-371z
                # 93  :  -700x564y-38z
                # 94  :  -702x400y-393z
                # 95  :  -713x395y-379z
                # 96  :  -719x361y-401z
                # 97  :  -728x526y-47z
                # 98  :  -733x322y-409z
                # 99  :  -745x281y-417z
                # 100  :  -754x487y-56z
                # 101  :  -755x241y-425z
                # 102  :  -762x200y-433z
                # 103  :  -767x159y-441z
                # 104  :  -769x36y-464z
                # 105  :  -770x117y-449z
                # 106  :  -771x76y-457z
                # 107  :  -778x447y-65z
                # 108  :  -77x331y-833z
                # 109  :  -79x639y-628z
                # 110  :  -800x405y-74z
                # 111  :  -811x395y-430z
                # 112  :  -819x362y-83z
                # 113  :  -836x318y-92z
                # 114  :  -851x274y-101z
                # 115  :  -863x229y-110z
                # 116  :  -872x183y-119z
                # 117  :  -880x137y-128z
                # 118  :  -884x91y-137z
                # 119  :  -886x44y-145z
                # 120  :  -92x318y-836z
                # 121  :  -95x861y-242z        
            
            
                
                
                
                                             
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 900H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six9004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 900I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six9004xi, " - TIME: ", time4xi())    
                   
    # -------------------------------------------------------------------------------------------------
    # 1000
    # -------------------------------------------------------------------------------------------------         
    debug1000 = False 
    
    shot2six10004xi = {
        1:'-103x354y-929z',
        2:'-285x609y-739z',
        3:'-600x715y-357z',
        4:'-985x49y-162z'
        }       
            
    print("\n (STEP 1000A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six10004xi, " - TIME: ", time4xi())   
    
    try:
        order1000 = 0           
    
        ack1000 = True
        try:
            path2file      = '..\\..\\txt\\shot2six10004xi.txt'            
            f1000=open(path2file, 'r')
            if debug1000 is True:
                print("\n (STEP 1000A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1000 is True:
                print("\n (STEP 1000B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1000 = False
        
        if ack1000 is True:
      
            if debug1000 is True:
                print("\n (STEP 1000B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1000C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six10004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1000.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1000 is True: 
                        print('(STEP 1000D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1000 is True:                                                          
                            print('(STEP 1000E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1000 = order1000 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1000 is True:                                                          # info line
                            print('(STEP 1000F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1000
                        shot2six10004xi[order1000] = key2dictionary                                        
                        if debug1000 is True:    
                            print('(STEP 1000G/33) CREATED SHOT2SIX10004XI[', order1000, ']: ', shot2six10004xi[order1000]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug1000 is True:    
                        print('(STEP 1000G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1000.close()
            if debug1000 is True:    
                print('(STEP 1000H/33) CLOSED INPUT FILE: ', f1000)                        
                #
                print('(STEP 1000J/33) CREATED DICTIONARY: ')                 
                keys2shot = shot2six10004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six10004xi[key2shot])
                    
                #
                # 1  :  -103x354y-929z
                # 2  :  -105x957y-269z
                # 3  :  -118x339y-933z
                # 4  :  -124x697y-705z
                # 5  :  -132x324y-936z
                # 6  :  -137x4y-990z
                # 7  :  -145x308y-940z
                # 8  :  -146x12y-989z
                # 9  :  -155x21y-987z
                # 10  :  -155x947y-279z
                # 11  :  -156x292y-943z
                # 12  :  -158x683y-712z
                # 13  :  -164x31y-985z
                # 14  :  -167x275y-946z
                # 15  :  -168x950y-262z
                # 16  :  -171x42y-984z
                # 17  :  -175x258y-949z
                # 18  :  -178x53y-982z
                # 19  :  -183x241y-952z
                # 20  :  -185x66y-980z
                # 21  :  -189x224y-955z
                # 22  :  -190x79y-978z
                # 23  :  -192x667y-719z
                # 24  :  -194x206y-958z
                # 25  :  -194x94y-976z
                # 26  :  -198x108y-974z
                # 27  :  -198x189y-961z
                # 28  :  -200x124y-971z
                # 29  :  -200x172y-964z
                # 30  :  -201x139y-969z
                # 31  :  -201x156y-966z
                # 32  :  -203x935y-288z
                # 33  :  -216x937y-272z
                # 34  :  -224x649y-726z
                # 35  :  -251x920y-298z
                # 36  :  -255x630y-733z
                # 37  :  -264x922y-281z
                # 38  :  -285x609y-739z
                # 39  :  -298x903y-307z
                # 40  :  -29x404y-913z
                # 41  :  -311x904y-291z
                # 42  :  -313x586y-746z
                # 43  :  -339x563y-753z
                # 44  :  -344x883y-317z
                # 45  :  -357x884y-300z
                # 46  :  -364x538y-759z
                # 47  :  -387x512y-766z
                # 48  :  -388x861y-326z
                # 49  :  -402x861y-310z
                # 50  :  -408x485y-772z
                # 51  :  -428x458y-778z
                # 52  :  -431x836y-336z
                # 53  :  -445x836y-319z
                # 54  :  -446x429y-785z
                # 55  :  -462x400y-791z
                # 56  :  -473x810y-345z
                # 57  :  -476x370y-797z
                # 58  :  -486x809y-329z
                # 59  :  -488x340y-803z
                # 60  :  -498x310y-809z
                # 61  :  -49x393y-917z
                # 62  :  -503x16y-863z
                # 63  :  -507x280y-815z
                # 64  :  -510x43y-858z
                # 65  :  -513x249y-820z
                # 66  :  -513x781y-354z
                # 67  :  -515x71y-853z
                # 68  :  -518x219y-826z
                # 69  :  -519x100y-848z
                # 70  :  -521x188y-832z
                # 71  :  -522x129y-843z
                # 72  :  -522x158y-837z
                # 73  :  -526x779y-338z
                # 74  :  -551x750y-364z
                # 75  :  -564x748y-348z
                # 76  :  -587x717y-373z
                # 77  :  -600x715y-357z
                # 78  :  -621x683y-382z
                # 79  :  -631x775y-2z
                # 80  :  -634x680y-366z
                # 81  :  -653x647y-391z
                # 82  :  -666x643y-376z
                # 83  :  -670x741y-12z
                # 84  :  -683x609y-401z
                # 85  :  -68x381y-921z
                # 86  :  -696x605y-385z
                # 87  :  -708x705y-22z
                # 88  :  -711x570y-410z
                # 89  :  -724x565y-394z
                # 90  :  -737x529y-419z
                # 91  :  -744x667y-32z
                # 92  :  -749x524y-403z
                # 93  :  -760x488y-428z
                # 94  :  -772x482y-412z
                # 95  :  -777x627y-42z
                # 96  :  -781x445y-437z
                # 97  :  -793x439y-421z
                # 98  :  -799x402y-446z
                # 99  :  -809x585y-52z
                # 100  :  -815x357y-455z
                # 101  :  -828x313y-464z
                # 102  :  -838x541y-62z
                # 103  :  -839x267y-473z
                # 104  :  -847x222y-481z
                # 105  :  -853x176y-490z
                # 106  :  -855x40y-516z
                # 107  :  -856x131y-499z
                # 108  :  -857x85y-507z
                # 109  :  -864x496y-72z
                # 110  :  -86x368y-925z
                # 111  :  -888x450y-82z
                # 112  :  -88x710y-698z
                # 113  :  -892x434y-474z
                # 114  :  -910x402y-92z
                # 115  :  -929x354y-102z
                # 116  :  -945x304y-112z
                # 117  :  -959x254y-122z
                # 118  :  -969x203y-132z
                # 119  :  -977x152y-142z
                # 120  :  -983x101y-152z
                # 121  :  -985x49y-162z
         
                
                
                
                
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1000H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six10004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 900I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six9004xi, " - TIME: ", time4xi())    
                
    # -------------------------------------------------------------------------------------------------
    # 1100
    # -------------------------------------------------------------------------------------------------         
    debug1100 = False 
    shot2six11004xi = {
        1:'-1001x443y-102z',
        2:'-281x693y-806z',
        3:'-567x78y-938z',
        4:'-97x781y-768z'
        }

                
    print("\n (STEP 1100A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six11004xi, " - TIME: ", time4xi())   
    
    try: 
        
        order1100 = 0           
        
        ack1100 = True
        try:
            path2file      = '..\\..\\txt\\shot2six11004xi.txt'            
            f1100=open(path2file, 'r')
            if debug1100 is True:
                print("\n (STEP 1100A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1100 is True:
                print("\n (STEP 1100B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1100 = False
        
        if ack1100 is True:
      
            if debug1100 is True:
                print("\n (STEP 1100B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1100C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six11004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1100.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1100 is True: 
                        print('(STEP 1100D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1100 is True:                                                          
                            print('(STEP 1100E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1100 = order1100 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1100 is True:                                                          # info line
                            print('(STEP 1100F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1100
                        shot2six11004xi[order1100] = key2dictionary                                        
                        if debug1100 is True:    
                            print('(STEP 1100G/33) CREATED SHOT2SIX11004XI[', order1100, ']: ', shot2six11004xi[order1100]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug1100 is True:    
                        print('(STEP 1100G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1100.close()
            if debug1100 is True:    
                print('(STEP 1100H/33) CLOSED INPUT FILE: ', f1100)                        
                #
                print('(STEP 1100J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six11004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six11004xi[key2shot]) 
                    
                #
                # 1  :  -1001x443y-102z
                # 2  :  -1022x389y-112z
                # 3  :  -1040x335y-123z
                # 4  :  -1055x280y-134z
                # 5  :  -1066x224y-145z
                # 6  :  -1075x167y-156z
                # 7  :  -1081x111y-167z
                # 8  :  -1084x54y-178z
                # 9  :  -113x389y-1022z
                # 10  :  -116x1052y-296z
                # 11  :  -130x373y-1026z
                # 12  :  -136x767y-775z
                # 13  :  -145x356y-1030z
                # 14  :  -151x4y-1089z
                # 15  :  -159x339y-1034z
                # 16  :  -161x13y-1087z
                # 17  :  -170x1042y-306z
                # 18  :  -171x23y-1086z
                # 19  :  -172x321y-1037z
                # 20  :  -174x751y-783z
                # 21  :  -180x34y-1084z
                # 22  :  -183x303y-1041z
                # 23  :  -184x1045y-288z
                # 24  :  -189x46y-1082z
                # 25  :  -193x284y-1044z
                # 26  :  -196x59y-1080z
                # 27  :  -201x265y-1048z
                # 28  :  -203x73y-1078z
                # 29  :  -208x246y-1051z
                # 30  :  -209x87y-1076z
                # 31  :  -211x734y-791z
                # 32  :  -214x103y-1073z
                # 33  :  -214x227y-1054z
                # 34  :  -217x119y-1071z
                # 35  :  -217x208y-1057z
                # 36  :  -220x136y-1068z
                # 37  :  -220x190y-1060z
                # 38  :  -221x153y-1066z
                # 39  :  -221x171y-1063z
                # 40  :  -224x1029y-317z
                # 41  :  -238x1031y-299z
                # 42  :  -247x714y-798z
                # 43  :  -277x1012y-328z
                # 44  :  -281x693y-806z
                # 45  :  -291x1014y-309z
                # 46  :  -313x670y-813z
                # 47  :  -328x993y-338z
                # 48  :  -32x445y-1005z
                # 49  :  -343x994y-320z
                # 50  :  -344x645y-821z
                # 51  :  -373x619y-828z
                # 52  :  -378x971y-348z
                # 53  :  -393x972y-330z
                # 54  :  -400x592y-835z
                # 55  :  -426x563y-842z
                # 56  :  -427x947y-359z
                # 57  :  -442x947y-341z
                # 58  :  -449x534y-849z
                # 59  :  -471x503y-856z
                # 60  :  -475x920y-369z
                # 61  :  -489x919y-351z
                # 62  :  -490x472y-863z
                # 63  :  -508x440y-870z
                # 64  :  -520x891y-380z
                # 65  :  -523x407y-877z
                # 66  :  -535x890y-362z
                # 67  :  -537x374y-883z
                # 68  :  -548x341y-890z
                # 69  :  -54x432y-1009z
                # 70  :  -553x18y-950z
                # 71  :  -557x308y-896z
                # 72  :  -561x48y-944z
                # 73  :  -564x859y-390z
                # 74  :  -565x274y-902z
                # 75  :  -567x78y-938z
                # 76  :  -570x241y-909z
                # 77  :  -571x110y-933z
                # 78  :  -573x207y-915z
                # 79  :  -574x142y-927z
                # 80  :  -574x174y-921z
                # 81  :  -579x857y-372z
                # 82  :  -606x825y-400z
                # 83  :  -621x823y-382z
                # 84  :  -646x789y-410z
                # 85  :  -660x786y-393z
                # 86  :  -683x751y-421z
                # 87  :  -694x853y-3z
                # 88  :  -698x748y-403z
                # 89  :  -719x711y-431z
                # 90  :  -733x707y-413z
                # 91  :  -737x815y-14z
                # 92  :  -752x670y-441z
                # 93  :  -75x419y-1014z
                # 94  :  -766x665y-423z
                # 95  :  -779x775y-25z
                # 96  :  -782x627y-451z
                # 97  :  -796x621y-433z
                # 98  :  -810x582y-461z
                # 99  :  -818x733y-36z
                # 100  :  -824x576y-444z
                # 101  :  -836x536y-471z
                # 102  :  -849x530y-454z
                # 103  :  -855x689y-47z
                # 104  :  -859x490y-481z
                # 105  :  -872x483y-464z
                # 106  :  -879x442y-491z
                # 107  :  -890x643y-58z
                # 108  :  -896x393y-500z
                # 109  :  -911x344y-510z
                # 110  :  -922x595y-69z
                # 111  :  -923x294y-520z
                # 112  :  -932x244y-530z
                # 113  :  -938x194y-539z
                # 114  :  -940x44y-568z
                # 115  :  -942x144y-549z
                # 116  :  -942x94y-558z
                # 117  :  -951x546y-80z
                # 118  :  -95x405y-1018z
                # 119  :  -973x474y-517z
                # 120  :  -977x495y-91z
                # 121  :  -97x781y-768z
              
                
          
                
                
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1100H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six11004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 1100I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six11004xi, " - TIME: ", time4xi())    
        
    # -------------------------------------------------------------------------------------------------
    # 1200
    # -------------------------------------------------------------------------------------------------         
    debug1200 = False 
    
    shot2six12004xi = {
        1:'-1005x650y-75z',
        2:'-233x112y-1171z',
        3:'-604x20y-1036z',
        4:'-994x375y-557z'
        }
            
    print("\n (STEP 1200A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six12004xi, " - TIME: ", time4xi())   
    
    try:
        order1200 = 0           
    
        ack1200 = True
        try:
            path2file      = '..\\..\\txt\\shot2six12004xi.txt'            
            f1200=open(path2file, 'r')
            if debug1200 is True:
                print("\n (STEP 1200A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1200 is True:
                print("\n (STEP 1200B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1200 = False
        
        if ack1200 is True:
      
            if debug1200 is True:
                print("\n (STEP 1200B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1200C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six12004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1200.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1200 is True: 
                        print('(STEP 1200D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1200 is True:                                                          
                            print('(STEP 1200E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1200 = order1200 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1200 is True:                                                          # info line
                            print('(STEP 1200F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1200
                        shot2six12004xi[order1200] = key2dictionary                                        
                        if debug1200 is True:    
                            print('(STEP 1200G/33) CREATED SHOT2SIX12004XI[', order1200, ']: ', shot2six12004xi[order1200]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug1200 is True:    
                        print('(STEP 1200G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1200.close()
            if debug1200 is True:    
                print('(STEP 1200H/33) CLOSED INPUT FILE: ', f1200)                        
                #
                print('(STEP 1200J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six12004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six12004xi[key2shot])
                    
                #
                # 1  :  -1005x650y-75z
                # 2  :  -1007x321y-567z
                # 3  :  -1017x266y-578z
                # 4  :  -1023x212y-588z
                # 5  :  -1026x48y-619z
                # 6  :  -1027x157y-599z
                # 7  :  -1028x102y-609z
                # 8  :  -1037x596y-87z
                # 9  :  -103x441y-1110z
                # 10  :  -1054x513y-560z
                # 11  :  -1066x540y-99z
                # 12  :  -106x852y-837z
                # 13  :  -1092x483y-111z
                # 14  :  -1115x425y-123z
                # 15  :  -1134x365y-135z
                # 16  :  -1151x305y-147z
                # 17  :  -1163x244y-159z
                # 18  :  -1173x183y-170z
                # 19  :  -1179x121y-182z
                # 20  :  -1182x59y-194z
                # 21  :  -123x425y-1115z
                # 22  :  -126x1148y-323z
                # 23  :  -142x407y-1119z
                # 24  :  -149x837y-846z
                # 25  :  -159x389y-1123z
                # 26  :  -164x5y-1188z
                # 27  :  -174x370y-1128z
                # 28  :  -176x14y-1186z
                # 29  :  -186x1137y-334z
                # 30  :  -187x25y-1185z
                # 31  :  -188x350y-1132z
                # 32  :  -190x820y-854z
                # 33  :  -197x37y-1183z
                # 34  :  -200x330y-1136z
                # 35  :  -201x1140y-314z
                # 36  :  -206x50y-1181z
                # 37  :  -211x310y-1139z
                # 38  :  -214x64y-1178z
                # 39  :  -220x289y-1143z
                # 40  :  -222x79y-1176z
                # 41  :  -227x268y-1147z
                # 42  :  -228x95y-1174z
                # 43  :  -230x800y-863z
                # 44  :  -233x112y-1171z
                # 45  :  -233x248y-1150z
                # 46  :  -237x130y-1168z
                # 47  :  -237x227y-1153z
                # 48  :  -240x148y-1166z
                # 49  :  -240x207y-1157z
                # 50  :  -241x167y-1163z
                # 51  :  -242x187y-1160z
                # 52  :  -244x1122y-346z
                # 53  :  -260x1125y-326z
                # 54  :  -269x779y-871z
                # 55  :  -302x1104y-357z
                # 56  :  -306x756y-879z
                # 57  :  -317x1106y-338z
                # 58  :  -342x731y-887z
                # 59  :  -358x1084y-369z
                # 60  :  -35x485y-1096z
                # 61  :  -374x1085y-349z
                # 62  :  -375x704y-895z
                # 63  :  -407x675y-903z
                # 64  :  -413x1060y-380z
                # 65  :  -429x1060y-360z
                # 66  :  -437x646y-911z
                # 67  :  -465x615y-919z
                # 68  :  -466x1033y-392z
                # 69  :  -482x1033y-372z
                # 70  :  -490x582y-927z
                # 71  :  -514x549y-934z
                # 72  :  -518x1004y-403z
                # 73  :  -534x1003y-383z
                # 74  :  -535x515y-942z
                # 75  :  -554x480y-949z
                # 76  :  -568x972y-414z
                # 77  :  -571x444y-956z
                # 78  :  -584x970y-395z
                # 79  :  -586x408y-964z
                # 80  :  -598x372y-971z
                # 81  :  -59x472y-1101z
                # 82  :  -604x20y-1036z
                # 83  :  -608x336y-978z
                # 84  :  -612x52y-1030z
                # 85  :  -615x937y-425z
                # 86  :  -616x299y-985z
                # 87  :  -619x86y-1024z
                # 88  :  -622x262y-991z
                # 89  :  -623x120y-1018z
                # 90  :  -625x226y-998z
                # 91  :  -626x155y-1011z
                # 92  :  -627x190y-1005z
                # 93  :  -631x935y-406z
                # 94  :  -661x900y-437z
                # 95  :  -677x898y-417z
                # 96  :  -705x861y-448z
                # 97  :  -720x858y-428z
                # 98  :  -746x819y-459z
                # 99  :  -757x930y-3z
                # 100  :  -761x816y-440z
                # 101  :  -784x776y-470z
                # 102  :  -800x771y-451z
                # 103  :  -804x889y-15z
                # 104  :  -820x731y-481z
                # 105  :  -82x457y-1106z
                # 106  :  -836x726y-462z
                # 107  :  -850x846y-27z
                # 108  :  -854x684y-492z
                # 109  :  -869x678y-473z
                # 110  :  -884x635y-503z
                # 111  :  -893x800y-39z
                # 112  :  -899x629y-484z
                # 113  :  -912x585y-514z
                # 114  :  -927x578y-495z
                # 115  :  -933x752y-51z
                # 116  :  -937x534y-524z
                # 117  :  -951x526y-506z
                # 118  :  -959x482y-535z
                # 119  :  -971x702y-63z
                # 120  :  -978x429y-546z
                # 121  :  -994x375y-557z
           
                
                
                  
              
                
                                            
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1200H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six12004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 1200I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six12004xi, " - TIME: ", time4xi())    
            
    # -------------------------------------------------------------------------------------------------
    # 1300
    # -------------------------------------------------------------------------------------------------         
    debug1300 = False 
    
    shot2six13004xi = {
        1:'-1004x626y-536z',
        2:'-191x15y-1285z',
        3:'-292x844y-944z',
        4:'-988x634y-557z'
        }

            
    print("\n (STEP 1300A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six13004xi, " - TIME: ", time4xi())   
    
    try:
        order1300 = 0           
    
        ack1300 = True
        try:
            path2file      = '..\\..\\txt\\shot2six13004xi.txt'            
            f1300=open(path2file, 'r')
            if debug1300 is True:
                print("\n (STEP 1300A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1300 is True:
                print("\n (STEP 1300B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1300 = False
        
        if ack1300 is True:
      
            if debug1300 is True:
                print("\n (STEP 1300B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1300C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six13004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1300.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1300 is True: 
                        print('(STEP 1300D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1300 is True:                                                          
                            print('(STEP 1300E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1300 = order1300 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1300 is True:                                                          # info line
                            print('(STEP 1300F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1300
                        shot2six13004xi[order1300] = key2dictionary                                        
                        if debug1300 is True:    
                            print('(STEP 1300G/33) CREATED SHOT2SIX13004XI[', order1300, ']: ', shot2six13004xi[order1300]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug1300 is True:    
                        print('(STEP 1300G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1300.close()
            if debug1300 is True:    
                print('(STEP 1300H/33) CLOSED INPUT FILE: ', f1300)                        
                #
                print('(STEP 1300J/33) CREATED DICTIONARY: ')                      
                keys2shot = shot2six13004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six13004xi[key2shot])
                    
                #
                # 1  :  -1004x626y-536z
                # 2  :  -1011x815y-55z
                # 3  :  -1015x579y-568z
                # 4  :  -1031x570y-548z
                # 5  :  -1039x522y-580z
                # 6  :  -1051x760y-68z
                # 7  :  -1059x465y-591z
                # 8  :  -1077x406y-603z
                # 9  :  -1089x704y-81z
                # 10  :  -1091x348y-615z
                # 11  :  -1101x289y-626z
                # 12  :  -1109x229y-637z
                # 13  :  -1111x52y-671z
                # 14  :  -1113x170y-649z
                # 15  :  -1114x111y-660z
                # 16  :  -1124x645y-94z
                # 17  :  -112x478y-1203z
                # 18  :  -1135x553y-603z
                # 19  :  -114x923y-907z
                # 20  :  -1155x585y-107z
                # 21  :  -1183x523y-120z
                # 22  :  -1208x460y-133z
                # 23  :  -1229x396y-146z
                # 24  :  -1246x331y-159z
                # 25  :  -1260x265y-172z
                # 26  :  -1271x198y-185z
                # 27  :  -1278x131y-197z
                # 28  :  -1281x64y-210z
                # 29  :  -134x460y-1208z
                # 30  :  -137x1244y-350z
                # 31  :  -154x441y-1212z
                # 32  :  -161x907y-916z
                # 33  :  -172x421y-1217z
                # 34  :  -178x5y-1287z
                # 35  :  -188x401y-1222z
                # 36  :  -191x15y-1285z
                # 37  :  -201x1231y-362z
                # 38  :  -202x27y-1283z
                # 39  :  -203x379y-1226z
                # 40  :  -206x888y-926z
                # 41  :  -213x40y-1281z
                # 42  :  -217x358y-1230z
                # 43  :  -218x1235y-341z
                # 44  :  -223x54y-1279z
                # 45  :  -228x336y-1234z
                # 46  :  -232x70y-1277z
                # 47  :  -238x313y-1238z
                # 48  :  -240x86y-1274z
                # 49  :  -246x291y-1242z
                # 50  :  -247x103y-1271z
                # 51  :  -250x867y-935z
                # 52  :  -252x269y-1246z
                # 53  :  -253x122y-1269z
                # 54  :  -257x141y-1266z
                # 55  :  -257x246y-1250z
                # 56  :  -260x161y-1263z
                # 57  :  -260x224y-1253z
                # 58  :  -262x181y-1260z
                # 59  :  -262x203y-1256z
                # 60  :  -265x1216y-375z
                # 61  :  -282x1218y-353z
                # 62  :  -292x844y-944z
                # 63  :  -327x1196y-387z
                # 64  :  -332x819y-953z
                # 65  :  -344x1198y-366z
                # 66  :  -370x792y-961z
                # 67  :  -388x1174y-400z
                # 68  :  -38x526y-1188z
                # 69  :  -405x1175y-378z
                # 70  :  -407x763y-970z
                # 71  :  -441x732y-979z
                # 72  :  -447x1148y-412z
                # 73  :  -465x1149y-391z
                # 74  :  -473x700y-987z
                # 75  :  -503x666y-996z
                # 76  :  -505x1119y-424z
                # 77  :  -522x1119y-403z
                # 78  :  -531x631y-1004z
                # 79  :  -556x595y-1012z
                # 80  :  -561x1087y-436z
                # 81  :  -578x1087y-415z
                # 82  :  -580x558y-1020z
                # 83  :  -600x520y-1028z
                # 84  :  -615x1053y-449z
                # 85  :  -618x482y-1036z
                # 86  :  -632x1051y-428z
                # 87  :  -634x443y-1044z
                # 88  :  -648x403y-1052z
                # 89  :  -64x511y-1193z
                # 90  :  -654x21y-1123z
                # 91  :  -659x364y-1059z
                # 92  :  -663x57y-1116z
                # 93  :  -667x1015y-461z
                # 94  :  -667x324y-1067z
                # 95  :  -670x93y-1109z
                # 96  :  -674x284y-1074z
                # 97  :  -675x130y-1102z
                # 98  :  -677x245y-1081z
                # 99  :  -678x168y-1095z
                # 100  :  -679x206y-1088z
                # 101  :  -684x1013y-440z
                # 102  :  -716x975y-473z
                # 103  :  -733x972y-452z
                # 104  :  -763x933y-485z
                # 105  :  -780x929y-464z
                # 106  :  -808x888y-497z
                # 107  :  -820x1008y-3z
                # 108  :  -825x884y-476z
                # 109  :  -850x841y-509z
                # 110  :  -866x836y-488z
                # 111  :  -871x964y-16z
                # 112  :  -889x792y-521z
                # 113  :  -89x495y-1198z
                # 114  :  -905x786y-500z
                # 115  :  -921x916y-29z
                # 116  :  -925x741y-533z
                # 117  :  -941x734y-512z
                # 118  :  -958x688y-545z
                # 119  :  -967x867y-42z
                # 120  :  -974x681y-524z
                # 121  :  -988x634y-557z
           
                
                
                           
              
                
                                          
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1300H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six13004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 1300I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six13004xi, " - TIME: ", time4xi())    
           
    # -------------------------------------------------------------------------------------------------
    # 1400
    # -------------------------------------------------------------------------------------------------         
    debug1400 = False 
    
    shot2six14004xi = {
        1:'-1014x791y-552z',
        2:'-192x5y-1386z',
        3:'-358x882y-1026z',
        4:'-996x798y-574z'
        }
            
    print("\n (STEP 1400A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six14004xi, " - TIME: ", time4xi())   
    
    try:
        order1400 = 0           
    
        ack1400 = True
        try:
            path2file      = '..\\..\\txt\\shot2six14004xi.txt'            
            f1400=open(path2file, 'r')
            if debug1400 is True:
                print("\n (STEP 1400A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1400 is True:
                print("\n (STEP 1400B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1400 = False
        
        if ack1400 is True:
      
            if debug1400 is True:
                print("\n (STEP 1400B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1400C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six14004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1400.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1400 is True: 
                        print('(STEP 1400D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1400 is True:                                                          
                            print('(STEP 1400E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1400 = order1400 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1400 is True:                                                          # info line
                            print('(STEP 1400F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1400
                        shot2six14004xi[order1400] = key2dictionary                                        
                        if debug1400 is True:    
                            print('(STEP 1400G/33) CREATED SHOT2SIX14004XI[', order1400, ']: ', shot2six14004xi[order1400]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug1400 is True:    
                        print('(STEP 1400G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1400.close()
            if debug1400 is True:    
                print('(STEP 1400H/33) CLOSED INPUT FILE: ', f1400)                        
                #
                print('(STEP 1400J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six14004xi.keys() 
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six14004xi[key2shot])
                    
                #
                # 1  :  -1014x791y-552z
                # 2  :  -1032x741y-587z
                # 3  :  -1041x933y-46z
                # 4  :  -1049x734y-565z
                # 5  :  -1064x683y-599z
                # 6  :  -1081x675y-577z
                # 7  :  -1088x877y-60z
                # 8  :  -1093x623y-612z
                # 9  :  -1110x614y-590z
                # 10  :  -1119x562y-625z
                # 11  :  -1132x819y-74z
                # 12  :  -1141x500y-637z
                # 13  :  -1159x438y-649z
                # 14  :  -1173x758y-87z
                # 15  :  -1175x374y-662z
                # 16  :  -1186x311y-674z
                # 17  :  -1194x247y-686z
                # 18  :  -1197x56y-723z
                # 19  :  -1199x119y-711z
                # 20  :  -1199x183y-699z
                # 21  :  -1210x695y-101z
                # 22  :  -1216x592y-646z
                # 23  :  -121x515y-1295z
                # 24  :  -123x994y-977z
                # 25  :  -1244x630y-115z
                # 26  :  -1274x564y-129z
                # 27  :  -1301x496y-143z
                # 28  :  -1323x426y-157z
                # 29  :  -1342x356y-171z
                # 30  :  -1357x285y-185z
                # 31  :  -1369x213y-199z
                # 32  :  -1376x141y-213z
                # 33  :  -1379x69y-227z
                # 34  :  -144x496y-1301z
                # 35  :  -147x1340y-377z
                # 36  :  -165x475y-1306z
                # 37  :  -173x977y-987z
                # 38  :  -185x454y-1311z
                # 39  :  -192x5y-1386z
                # 40  :  -203x431y-1316z
                # 41  :  -205x17y-1384z
                # 42  :  -217x1326y-390z
                # 43  :  -218x29y-1382z
                # 44  :  -219x409y-1320z
                # 45  :  -222x956y-997z
                # 46  :  -229x43y-1380z
                # 47  :  -233x385y-1325z
                # 48  :  -235x1330y-367z
                # 49  :  -240x58y-1377z
                # 50  :  -246x361y-1329z
                # 51  :  -250x75y-1375z
                # 52  :  -256x337y-1334z
                # 53  :  -259x93y-1372z
                # 54  :  -265x313y-1338z
                # 55  :  -266x111y-1369z
                # 56  :  -269x934y-1007z
                # 57  :  -272x131y-1366z
                # 58  :  -272x289y-1342z
                # 59  :  -277x152y-1363z
                # 60  :  -277x265y-1346z
                # 61  :  -280x173y-1360z
                # 62  :  -280x242y-1350z
                # 63  :  -282x195y-1357z
                # 64  :  -282x218y-1353z
                # 65  :  -285x1309y-404z
                # 66  :  -303x1312y-380z
                # 67  :  -314x909y-1016z
                # 68  :  -352x1288y-417z
                # 69  :  -358x882y-1026z
                # 70  :  -370x1291y-394z
                # 71  :  -399x852y-1035z
                # 72  :  -418x1264y-430z
                # 73  :  -41x566y-1279z
                # 74  :  -436x1266y-407z
                # 75  :  -438x821y-1045z
                # 76  :  -475x788y-1054z
                # 77  :  -482x1236y-444z
                # 78  :  -500x1237y-421z
                # 79  :  -510x753y-1063z
                # 80  :  -542x717y-1072z
                # 81  :  -544x1205y-457z
                # 82  :  -563x1205y-434z
                # 83  :  -572x680y-1081z
                # 84  :  -599x641y-1090z
                # 85  :  -604x1171y-470z
                # 86  :  -623x1170y-447z
                # 87  :  -624x601y-1099z
                # 88  :  -646x560y-1107z
                # 89  :  -662x1134y-483z
                # 90  :  -666x519y-1116z
                # 91  :  -681x1132y-460z
                # 92  :  -683x477y-1124z
                # 93  :  -698x434y-1132z
                # 94  :  -69x551y-1285z
                # 95  :  -704x23y-1209z
                # 96  :  -709x392y-1141z
                # 97  :  -714x61y-1202z
                # 98  :  -718x1093y-496z
                # 99  :  -719x349y-1149z
                # 100  :  -722x100y-1195z
                # 101  :  -725x306y-1157z
                # 102  :  -727x140y-1187z
                # 103  :  -730x181y-1180z
                # 104  :  -730x264y-1164z
                # 105  :  -731x222y-1172z
                # 106  :  -737x1091y-474z
                # 107  :  -771x1050y-509z
                # 108  :  -790x1047y-487z
                # 109  :  -822x1004y-522z
                # 110  :  -840x1001y-500z
                # 111  :  -870x956y-535z
                # 112  :  -883x1086y-4z
                # 113  :  -888x952y-513z
                # 114  :  -915x905y-548z
                # 115  :  -933x900y-526z
                # 116  :  -939x1038y-18z
                # 117  :  -957x853y-561z
                #
                #18  :  -96x533y-1290z
                # 119  :  -975x847y-539z
                # 120  :  -991x987y-32z
                # 121  :  -996x798y-574z
           
                
                
                
                
   
              
                
                                            
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1400H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six14004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 1400I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six14004xi, " - TIME: ", time4xi())    
         
    # -------------------------------------------------------------------------------------------------
    # 1500
    # -------------------------------------------------------------------------------------------------         
    debug1500 = False
    
    shot2six15004xi = {
        1:'-1000x964y-564z',
        2:'-1418x457y-168z',
        3:'-397x1383y-422z',
        4:'-980x970y-587z'
        }
            
    print("\n (STEP 1500A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six15004xi, " - TIME: ", time4xi())   
    
    try:
        order1500 = 0           
    
        ack1500 = True
        try:
            path2file      = '..\\..\\txt\\shot2six15004xi.txt'            
            f1500=open(path2file, 'r')
            if debug1500 is True:
                print("\n (STEP 1500A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1500 is True:
                print("\n (STEP 1500B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1500 = False
        
        if ack1500 is True:
      
            if debug1500 is True:
                print("\n (STEP 1500B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1500C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six15004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1500.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1500 is True: 
                        print('(STEP 1500D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1500 is True:                                                          
                            print('(STEP 1500E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1500 = order1500 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1500 is True:                                                          # info line
                            print('(STEP 1500F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1500
                        shot2six15004xi[order1500] = key2dictionary                                        
                        if debug1500 is True:    
                            print('(STEP 1500G/33) CREATED SHOT2SIX15004XI[', order1500, ']: ', shot2six15004xi[order1500]) #                                                                                                     
                else:                                                                                  # copyright line
                    if debug1500 is True:    
                        print('(STEP 1500G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1500.close()
            if debug1500 is True:    
                print('(STEP 1500H/33) CLOSED INPUT FILE: ', f1500)                        
                #
                print('(STEP 1500J/33) CREATED DICTIONARY: ')                      
                keys2shot = shot2six15004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six15004xi[key2shot])
                    
                # 
                # 1  :  -1000x964y-564z
                # 2  :  -1006x1112y-19z
                # 3  :  -1025x914y-601z
                # 4  :  -103x572y-1382z
                # 5  :  -1045x907y-577z
                # 6  :  -1062x1058y-34z
                # 7  :  -1067x855y-615z
                # 8  :  -1086x848y-591z
                # 9  :  -1105x794y-629z
                # 10  :  -1116x1000y-49z
                # 11  :  -1124x786y-605z
                # 12  :  -1140x732y-642z
                # 13  :  -1159x723y-619z
                # 14  :  -1166x940y-64z
                # 15  :  -1171x668y-656z
                # 16  :  -1189x658y-632z
                # 17  :  -1199x603y-669z
                # 18  :  -1213x877y-79z
                # 19  :  -1222x536y-683z
                # 20  :  -1242x469y-696z
                # 21  :  -1257x812y-94z
                # 22  :  -1258x401y-709z
                # 23  :  -1271x333y-722z
                # 24  :  -1279x265y-735z
                # 25  :  -1282x60y-774z
                # 26  :  -1284x196y-748z
                # 27  :  -1285x128y-761z
                # 28  :  -1297x745y-109z
                # 29  :  -1298x632y-689z
                # 30  :  -129x552y-1388z
                # 31  :  -132x1065y-1047z
                # 32  :  -1333x675y-124z
                # 33  :  -1365x604y-139z
                # 34  :  -1394x531y-154z
                # 35  :  -1418x457y-168z
                # 36  :  -1438x382y-183z
                # 37  :  -1454x305y-198z
                # 38  :  -1466x229y-213z
                # 39  :  -1474x151y-228z
                # 40  :  -1478x74y-243z
                # 41  :  -154x531y-1394z
                # 42  :  -158x1435y-404z
                # 43  :  -177x509y-1399z
                # 44  :  -186x1046y-1057z
                # 45  :  -198x486y-1404z
                # 46  :  -206x6y-1485z
                # 47  :  -218x462y-1410z
                # 48  :  -220x18y-1483z
                # 49  :  -232x1421y-418z
                # 50  :  -233x31y-1481z
                # 51  :  -235x438y-1415z
                # 52  :  -238x1025y-1068z
                # 53  :  -246x46y-1478z
                # 54  :  -250x413y-1420z
                # 55  :  -252x1425y-393z
                # 56  :  -257x63y-1476z
                # 57  :  -263x387y-1424z
                # 58  :  -268x80y-1473z
                # 59  :  -275x362y-1429z
                # 60  :  -277x99y-1470z
                # 61  :  -284x336y-1433z
                # 62  :  -285x119y-1467z
                # 63  :  -288x1001y-1079z
                # 64  :  -291x310y-1438z
                # 65  :  -292x141y-1464z
                # 66  :  -297x163y-1461z
                # 67  :  -297x284y-1442z
                # 68  :  -300x186y-1457z
                # 69  :  -300x259y-1446z
                # 70  :  -302x209y-1454z
                # 71  :  -302x234y-1450z
                # 72  :  -305x1403y-432z
                # 73  :  -325x1406y-408z
                # 74  :  -337x974y-1089z
                # 75  :  -377x1381y-447z
                # 76  :  -383x945y-1099z
                # 77  :  -397x1383y-422z
                # 78  :  -427x913y-1109z
                # 79  :  -448x1355y-461z
                # 80  :  -44x607y-1370z
                # 81  :  -467x1356y-436z
                # 82  :  -469x880y-1119z
                # 83  :  -509x844y-1129z
                # 84  :  -516x1325y-475z
                # 85  :  -536x1326y-451z
                # 86  :  -546x807y-1139z
                # 87  :  -581x768y-1149z
                # 88  :  -583x1292y-490z
                # 89  :  -603x1292y-465z
                # 90  :  -613x728y-1158z
                # 91  :  -642x687y-1168z
                # 92  :  -647x1255y-504z
                # 93  :  -667x1254y-479z
                # 94  :  -669x644y-1177z
                # 95  :  -693x600y-1186z
                # 96  :  -710x1215y-518z
                # 97  :  -714x556y-1196z
                # 98  :  -730x1213y-493z
                # 99  :  -732x511y-1205z
                # 100  :  -747x465y-1213z
                # 101  :  -74x590y-1376z
                # 102  :  -755x25y-1295z
                # 103  :  -760x420y-1222z
                # 104  :  -765x65y-1288z
                # 105  :  -769x1172y-532z
                # 106  :  -770x374y-1231z
                # 107  :  -773x107y-1280z
                # 108  :  -777x328y-1239z
                # 109  :  -779x150y-1272z
                # 110  :  -782x283y-1248z
                # 111  :  -783x193y-1264z
                # 112  :  -783x238y-1256z
                # 113  :  -789x1169y-508z
                # 114  :  -827x1125y-546z
                # 115  :  -846x1122y-522z
                # 116  :  -881x1076y-560z
                # 117  :  -901x1072y-536z
                # 118  :  -932x1024y-574z
                # 119  :  -946x1163y-4z
                # 120  :  -952x1020y-550z
                # 121  :  -980x970y-587z
             
                             
                                  
                                                  
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1500H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six15004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 1500I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six15004xi, " - TIME: ", time4xi())    
        
    # -------------------------------------------------------------------------------------------------
    # 1600
    # -------------------------------------------------------------------------------------------------         
    debug1600 = False
    
    shot2six16004xi = {
        1:'-1009x1241y-4z',
        2:'-1534x407y-196z',
        3:'-322x250y-1547z',
        4:'-994x1093y-612z'
        }
            
    print("\n (STEP 1600A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six16004xi, " - TIME: ", time4xi())   
    
    try:
        order1600 = 0           
    
        ack1600 = True
        try:
            path2file      = '..\\..\\txt\\shot2six16004xi.txt'            
            f1600=open(path2file, 'r')
            if debug1600 is True:
                print("\n (STEP 1600A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1600 is True:
                print("\n (STEP 1600B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1600 = False
        
        if ack1600 is True:
      
            if debug1600 is True:
                print("\n (STEP 1600B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1600C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six16004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1600.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1600 is True: 
                        print('(STEP 1600D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1600 is True:                                                          
                            print('(STEP 1600E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1600 = order1600 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1600 is True:                                                          # info line
                            print('(STEP 1600F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1600
                        shot2six16004xi[order1600] = key2dictionary                                        
                        if debug1600 is True:    
                            print('(STEP 1600G/33) CREATED SHOT2SIX16004XI[', order1600, ']: ', shot2six16004xi[order1600]) #  
                                                                                                                               
                else:                                                                                  # copyright line
                    if debug1600 is True:    
                        print('(STEP 1600G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1600.close()
            if debug1600 is True:    
                print('(STEP 1600H/33) CLOSED INPUT FILE: ', f1600)                        
                #
                print('(STEP 1600J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six16004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six16004xi[key2shot])
                    
                #
                # 1  :  -1009x1241y-4z
                # 2  :  -1015x1088y-586z
                # 3  :  -1046x1035y-627z
                # 4  :  -1067x1029y-601z
                # 5  :  -1073x1186y-20z
                # 6  :  -1094x974y-641z
                # 7  :  -110x610y-1474z
                # 8  :  -1114x968y-616z
                # 9  :  -1133x1128y-36z
                # 10  :  -1138x912y-656z
                # 11  :  -1159x904y-631z
                # 12  :  -1179x847y-671z
                # 13  :  -1190x1067y-52z
                # 14  :  -1199x838y-645z
                # 15  :  -1216x781y-685z
                # 16  :  -1236x771y-660z
                # 17  :  -1244x1003y-68z
                # 18  :  -1249x712y-699z
                # 19  :  -1269x702y-675z
                # 20  :  -1279x643y-714z
                # 21  :  -1294x936y-84z
                # 22  :  -1304x572y-728z
                # 23  :  -1325x500y-742z
                # 24  :  -1341x866y-100z
                # 25  :  -1342x428y-756z
                # 26  :  -1356x355y-771z
                # 27  :  -1365x282y-784z
                # 28  :  -1368x64y-826z
                # 29  :  -1370x209y-798z
                # 30  :  -1371x136y-812z
                # 31  :  -1379x671y-732z
                # 32  :  -1383x794y-116z
                # 33  :  -138x589y-1481z
                # 34  :  -141x1136y-1117z
                # 35  :  -1422x720y-132z
                # 36  :  -1456x644y-148z
                # 37  :  -1487x567y-164z
                # 38  :  -1513x487y-180z
                # 39  :  -1534x407y-196z
                # 40  :  -1551x326y-212z
                # 41  :  -1564x244y-227z
                # 42  :  -1573x161y-243z
                # 43  :  -1576x79y-259z
                # 44  :  -165x566y-1487z
                # 45  :  -169x1531y-431z
                # 46  :  -189x543y-1492z
                # 47  :  -198x1116y-1128z
                # 48  :  -212x518y-1498z
                # 49  :  -219x6y-1584z
                # 50  :  -232x493y-1504z
                # 51  :  -235x19y-1582z
                # 52  :  -248x1516y-446z
                # 53  :  -249x34y-1580z
                # 54  :  -250x467y-1509z
                # 55  :  -254x1093y-1139z
                # 56  :  -262x49y-1577z
                # 57  :  -267x440y-1514z
                # 58  :  -268x1520y-419z
                # 59  :  -275x67y-1574z
                # 60  :  -281x413y-1519z
                # 61  :  -286x86y-1571z
                # 62  :  -293x386y-1524z
                # 63  :  -296x106y-1568z
                # 64  :  -303x358y-1529z
                # 65  :  -304x127y-1565z
                # 66  :  -307x1067y-1150z
                # 67  :  -311x150y-1562z
                # 68  :  -311x331y-1534z
                # 69  :  -317x174y-1558z
                # 70  :  -317x303y-1538z
                # 71  :  -320x198y-1554z
                # 72  :  -320x276y-1542z
                # 73  :  -322x223y-1551z
                # 74  :  -322x250y-1547z
                # 75  :  -326x1496y-461z
                # 76  :  -347x1500y-435z
                # 77  :  -359x1039y-1162z
                # 78  :  -402x1473y-477z
                # 79  :  -409x1008y-1172z
                # 80  :  -423x1475y-450z
                # 81  :  -456x974y-1183z
                # 82  :  -478x1445y-492z
                # 83  :  -47x647y-1462z
                # 84  :  -499x1446y-466z
                # 85  :  -501x939y-1194z
                # 86  :  -543x901y-1205z
                # 87  :  -551x1413y-507z
                # 88  :  -572x1414y-481z
                # 89  :  -583x861y-1215z
                # 90  :  -620x820y-1225z
                # 91  :  -622x1378y-522z
                # 92  :  -643x1378y-496z
                # 93  :  -654x777y-1236z
                # 94  :  -685x732y-1246z
                # 95  :  -691x1339y-537z
                # 96  :  -712x1338y-511z
                # 97  :  -713x687y-1256z
                # 98  :  -739x640y-1266z
                # 99  :  -757x1296y-552z
                # 100  :  -761x593y-1275z
                # 101  :  -778x1294y-526z
                # 102  :  -781x545y-1285z
                # 103  :  -797x496y-1294z
                # 104  :  -79x629y-1468z
                # 105  :  -805x26y-1382z
                # 106  :  -811x448y-1304z
                # 107  :  -816x70y-1374z
                # 108  :  -821x1250y-567z
                # 109  :  -821x399y-1313z
                # 110  :  -825x114y-1365z
                # 111  :  -829x350y-1322z
                # 112  :  -831x160y-1357z
                # 113  :  -834x302y-1331z
                # 114  :  -835x206y-1348z
                # 115  :  -836x254y-1340z
                # 116  :  -842x1247y-541z
                # 117  :  -882x1200y-582z
                # 118  :  -903x1197y-556z
                # 119  :  -940x1148y-597z
                # 120  :  -961x1144y-571z
                # 121  :  -994x1093y-612z
           
                
                
                
                
              
                
                               
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1600H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six16004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 1600I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six16004xi, " - TIME: ", time4xi())    
         
    # -------------------------------------------------------------------------------------------------
    # 1700
    # -------------------------------------------------------------------------------------------------         
    debug1700 = False
    
    shot2six17004xi = {
        1:'-1021x1215y-607z',
        2:'-1470x844y-123z',
        3:'-247x524y-1598z',
        4:'-998x1220y-634z'
        }
            
    print("\n (STEP 1700A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six17004xi, " - TIME: ", time4xi())   
    
    try:
        order1700 = 0           
    
        ack1700 = True
        try:
            path2file      = '..\\..\\txt\\shot2six17004xi.txt'            
            f1700=open(path2file, 'r')
            if debug1700 is True:
                print("\n (STEP 1700A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1700 is True:
                print("\n (STEP 1700B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1700 = False
        
        if ack1700 is True:
      
            if debug1700 is True:
                print("\n (STEP 1700B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1700C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six17004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1700.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1700 is True: 
                        print('(STEP 1700D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1700 is True:                                                          
                            print('(STEP 1700E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1700 = order1700 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1700 is True:                                                          # info line
                            print('(STEP 1700F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1700
                        shot2six17004xi[order1700] = key2dictionary                                        
                        if debug1700 is True:    
                            print('(STEP 1700G/33) CREATED SHOT2SIX17004XI[', order1700, ']: ', shot2six17004xi[order1700]) #                                                                                              
                else:                                                                                  # copyright line
                    if debug1700 is True:    
                        print('(STEP 1700G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1700.close()
            if debug1700 is True:    
                print('(STEP 1700H/33) CLOSED INPUT FILE: ', f1700)                        
                #
                print('(STEP 1700J/33) CREATED DICTIONARY: ')                      
                keys2shot = shot2six17004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six17004xi[key2shot])
                    
                #
                # 1  :  -1021x1215y-607z
                # 2  :  -1056x1161y-650z
                # 3  :  -1072x1318y-4z
                # 4  :  -1079x1156y-623z
                # 5  :  -1111x1100y-666z
                # 6  :  -1133x1093y-639z
                # 7  :  -1140x1260y-21z
                # 8  :  -1162x1035y-682z
                # 9  :  -117x648y-1567z
                # 10  :  -1184x1028y-655z
                # 11  :  -1204x1199y-38z
                # 12  :  -1209x969y-697z
                # 13  :  -1231x961y-670z
                # 14  :  -1253x900y-713z
                # 15  :  -1265x1134y-55z
                # 16  :  -1274x891y-686z
                # 17  :  -1292x829y-728z
                # 18  :  -1313x819y-701z
                # 19  :  -1322x1065y-72z
                # 20  :  -1327x757y-743z
                # 21  :  -1348x746y-717z
                # 22  :  -1358x683y-758z
                # 23  :  -1375x994y-89z
                # 24  :  -1385x608y-774z
                # 25  :  -1408x532y-789z
                # 26  :  -1424x920y-106z
                # 27  :  -1426x455y-804z
                # 28  :  -1440x377y-819z
                # 29  :  -1450x300y-834z
                # 30  :  -1454x68y-878z
                # 31  :  -1455x222y-848z
                # 32  :  -1457x145y-863z
                # 33  :  -1460x711y-775z
                # 34  :  -1470x844y-123z
                # 35  :  -147x626y-1573z
                # 36  :  -150x1207y-1186z
                # 37  :  -1511x765y-140z
                # 38  :  -1547x685y-157z
                # 39  :  -1580x602y-174z
                # 40  :  -1607x518y-191z
                # 41  :  -1630x433y-208z
                # 42  :  -1648x346y-225z
                # 43  :  -1662x259y-242z
                # 44  :  -1671x171y-258z
                # 45  :  -1675x84y-275z
                # 46  :  -175x602y-1579z
                # 47  :  -179x1627y-458z
                # 48  :  -201x577y-1586z
                # 49  :  -211x1186y-1199z
                # 50  :  -225x551y-1592z
                # 51  :  -233x7y-1683z
                # 52  :  -247x524y-1598z
                # 53  :  -249x20y-1681z
                # 54  :  -263x1611y-474z
                # 55  :  -265x36y-1678z
                # 56  :  -266x496y-1603z
                # 57  :  -270x1162y-1211z
                # 58  :  -279x53y-1676z
                # 59  :  -283x468y-1609z
                # 60  :  -285x1615y-446z
                # 61  :  -292x71y-1673z
                # 62  :  -299x439y-1614z
                # 63  :  -304x91y-1670z
                # 64  :  -311x410y-1620z
                # 65  :  -314x113y-1666z
                # 66  :  -322x381y-1625z
                # 67  :  -323x135y-1663z
                # 68  :  -327x1134y-1222z
                # 69  :  -330x351y-1629z
                # 70  :  -331x159y-1659z
                # 71  :  -336x184y-1656z
                # 72  :  -336x322y-1634z
                # 73  :  -340x210y-1652z
                # 74  :  -340x293y-1639z
                # 75  :  -342x237y-1647z
                # 76  :  -342x265y-1643z
                # 77  :  -346x1590y-490z
                # 78  :  -368x1593y-462z
                # 79  :  -382x1104y-1234z
                # 80  :  -428x1565y-506z
                # 81  :  -434x1071y-1246z
                # 82  :  -450x1567y-478z
                # 83  :  -484x1035y-1257z
                # 84  :  -507x1535y-523z
                # 85  :  -50x688y-1553z
                # 86  :  -530x1537y-495z
                # 87  :  -532x997y-1269z
                # 88  :  -577x957y-1280z
                # 89  :  -585x1502y-539z
                # 90  :  -608x1502y-511z
                # 91  :  -619x915y-1291z
                # 92  :  -658x871y-1302z
                # 93  :  -661x1464y-555z
                # 94  :  -683x1464y-527z
                # 95  :  -695x825y-1313z
                # 96  :  -728x778y-1324z
                # 97  :  -734x1422y-571z
                # 98  :  -756x1421y-543z
                # 99  :  -758x730y-1334z
                # 100  :  -785x680y-1345z
                # 101  :  -804x1377y-587z
                # 102  :  -809x630y-1355z
                # 103  :  -827x1375y-559z
                # 104  :  -830x579y-1365z
                # 105  :  -847x527y-1375z
                # 106  :  -84x669y-1560z
                # 107  :  -855x28y-1468z
                # 108  :  -862x476y-1385z
                # 109  :  -867x74y-1459z
                # 110  :  -872x1328y-603z
                # 111  :  -873x424y-1395z
                # 112  :  -877x121y-1451z
                # 113  :  -881x372y-1405z
                # 114  :  -883x170y-1442z
                # 115  :  -886x321y-1414z
                # 116  :  -887x219y-1433z
                # 117  :  -888x270y-1423z
                # 118  :  -895x1325y-575z
                # 119  :  -937x1275y-619z
                # 120  :  -959x1272y-591z
                # 121  :  -998x1220y-634z
              
                
                                             
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1700H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six17004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 1700I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six17004xi, " - TIME: ", time4xi())    
         
    # -------------------------------------------------------------------------------------------------
    # 1800
    # -------------------------------------------------------------------------------------------------         
    debug1800 = False
    
    shot2six18004xi = {
        1:'-1016x1347y-626z',
        2:'-159x1278y-1256z',
        3:'-333x119y-1764z',
        4:'-992x1351y-655z'
        }
            
    print("\n (STEP 1800A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six18004xi, " - TIME: ", time4xi())   
    
    try:
        order1800 = 0           
    
        ack1800 = True
        try:
            path2file      = '..\\..\\txt\\shot2six18004xi.txt'            
            f1800=open(path2file, 'r')
            if debug1800 is True:
                print("\n (STEP 1800A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1800 is True:
                print("\n (STEP 1800B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1800 = False
        
        if ack1800 is True:
      
            if debug1800 is True:
                print("\n (STEP 1800B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1800C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six18004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1800.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1800 is True: 
                        print('(STEP 1800D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1800 is True:                                                          
                            print('(STEP 1800E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1800 = order1800 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1800 is True:                                                          # info line
                            print('(STEP 1800F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1800
                        shot2six18004xi[order1800] = key2dictionary                                        
                        if debug1800 is True:    
                            print('(STEP 1800G/33) CREATED SHOT2SIX18004XI[', order1800, ']: ', shot2six18004xi[order1800]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug1800 is True:    
                        print('(STEP 1800G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1800.close()
            if debug1800 is True:    
                print('(STEP 1800H/33) CLOSED INPUT FILE: ', f1800)                        
                #
                print('(STEP 1800J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six18004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six18004xi[key2shot])
                    
                #
                # 1  :  -1016x1347y-626z
                # 2  :  -1057x1292y-672z
                # 3  :  -1081x1287y-643z
                # 4  :  -1119x1229y-689z
                # 5  :  -1135x1396y-5z
                # 6  :  -1142x1224y-660z
                # 7  :  -1177x1164y-705z
                # 8  :  -1200x1157y-676z
                # 9  :  -1207x1334y-23z
                # 10  :  -1231x1096y-722z
                # 11  :  -123x686y-1659z
                # 12  :  -1254x1089y-693z
                # 13  :  -1275x1269y-41z
                # 14  :  -1281x1026y-738z
                # 15  :  -1303x1017y-710z
                # 16  :  -1326x953y-754z
                # 17  :  -1339x1200y-59z
                # 18  :  -1349x943y-726z
                # 19  :  -1368x878y-771z
                # 20  :  -1390x868y-743z
                # 21  :  -1400x1128y-77z
                # 22  :  -1405x801y-787z
                # 23  :  -1427x790y-759z
                # 24  :  -1438x723y-803z
                # 25  :  -1456x1053y-95z
                # 26  :  -1467x644y-819z
                # 27  :  -1491x563y-835z
                # 28  :  -1508x975y-113z
                # 29  :  -1510x482y-851z
                # 30  :  -1525x400y-867z
                # 31  :  -1535x318y-883z
                # 32  :  -1539x72y-929z
                # 33  :  -1541x235y-898z
                # 34  :  -1541x750y-818z
                # 35  :  -1542x153y-914z
                # 36  :  -1556x894y-131z
                # 37  :  -155x662y-1666z
                # 38  :  -159x1278y-1256z
                # 39  :  -1600x810y-149z
                # 40  :  -1638x725y-166z
                # 41  :  -1672x637y-184z
                # 42  :  -1702x548y-202z
                # 43  :  -1726x458y-220z
                # 44  :  -1745x367y-238z
                # 45  :  -1760x274y-256z
                # 46  :  -1769x182y-274z
                # 47  :  -1773x89y-291z
                # 48  :  -185x637y-1672z
                # 49  :  -190x1722y-484z
                # 50  :  -213x611y-1679z
                # 51  :  -223x1256y-1269z
                # 52  :  -238x583y-1685z
                # 53  :  -247x7y-1782z
                # 54  :  -261x555y-1692z
                # 55  :  -264x22y-1780z
                # 56  :  -279x1705y-502z
                # 57  :  -280x38y-1777z
                # 58  :  -282x525y-1698z
                # 59  :  -286x1230y-1282z
                # 60  :  -295x56y-1774z
                # 61  :  -300x495y-1704z
                # 62  :  -302x1710y-472z
                # 63  :  -309x75y-1771z
                # 64  :  -316x465y-1709z
                # 65  :  -322x97y-1768z
                # 66  :  -330x434y-1715z
                # 67  :  -333x119y-1764z
                # 68  :  -341x403y-1720z
                # 69  :  -342x143y-1761z
                # 70  :  -346x1201y-1294z
                # 71  :  -350x169y-1757z
                # 72  :  -350x372y-1725z
                # 73  :  -356x195y-1753z
                # 74  :  -356x341y-1730z
                # 75  :  -360x223y-1749z
                # 76  :  -360x311y-1735z
                # 77  :  -362x251y-1744z
                # 78  :  -363x281y-1740z
                # 79  :  -367x1683y-519z
                # 80  :  -390x1687y-489z
                # 81  :  -404x1169y-1307z
                # 82  :  -453x1657y-536z
                # 83  :  -460x1134y-1319z
                # 84  :  -476x1659y-507z
                # 85  :  -513x1096y-1331z
                # 86  :  -537x1626y-553z
                # 87  :  -53x728y-1645z
                # 88  :  -561x1627y-524z
                # 89  :  -563x1056y-1343z
                # 90  :  -611x1013y-1355z
                # 91  :  -620x1590y-571z
                # 92  :  -643x1591y-541z
                # 93  :  -655x969y-1367z
                # 94  :  -697x922y-1379z
                # 95  :  -700x1550y-588z
                # 96  :  -723x1550y-558z
                # 97  :  -735x874y-1390z
                # 98  :  -771x824y-1401z
                # 99  :  -777x1506y-605z
                # 100  :  -801x1505y-575z
                # 101  :  -803x773y-1413z
                # 102  :  -831x720y-1424z
                # 103  :  -852x1458y-621z
                # 104  :  -857x667y-1435z
                # 105  :  -876x1456y-592z
                # 106  :  -879x613y-1446z
                # 107  :  -897x558y-1456z
                # 108  :  -89x708y-1652z
                # 109  :  -906x30y-1554z
                # 110  :  -912x504y-1467z
                # 111  :  -918x78y-1545z
                # 112  :  -923x1406y-638z
                # 113  :  -924x449y-1477z
                # 114  :  -928x129y-1536z
                # 115  :  -933x394y-1487z
                # 116  :  -935x180y-1527z
                # 117  :  -938x339y-1497z
                # 118  :  -939x232y-1517z
                # 119  :  -940x286y-1507z
                # 120  :  -947x1403y-609z
                # 121  :  -992x1351y-655z
           
                
                
                
                          
              
                                             
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1800H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six18004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 1800I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six18004xi, " - TIME: ", time4xi())    
            
    # -------------------------------------------------------------------------------------------------
    # 1900
    # -------------------------------------------------------------------------------------------------         
    debug1900 = False
    
    shot2six19004xi = {
        1:'-1000x1481y-643z',
        2:'-1621x335y-932z',
        3:'-351x126y-1862z',
        4:'-993x301y-1591z'
        }
            
    print("\n (STEP 1900A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six19004xi, " - TIME: ", time4xi())    
    
    try:
        order1900 = 0           
    
        ack1900 = True
        try:
            path2file      = '..\\..\\txt\\shot2six19004xi.txt'            
            f1900=open(path2file, 'r')
            if debug1900 is True:
                print("\n (STEP 1900A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug1900 is True:
                print("\n (STEP 1900B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack1900 = False
        
        if ack1900 is True:
      
            if debug1900 is True:
                print("\n (STEP 1900B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 1900C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six19004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f1900.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug1900 is True: 
                        print('(STEP 1900D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug1900 is True:                                                          
                            print('(STEP 1900E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order1900 = order1900 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug1900 is True:                                                          # info line
                            print('(STEP 1900F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #1900
                        shot2six19004xi[order1900] = key2dictionary                                        
                        if debug1900 is True:    
                            print('(STEP 1900G/33) CREATED SHOT2SIX19004XI[', order1900, ']: ', shot2six19004xi[order1900]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug1900 is True:    
                        print('(STEP 1900G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f1900.close()
            if debug1900 is True:    
                print('(STEP 1900H/33) CLOSED INPUT FILE: ', f1900)                        
                #
                print('(STEP 1900J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six19004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six19004xi[key2shot])
                    
                #
                # 1  :  -1000x1481y-643z
                # 2  :  -1047x1426y-692z
                # 3  :  -1072x1421y-661z
                # 4  :  -1116x1363y-709z
                # 5  :  -1141x1358y-679z
                # 6  :  -1181x1298y-727z
                # 7  :  -1198x1473y-5z
                # 8  :  -1206x1292y-696z
                # 9  :  -1242x1229y-744z
                # 10  :  -1267x1222y-714z
                # 11  :  -1274x1409y-24z
                # 12  :  -1299x1157y-762z
                # 13  :  -130x724y-1751z
                # 14  :  -1323x1149y-732z
                # 15  :  -1346x1340y-43z
                # 16  :  -1352x1083y-779z
                # 17  :  -1376x1074y-749z
                # 18  :  -1400x1006y-796z
                # 19  :  -1414x1267y-62z
                # 20  :  -1424x996y-766z
                # 21  :  -1444x927y-814z
                # 22  :  -1468x916y-784z
                # 23  :  -1477x1191y-81z
                # 24  :  -1484x846y-831z
                # 25  :  -1507x834y-801z
                # 26  :  -1518x763y-848z
                # 27  :  -1537x1111y-100z
                # 28  :  -1548x679y-865z
                # 29  :  -1574x594y-882z
                # 30  :  -1592x1029y-119z
                # 31  :  -1594x508y-898z
                # 32  :  -1610x422y-915z
                # 33  :  -1621x335y-932z
                # 34  :  -1622x790y-861z
                # 35  :  -1625x76y-981z
                # 36  :  -1627x249y-948z
                # 37  :  -1628x162y-965z
                # 38  :  -1643x943y-138z
                # 39  :  -164x699y-1758z
                # 40  :  -167x1349y-1326z
                # 41  :  -1689x855y-157z
                # 42  :  -1729x765y-176z
                # 43  :  -1765x673y-195z
                # 44  :  -1796x579y-214z
                # 45  :  -1822x484y-232z
                # 46  :  -1842x387y-251z
                # 47  :  -1858x290y-270z
                # 48  :  -1867x192y-289z
                # 49  :  -1872x93y-308z
                # 50  :  -196x673y-1765z
                # 51  :  -200x1818y-511z
                # 52  :  -225x645y-1772z
                # 53  :  -235x1326y-1340z
                # 54  :  -251x616y-1779z
                # 55  :  -261x8y-1881z
                # 56  :  -276x586y-1786z
                # 57  :  -279x23y-1879z
                # 58  :  -294x1800y-530z
                # 59  :  -296x40y-1876z
                # 60  :  -298x555y-1792z
                # 61  :  -301x1298y-1353z
                # 62  :  -312x59y-1873z
                # 63  :  -317x523y-1798z
                # 64  :  -319x1805y-498z
                # 65  :  -326x80y-1869z
                # 66  :  -334x491y-1804z
                # 67  :  -339x102y-1866z
                # 68  :  -348x458y-1810z
                # 69  :  -351x126y-1862z
                # 70  :  -360x425y-1816z
                # 71  :  -361x151y-1859z
                # 72  :  -365x1268y-1366z
                # 73  :  -369x393y-1821z
                # 74  :  -370x178y-1855z
                # 75  :  -376x206y-1850z
                # 76  :  -376x360y-1827z
                # 77  :  -380x235y-1846z
                # 78  :  -381x328y-1832z
                # 79  :  -383x265y-1841z
                # 80  :  -383x296y-1837z
                # 81  :  -387x1777y-548z
                # 82  :  -412x1781y-516z
                # 83  :  -427x1234y-1379z
                # 84  :  -478x1749y-566z
                # 85  :  -485x1197y-1392z
                # 86  :  -503x1752y-535z
                # 87  :  -541x1157y-1405z
                # 88  :  -567x1716y-584z
                # 89  :  -56x769y-1736z
                # 90  :  -592x1718y-553z
                # 91  :  -595x1115y-1418z
                # 92  :  -645x1070y-1431z
                # 93  :  -654x1678y-602z
                # 94  :  -679x1679y-571z
                # 95  :  -692x1023y-1443z
                # 96  :  -736x973y-1455z
                # 97  :  -738x1636y-620z
                # 98  :  -764x1636y-589z
                # 99  :  -776x922y-1467z
                # 100  :  -814x870y-1479z
                # 101  :  -820x1590y-638z
                # 102  :  -845x1589y-607z
                # 103  :  -847x816y-1491z
                # 104  :  -877x760y-1503z
                # 105  :  -899x1539y-656z
                # 106  :  -904x704y-1514z
                # 107  :  -924x1537y-625z
                # 108  :  -927x647y-1526z
                # 109  :  -947x590y-1537z
                # 110  :  -94x747y-1744z
                # 111  :  -956x31y-1641z
                # 112  :  -963x532y-1548z
                # 113  :  -969x83y-1631z
                # 114  :  -975x1484y-674z
                # 115  :  -976x474y-1559z
                # 116  :  -980x136y-1621z
                # 117  :  -985x416y-1570z
                # 118  :  -987x190y-1611z
                # 119  :  -990x358y-1580z
                # 120  :  -991x245y-1601z
                # 121  :  -993x301y-1591z
           
              
                
                
                

              
                                               
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 1900H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six19004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 1900I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six19004xi, " - TIME: ", time4xi())    
           
    # -------------------------------------------------------------------------------------------------
    # 2000
    # -------------------------------------------------------------------------------------------------         
    debug2000 = False
    shot2six20004xi = {
        1:'-1006x33y-1727z',
        2:'-1499x1048y-807z',
        3:'-248x1395y-1410z',
        4:'-99x787y-1835z'
        }     
            
    print("\n (STEP 2000A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six20004xi, " - TIME: ", time4xi())   
    
    try:
        order2000 = 0           
    
        ack2000 = True
        try:
            path2file      = '..\\..\\txt\\shot2six20004xi.txt'            
            f2000=open(path2file, 'r')
            if debug2000 is True:
                print("\n (STEP 2000A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2000 is True:
                print("\n (STEP 2000B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2000 = False
        
        if ack2000 is True:
      
            if debug2000 is True:
                print("\n (STEP 2000B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2000C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six20004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2000.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2000 is True: 
                        print('(STEP 2000D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug2000 is True:                                                          
                            print('(STEP 2000E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2000 = order2000 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2000 is True:                                                          # info line
                            print('(STEP 2000F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2000
                        shot2six20004xi[order2000] = key2dictionary                                        
                        if debug2000 is True:    
                            print('(STEP 2000G/33) CREATED SHOT2SIX20004XI[', order2000, ']: ', shot2six20004xi[order2000]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2000 is True:    
                        print('(STEP 2000G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2000.close()
            if debug2000 is True:    
                print('(STEP 2000H/33) CLOSED INPUT FILE: ', f2000)                        
                #
                print('(STEP 2000J/33) CREATED DICTIONARY: ')                      
                keys2shot = shot2six20004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six20004xi[key2shot])
                    
                # 
                # 1  :  -1006x33y-1727z
                # 2  :  -1014x560y-1630z
                # 3  :  -1020x87y-1717z
                # 4  :  -1026x1562y-709z
                # 5  :  -1027x499y-1641z
                # 6  :  -1031x143y-1707z
                # 7  :  -1037x438y-1653z
                # 8  :  -1039x200y-1696z
                # 9  :  -1042x377y-1664z
                # 10  :  -1044x258y-1686z
                # 11  :  -1045x317y-1675z
                # 12  :  -1053x1559y-677z
                # 13  :  -1102x1501y-728z
                # 14  :  -1129x1496y-696z
                # 15  :  -1175x1435y-747z
                # 16  :  -1201x1430y-714z
                # 17  :  -1243x1366y-765z
                # 18  :  -1262x1551y-5z
                # 19  :  -1269x1360y-733z
                # 20  :  -1307x1294y-783z
                # 21  :  -1333x1286y-752z
                # 22  :  -1341x1483y-25z
                # 23  :  -1367x1218y-802z
                # 24  :  -137x762y-1843z
                # 25  :  -1393x1210y-770z
                # 26  :  -1416x1410y-45z
                # 27  :  -1423x1140y-820z
                # 28  :  -1448x1130y-789z
                # 29  :  -1474x1059y-838z
                # 30  :  -1488x1334y-65z
                # 31  :  -1499x1048y-807z
                # 32  :  -1520x976y-856z
                # 33  :  -1545x964y-825z
                # 34  :  -1555x1254y-85z
                # 35  :  -1562x891y-874z
                # 36  :  -1586x878y-843z
                # 37  :  -1598x804y-892z
                # 38  :  -1618x1170y-105z
                # 39  :  -1630x715y-910z
                # 40  :  -1657x626y-928z
                # 41  :  -1676x1083y-125z
                # 42  :  -1678x535y-946z
                # 43  :  -1695x444y-963z
                # 44  :  -1703x829y-904z
                # 45  :  -1706x353y-981z
                # 46  :  -1710x80y-1033z
                # 47  :  -1712x262y-998z
                # 48  :  -1714x171y-1015z
                # 49  :  -1729x993y-145z
                # 50  :  -173x736y-1851z
                # 51  :  -176x1420y-1396z
                # 52  :  -1777x900y-165z
                # 53  :  -1821x805y-185z
                # 54  :  -1858x708y-205z
                # 55  :  -1891x609y-225z
                # 56  :  -1918x509y-245z
                # 57  :  -1939x407y-265z
                # 58  :  -1955x305y-284z
                # 59  :  -1966x202y-304z
                # 60  :  -1971x98y-324z
                # 61  :  -206x708y-1858z
                # 62  :  -211x1914y-538z
                # 63  :  -237x679y-1866z
                # 64  :  -248x1395y-1410z
                # 65  :  -265x648y-1873z
                # 66  :  -274x8y-1980z
                # 67  :  -290x616y-1880z
                # 68  :  -293x24y-1978z
                # 69  :  -310x1895y-558z
                # 70  :  -311x42y-1975z
                # 71  :  -313x584y-1886z
                # 72  :  -317x1367y-1424z
                # 73  :  -328x62y-1971z
                # 74  :  -334x550y-1893z
                # 75  :  -336x1900y-524z
                # 76  :  -343x84y-1968z
                # 77  :  -351x516y-1899z
                # 78  :  -357x107y-1964z
                # 79  :  -366x482y-1905z
                # 80  :  -370x133y-1960z
                # 81  :  -379x448y-1911z
                # 82  :  -380x159y-1956z
                # 83  :  -384x1334y-1438z
                # 84  :  -389x188y-1952z
                # 85  :  -389x413y-1917z
                # 86  :  -396x217y-1948z
                # 87  :  -396x379y-1923z
                # 88  :  -400x248y-1943z
                # 89  :  -401x345y-1928z
                # 90  :  -403x279y-1938z
                # 91  :  -403x312y-1933z
                # 92  :  -407x1870y-577z
                # 93  :  -433x1875y-544z
                # 94  :  -449x1299y-1452z
                # 95  :  -503x1841y-596z
                # 96  :  -511x1260y-1466z
                # 97  :  -529x1844y-563z
                # 98  :  -570x1218y-1479z
                # 99  :  -597x1806y-615z
                # 100  :  -59x809y-1827z
                # 101  :  -623x1808y-582z
                # 102  :  -626x1173y-1493z
                # 103  :  -679x1126y-1506z
                # 104  :  -688x1767y-634z
                # 105  :  -715x1768y-601z
                # 106  :  -728x1077y-1519z
                # 107  :  -775x1025y-1532z
                # 108  :  -777x1722y-653z
                # 109  :  -804x1722y-620z
                # 110  :  -817x971y-1545z
                # 111  :  -856x916y-1557z
                # 112  :  -863x1673y-672z
                # 113  :  -890x1672y-639z
                # 114  :  -892x859y-1570z
                # 115  :  -924x800y-1582z
                # 116  :  -946x1620y-691z
                # 117  :  -952x741y-1594z
                # 118  :  -973x1618y-658z
                # 119  :  -976x681y-1606z
                # 120  :  -997x621y-1618z
                # 121  :  -99x787y-1835z
              
                
            
                
                                                
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2000H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six20004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2000I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six20004xi, " - TIME: ", time4xi())    
           
    # -------------------------------------------------------------------------------------------------
    # 2100
    # -------------------------------------------------------------------------------------------------         
    debug2100 = False
    
    shot2six21004xi = {
        1:'-1022x1699y-691z',
        2:'-1665x922y-885z',
        3:'-361x88y-2066z',
        4:'-999x778y-1674z'
        }
            
    print("\n (STEP 2100A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six21004xi, " - TIME: ", time4xi())   
    
    try:
        order2100 = 0           
    
        ack2100 = True
        try:
            path2file      = '..\\..\\txt\\shot2six21004xi.txt'            
            f2100=open(path2file, 'r')
            if debug2100 is True:
                print("\n (STEP 2100A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2100 is True:
                print("\n (STEP 2100B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2100 = False
        
        if ack2100 is True:
      
            if debug2100 is True:
                print("\n (STEP 2100B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2100C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six21004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2100.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2100 is True: 
                        print('(STEP 2100D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               #
                        ack2key = True
                        if debug2100 is True:                                                          
                            print('(STEP 2100E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2100 = order2100 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2100 is True:                                                          # info line
                            print('(STEP 2100F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2100
                        shot2six21004xi[order2100] = key2dictionary                                        
                        if debug2100 is True:    
                            print('(STEP 2100G/33) CREATED SHOT2SIX21004XI[', order2100, ']: ', shot2six21004xi[order2100]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2100 is True:    
                        print('(STEP 2100G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2100.close()
            if debug2100 is True:    
                print('(STEP 2100H/33) CLOSED INPUT FILE: ', f2100)                        
                #
                print('(STEP 2100J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six21004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six21004xi[key2shot])
                    
                #
                # 1  :  -1022x1699y-691z
                # 2  :  -1025x715y-1687z
                # 3  :  -1047x652y-1699z
                # 4  :  -104x826y-1927z
                # 5  :  -1057x35y-1814z
                # 6  :  -1064x588y-1711z
                # 7  :  -1071x92y-1803z
                # 8  :  -1077x1640y-745z
                # 9  :  -1078x524y-1723z
                # 10  :  -1083x150y-1792z
                # 11  :  -1088x460y-1735z
                # 12  :  -1091x210y-1781z
                # 13  :  -1095x396y-1747z
                # 14  :  -1096x271y-1770z
                # 15  :  -1097x333y-1758z
                # 16  :  -1105x1637y-711z
                # 17  :  -1157x1576y-764z
                # 18  :  -1185x1571y-730z
                # 19  :  -1233x1507y-784z
                # 20  :  -1261x1501y-750z
                # 21  :  -1305x1434y-803z
                # 22  :  -1325x1629y-6z
                # 23  :  -1333x1428y-770z
                # 24  :  -1373x1358y-823z
                # 25  :  -1400x1350y-789z
                # 26  :  -1408x1557y-27z
                # 27  :  -1436x1279y-842z
                # 28  :  -144x800y-1935z
                # 29  :  -1463x1270y-809z
                # 30  :  -1487x1481y-48z
                # 31  :  -1494x1197y-861z
                # 32  :  -1521x1187y-828z
                # 33  :  -1548x1112y-880z
                # 34  :  -1562x1400y-69z
                # 35  :  -1574x1101y-847z
                # 36  :  -1596x1025y-899z
                # 37  :  -1622x1012y-866z
                # 38  :  -1633x1316y-90z
                # 39  :  -1640x935y-918z
                # 40  :  -1665x922y-885z
                # 41  :  -1678x844y-937z
                # 42  :  -1699x1228y-111z
                # 43  :  -1711x751y-956z
                # 44  :  -1739x657y-974z
                # 45  :  -1760x1137y-131z
                # 46  :  -1762x562y-993z
                # 47  :  -1779x466y-1011z
                # 48  :  -1784x869y-948z
                # 49  :  -1791x371y-1030z
                # 50  :  -1796x84y-1084z
                # 51  :  -1798x275y-1048z
                # 52  :  -1799x179y-1066z
                # 53  :  -1816x1043y-152z
                # 54  :  -181x773y-1943z
                # 55  :  -185x1491y-1466z
                # 56  :  -1866x945y-173z
                # 57  :  -1912x846y-194z
                # 58  :  -1951x744y-215z
                # 59  :  -1985x640y-236z
                # 60  :  -2014x534y-257z
                # 61  :  -2036x428y-278z
                # 62  :  -2053x320y-299z
                # 63  :  -2064x212y-319z
                # 64  :  -2069x103y-340z
                # 65  :  -216x744y-1951z
                # 66  :  -221x2010y-565z
                # 67  :  -248x713y-1959z
                # 68  :  -260x1465y-1481z
                # 69  :  -278x681y-1966z
                # 70  :  -288x8y-2080z
                # 71  :  -305x647y-1974z
                # 72  :  -308x25y-2077z
                # 73  :  -325x1990y-586z
                # 74  :  -327x44y-2073z
                # 75  :  -329x613y-1981z
                # 76  :  -333x1435y-1496z
                # 77  :  -344x65y-2070z
                # 78  :  -350x578y-1988z
                # 79  :  -352x1995y-551z
                # 80  :  -361x88y-2066z
                # 81  :  -369x542y-1994z
                # 82  :  -375x113y-2063z
                # 83  :  -385x506y-2001z
                # 84  :  -388x139y-2058z
                # 85  :  -398x470y-2007z
                # 86  :  -399x167y-2054z
                # 87  :  -404x1401y-1510z
                # 88  :  -408x434y-2013z
                # 89  :  -409x197y-2050z
                # 90  :  -416x228y-2045z
                # 91  :  -416x398y-2019z
                # 92  :  -420x260y-2040z
                # 93  :  -421x363y-2025z
                # 94  :  -423x293y-2035z
                # 95  :  -423x328y-2030z
                # 96  :  -428x1964y-606z
                # 97  :  -455x1968y-571z
                # 98  :  -472x1364y-1525z
                # 99  :  -528x1933y-626z
                # 100  :  -537x1323y-1539z
                # 101  :  -556x1936y-591z
                # 102  :  -599x1279y-1553z
                # 103  :  -627x1897y-646z
                # 104  :  -62x850y-1919z
                # 105  :  -655x1899y-611z
                # 106  :  -657x1232y-1567z
                # 107  :  -713x1182y-1581z
                # 108  :  -723x1855y-666z
                # 109  :  -751x1856y-631z
                # 110  :  -765x1130y-1595z
                # 111  :  -813x1076y-1608z
                # 112  :  -816x1808y-686z
                # 113  :  -844x1808y-651z
                # 114  :  -858x1020y-1622z
                # 115  :  -899x961y-1635z
                # 116  :  -907x1757y-705z
                # 117  :  -935x1756y-671z
                # 118  :  -936x902y-1648z
                # 119  :  -970x840y-1661z
                # 120  :  -994x1701y-725z
                # 121  :  -999x778y-1674z
             
                

                
                            
                                                
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2100H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six21004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2100I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six21004xi, " - TIME: ", time4xi())    
        
    # -------------------------------------------------------------------------------------------------
    # 2200
    # -------------------------------------------------------------------------------------------------         
    debug2200 = False
    
    shot2six22004xi = {
        1:'-1016x880y-1740z',
        2:'-1565x1254y-902z',
        3:'-2133x448y-291z',
        4:'-981x944y-1727z'
        }

            
    print("\n (STEP 2200A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six22004xi, " - TIME: ", time4xi())   
    
    try:
        order2200 = 0           
    
        ack2200 = True
        try:
            path2file      = '..\\..\\txt\\shot2six22004xi.txt'            
            f2200=open(path2file, 'r')
            if debug2200 is True:
                print("\n (STEP 2200A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2200 is True:
                print("\n (STEP 2200B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2200 = False
        
        if ack2200 is True:
      
            if debug2200 is True:
                print("\n (STEP 2200B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2200C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six22004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2200.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2200 is True: 
                        print('(STEP 2200D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug2200 is True:                                                          
                            print('(STEP 2200E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2200 = order2200 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2200 is True:                                                          # info line
                            print('(STEP 2200F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2200
                        shot2six22004xi[order2200] = key2dictionary                                        
                        if debug2200 is True:    
                            print('(STEP 2200G/33) CREATED SHOT2SIX22004XI[', order2200, ']: ', shot2six22004xi[order2200]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2200 is True:    
                        print('(STEP 2200G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2200.close()
            if debug2200 is True:    
                print('(STEP 2200H/33) CLOSED INPUT FILE: ', f2200)                        
                #
                print('(STEP 2200J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six22004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six22004xi[key2shot])
                    
                #
                # 1  :  -1016x880y-1740z
                # 2  :  -1041x1782y-760z
                # 3  :  -1047x815y-1754z
                # 4  :  -1070x1780y-724z
                # 5  :  -1074x749y-1767z
                # 6  :  -1097x683y-1780z
                # 7  :  -109x865y-2019z
                # 8  :  -1107x36y-1900z
                # 9  :  -1115x616y-1793z
                # 10  :  -1123x96y-1889z
                # 11  :  -1129x1719y-780z
                # 12  :  -1130x549y-1805z
                # 13  :  -1135x157y-1877z
                # 14  :  -1140x482y-1818z
                # 15  :  -1143x220y-1866z
                # 16  :  -1147x415y-1830z
                # 17  :  -1148x284y-1854z
                # 18  :  -1149x349y-1842z
                # 19  :  -1158x1715y-745z
                # 20  :  -1212x1651y-801z
                # 21  :  -1242x1646y-765z
                # 22  :  -1292x1579y-821z
                # 23  :  -1321x1573y-786z
                # 24  :  -1367x1503y-842z
                # 25  :  -1388x1706y-6z
                # 26  :  -1396x1496y-806z
                # 27  :  -1438x1423y-862z
                # 28  :  -1467x1415y-827z
                # 29  :  -1475x1631y-28z
                # 30  :  -1504x1340y-882z
                # 31  :  -151x839y-2028z
                # 32  :  -1532x1331y-847z
                # 33  :  -1558x1551y-50z
                # 34  :  -1565x1254y-902z
                # 35  :  -1593x1243y-867z
                # 36  :  -1621x1165y-922z
                # 37  :  -1637x1467y-72z
                # 38  :  -1649x1153y-888z
                # 39  :  -1672x1073y-942z
                # 40  :  -1699x1060y-908z
                # 41  :  -1711x1379y-94z
                # 42  :  -1718x980y-962z
                # 43  :  -1745x966y-928z
                # 44  :  -1758x884y-982z
                # 45  :  -1780x1287y-116z
                # 46  :  -1793x787y-1001z
                # 47  :  -1822x688y-1021z
                # 48  :  -1844x1191y-138z
                # 49  :  -1846x589y-1040z
                # 50  :  -1864x489y-1060z
                # 51  :  -1865x908y-991z
                # 52  :  -1877x388y-1079z
                # 53  :  -1881x88y-1136z
                # 54  :  -1884x288y-1098z
                # 55  :  -1885x188y-1117z
                # 56  :  -1902x1092y-160z
                # 57  :  -190x810y-2036z
                # 58  :  -194x1562y-1536z
                # 59  :  -1955x991y-182z
                # 60  :  -2003x886y-204z
                # 61  :  -2044x779y-225z
                # 62  :  -2080x670y-247z
                # 63  :  -2110x560y-269z
                # 64  :  -2133x448y-291z
                # 65  :  -2151x335y-313z
                # 66  :  -2162x222y-335z
                # 67  :  -2168x108y-356z
                # 68  :  -226x779y-2044z
                # 69  :  -232x2105y-592z
                # 70  :  -260x747y-2052z
                # 71  :  -273x1535y-1551z
                # 72  :  -291x713y-2060z
                # 73  :  -302x9y-2179z
                # 74  :  -319x678y-2068z
                # 75  :  -323x26y-2175z
                # 76  :  -341x2084y-613z
                # 77  :  -342x46y-2172z
                # 78  :  -345x642y-2075z
                # 79  :  -349x1503y-1567z
                # 80  :  -361x68y-2169z
                # 81  :  -367x606y-2082z
                # 82  :  -369x2090y-577z
                # 83  :  -378x92y-2165z
                # 84  :  -386x568y-2089z
                # 85  :  -393x118y-2161z
                # 86  :  -403x530y-2096z
                # 87  :  -407x146y-2157z
                # 88  :  -417x493y-2103z
                # 89  :  -418x175y-2152z
                # 90  :  -423x1468y-1582z
                # 91  :  -428x206y-2147z
                # 92  :  -428x455y-2109z
                # 93  :  -435x239y-2143z
                # 94  :  -435x417y-2115z
                # 95  :  -440x273y-2137z
                # 96  :  -441x380y-2121z
                # 97  :  -443x307y-2132z
                # 98  :  -443x343y-2127z
                # 99  :  -448x2058y-635z
                # 100  :  -477x2062y-598z
                # 101  :  -494x1429y-1597z
                # 102  :  -554x2025y-656z
                # 103  :  -562x1386y-1612z
                # 104  :  -582x2028y-619z
                # 105  :  -627x1340y-1627z
                # 106  :  -657x1987y-676z
                # 107  :  -65x890y-2010z
                # 108  :  -686x1989y-640z
                # 109  :  -689x1291y-1642z
                # 110  :  -747x1239y-1657z
                # 111  :  -757x1943y-697z
                # 112  :  -786x1944y-661z
                # 113  :  -801x1184y-1671z
                # 114  :  -852x1127y-1685z
                # 115  :  -855x1895y-718z
                # 116  :  -884x1894y-682z
                # 117  :  -899x1068y-1699z
                # 118  :  -942x1007y-1713z
                # 119  :  -950x1841y-739z
                # 120  :  -979x1839y-703z
                # 121  :  -981x944y-1727z
             
                
            
                
                                                          
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2200H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six22004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2200I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six22004xi, " - TIME: ", time4xi())    
         
    # -------------------------------------------------------------------------------------------------
    # 2300
    # -------------------------------------------------------------------------------------------------         
    debug2300 = False
        
    shot2six23004xi = {
        1:'-1024x1923y-735z',
        2:'-1636x1311y-943z',
        3:'-2175x701y-259z',
        4:'-993x1924y-773z'
        }
            
    print("\n (STEP 2300A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six23004xi, " - TIME: ", time4xi())   
    
    try:
        order2300 = 0           
    
        ack2300 = True
        try:
            path2file      = '..\\..\\txt\\shot2six23004xi.txt'            
            f2300=open(path2file, 'r')
            if debug2300 is True:
                print("\n (STEP 2300A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2300 is True:
                print("\n (STEP 2300B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2300 = False
        
        if ack2300 is True:
      
            if debug2300 is True:
                print("\n (STEP 2300B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2300C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six23004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2300.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2300 is True: 
                        print('(STEP 2300D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug2300 is True:                                                          
                            print('(STEP 2300E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2300 = order2300 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2300 is True:                                                          # info line
                            print('(STEP 2300F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2300
                        shot2six23004xi[order2300] = key2dictionary                                        
                        if debug2300 is True:    
                            print('(STEP 2300G/33) CREATED SHOT2SIX23004XI[', order2300, ']: ', shot2six23004xi[order2300]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2300 is True:    
                        print('(STEP 2300G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2300.close()
            if debug2300 is True:    
                print('(STEP 2300H/33) CLOSED INPUT FILE: ', f2300)                        
                #
                print('(STEP 2300J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six23004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six23004xi[key2shot])
                    
                #
                # 1  :  -1024x1923y-735z
                # 2  :  -1026x987y-1805z
                # 3  :  -1062x921y-1819z
                # 4  :  -1088x1863y-794z
                # 5  :  -1095x852y-1833z
                # 6  :  -1119x1860y-757z
                # 7  :  -1123x783y-1847z
                # 8  :  -1146x714y-1861z
                # 9  :  -114x905y-2111z
                # 10  :  -1157x38y-1986z
                # 11  :  -1166x644y-1874z
                # 12  :  -1174x100y-1975z
                # 13  :  -1180x1797y-816z
                # 14  :  -1181x574y-1887z
                # 15  :  -1186x164y-1963z
                # 16  :  -1192x504y-1900z
                # 17  :  -1195x230y-1951z
                # 18  :  -1199x434y-1913z
                # 19  :  -1200x297y-1938z
                # 20  :  -1202x365y-1926z
                # 21  :  -1211x1793y-779z
                # 22  :  -1268x1726y-837z
                # 23  :  -1298x1721y-800z
                # 24  :  -1351x1651y-859z
                # 25  :  -1381x1644y-822z
                # 26  :  -1430x1571y-880z
                # 27  :  -1451x1784y-6z
                # 28  :  -1460x1564y-843z
                # 29  :  -1503x1488y-901z
                # 30  :  -1533x1479y-864z
                # 31  :  -1542x1705y-29z
                # 32  :  -1573x1401y-922z
                # 33  :  -158x877y-2120z
                # 34  :  -1602x1391y-886z
                # 35  :  -1629x1622y-52z
                # 36  :  -1636x1311y-943z
                # 37  :  -1666x1300y-907z
                # 38  :  -1695x1218y-964z
                # 39  :  -1711x1534y-75z
                # 40  :  -1724x1206y-928z
                # 41  :  -1748x1122y-985z
                # 42  :  -1777x1109y-949z
                # 43  :  -1788x1442y-98z
                # 44  :  -1796x1024y-1006z
                # 45  :  -1824x1010y-970z
                # 46  :  -1838x924y-1026z
                # 47  :  -1861x1345y-121z
                # 48  :  -1874x823y-1047z
                # 49  :  -1905x720y-1067z
                # 50  :  -1927x1245y-144z
                # 51  :  -1930x616y-1088z
                # 52  :  -1947x948y-1034z
                # 53  :  -1949x511y-1108z
                # 54  :  -1962x406y-1128z
                # 55  :  -1967x92y-1188z
                # 56  :  -1969x301y-1148z
                # 57  :  -1971x196y-1168z
                # 58  :  -1989x1142y-167z
                # 59  :  -199x847y-2129z
                # 60  :  -203x1633y-1605z
                # 61  :  -2044x1036y-190z
                # 62  :  -2094x926y-213z
                # 63  :  -2137x815y-236z
                # 64  :  -2175x701y-259z
                # 65  :  -2206x585y-281z
                # 66  :  -2230x469y-304z
                # 67  :  -2249x351y-327z
                # 68  :  -2261x232y-350z
                # 69  :  -2266x113y-372z
                # 70  :  -237x814y-2137z
                # 71  :  -243x2201y-619z
                # 72  :  -272x781y-2146z
                # 73  :  -285x1605y-1622z
                # 74  :  -304x745y-2154z
                # 75  :  -316x9y-2278z
                # 76  :  -334x709y-2162z
                # 77  :  -337x28y-2274z
                # 78  :  -356x2179y-641z
                # 79  :  -358x48y-2271z
                # 80  :  -360x671y-2169z
                # 81  :  -365x1572y-1638z
                # 82  :  -377x71y-2267z
                # 83  :  -384x633y-2177z
                # 84  :  -386x2185y-603z
                # 85  :  -395x96y-2263z
                # 86  :  -404x594y-2184z
                # 87  :  -411x124y-2259z
                # 88  :  -421x555y-2191z
                # 89  :  -425x153y-2255z
                # 90  :  -436x515y-2198z
                # 91  :  -437x183y-2250z
                # 92  :  -442x1535y-1654z
                # 93  :  -447x216y-2245z
                # 94  :  -447x475y-2205z
                # 95  :  -455x250y-2240z
                # 96  :  -455x436y-2211z
                # 97  :  -461x285y-2235z
                # 98  :  -461x397y-2217z
                # 99  :  -463x321y-2229z
                # 100  :  -463x359y-2223z
                # 101  :  -469x2151y-663z
                # 102  :  -499x2156y-625z
                # 103  :  -517x1494y-1670z
                # 104  :  -579x2117y-685z
                # 105  :  -588x1449y-1686z
                # 106  :  -609x2121y-647z
                # 107  :  -656x1401y-1701z
                # 108  :  -687x2077y-707z
                # 109  :  -68x931y-2101z
                # 110  :  -717x2080y-669z
                # 111  :  -720x1349y-1717z
                # 112  :  -781x1295y-1732z
                # 113  :  -792x2032y-729z
                # 114  :  -822x2033y-691z
                # 115  :  -838x1238y-1747z
                # 116  :  -891x1179y-1762z
                # 117  :  -894x1981y-751z
                # 118  :  -925x1981y-713z
                # 119  :  -940x1117y-1776z
                # 120  :  -985x1053y-1791z
                # 121  :  -993x1924y-773z


                
                
                                                         
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2300H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six23004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2300I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six23004xi, " - TIME: ", time4xi())    
             
    # -------------------------------------------------------------------------------------------------
    # 2400
    # -------------------------------------------------------------------------------------------------         
    debug2400 = False
    
    shot2six24004xi = {
        1:'-1028x1099y-1869z',
        2:'-1600x1543y-902z',
        3:'-207x883y-2221z',
        4:'-981x1165y-1854z'
        }
            
    print("\n (STEP 2400A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six24004xi, " - TIME: ", time4xi())   
    
    try:
        order2400 = 0           
    
        ack2400 = True
        try:
            path2file      = '..\\..\\txt\\shot2six24004xi.txt'            
            f2400=open(path2file, 'r')
            if debug2400 is True:
                print("\n (STEP 2400A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2400 is True:
                print("\n (STEP 2400B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2400 = False
        
        if ack2400 is True:
      
            if debug2400 is True:
                print("\n (STEP 2400B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2400C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six24004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2400.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2400 is True: 
                        print('(STEP 2400D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug2400 is True:                                                          
                            print('(STEP 2400E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2400 = order2400 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2400 is True:                                                          # info line
                            print('(STEP 2400F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2400
                        shot2six24004xi[order2400] = key2dictionary                                        
                        if debug2400 is True:    
                            print('(STEP 2400G/33) CREATED SHOT2SIX24004XI[', order2400, ']: ', shot2six24004xi[order2400]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2400 is True:    
                        print('(STEP 2400G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2400.close()
            if debug2400 is True:    
                print('(STEP 2400H/33) CLOSED INPUT FILE: ', f2400)                        
                #
                print('(STEP 2400J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six24004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six24004xi[key2shot])
                    
                #
                # 1  :  -1028x1099y-1869z
                # 2  :  -1036x2008y-806z
                # 3  :  -1068x2007y-767z
                # 4  :  -1070x1030y-1884z
                # 5  :  -1109x961y-1899z
                # 6  :  -1136x1944y-829z
                # 7  :  -1142x889y-1913z
                # 8  :  -1168x1941y-790z
                # 9  :  -1172x817y-1928z
                # 10  :  -1196x745y-1942z
                # 11  :  -119x944y-2203z
                # 12  :  -1208x40y-2073z
                # 13  :  -1217x672y-1956z
                # 14  :  -1225x105y-2061z
                # 15  :  -1231x1875y-851z
                # 16  :  -1232x599y-1970z
                # 17  :  -1238x172y-2048z
                # 18  :  -1244x525y-1983z
                # 19  :  -1247x240y-2036z
                # 20  :  -1251x453y-1997z
                # 21  :  -1253x310y-2023z
                # 22  :  -1254x381y-2010z
                # 23  :  -1263x1871y-812z
                # 24  :  -1323x1801y-874z
                # 25  :  -1354x1796y-835z
                # 26  :  -1410x1722y-896z
                # 27  :  -1441x1716y-857z
                # 28  :  -1492x1639y-918z
                # 29  :  -1514x1861y-6z
                # 30  :  -1523x1632y-880z
                # 31  :  -1569x1553y-940z
                # 32  :  -1600x1543y-902z
                # 33  :  -1609x1779y-30z
                # 34  :  -1641x1462y-962z
                # 35  :  -165x915y-2212z
                # 36  :  -1672x1452y-924z
                # 37  :  -1700x1692y-54z
                # 38  :  -1708x1368y-984z
                # 39  :  -1738x1356y-946z
                # 40  :  -1769x1271y-1006z
                # 41  :  -1786x1601y-78z
                # 42  :  -1799x1258y-968z
                # 43  :  -1824x1171y-1028z
                # 44  :  -1854x1157y-990z
                # 45  :  -1866x1504y-102z
                # 46  :  -1874x1069y-1049z
                # 47  :  -1903x1053y-1012z
                # 48  :  -1918x964y-1071z
                # 49  :  -1942x1404y-126z
                # 50  :  -1956x858y-1092z
                # 51  :  -1988x751y-1114z
                # 52  :  -2011x1300y-150z
                # 53  :  -2014x642y-1135z
                # 54  :  -2028x987y-1077z
                # 55  :  -2034x533y-1156z
                # 56  :  -2047x424y-1177z
                # 57  :  -2052x96y-1239z
                # 58  :  -2055x314y-1198z
                # 59  :  -2057x205y-1219z
                # 60  :  -2075x1192y-174z
                # 61  :  -207x883y-2221z
                # 62  :  -212x1705y-1675z
                # 63  :  -2133x1081y-198z
                # 64  :  -2185x967y-222z
                # 65  :  -2230x850y-246z
                # 66  :  -2269x731y-270z
                # 67  :  -2302x611y-294z
                # 68  :  -2327x489y-318z
                # 69  :  -2347x366y-341z
                # 70  :  -2359x242y-365z
                # 71  :  -2365x118y-389z
                # 72  :  -247x850y-2230z
                # 73  :  -253x2297y-646z
                # 74  :  -284x815y-2239z
                # 75  :  -298x1675y-1692z
                # 76  :  -318x778y-2247z
                # 77  :  -329x10y-2377z
                # 78  :  -348x740y-2256z
                # 79  :  -352x29y-2373z
                # 80  :  -372x2274y-669z
                # 81  :  -374x51y-2370z
                # 82  :  -376x701y-2264z
                # 83  :  -381x1640y-1709z
                # 84  :  -394x74y-2366z
                # 85  :  -400x661y-2272z
                # 86  :  -403x2280y-629z
                # 87  :  -412x101y-2362z
                # 88  :  -422x620y-2279z
                # 89  :  -429x129y-2357z
                # 90  :  -440x579y-2287z
                # 91  :  -444x159y-2353z
                # 92  :  -455x537y-2294z
                # 93  :  -456x191y-2348z
                # 94  :  -461x1601y-1726z
                # 95  :  -466x496y-2301z
                # 96  :  -467x225y-2343z
                # 97  :  -475x261y-2337z
                # 98  :  -475x455y-2307z
                # 99  :  -481x297y-2332z
                # 100  :  -481x414y-2314z
                # 101  :  -483x335y-2326z
                # 102  :  -484x375y-2320z
                # 103  :  -489x2245y-692z
                # 104  :  -520x2250y-652z
                # 105  :  -539x1559y-1743z
                # 106  :  -604x2209y-715z
                # 107  :  -613x1512y-1759z
                # 108  :  -635x2213y-676z
                # 109  :  -684x1462y-1775z
                # 110  :  -717x2168y-738z
                # 111  :  -71x971y-2193z
                # 112  :  -748x2170y-699z
                # 113  :  -751x1408y-1791z
                # 114  :  -815x1351y-1807z
                # 115  :  -826x2120y-761z
                # 116  :  -858x2121y-721z
                # 117  :  -874x1292y-1823z
                # 118  :  -930x1230y-1838z
                # 119  :  -933x2067y-784z
                # 120  :  -965x2067y-744z
                # 121  :  -981x1165y-1854z
              
                
                                                                   
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2400H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six24004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2400I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six24004xi, " - TIME: ", time4xi())    
          
    # -------------------------------------------------------------------------------------------------
    # 2500
    # -------------------------------------------------------------------------------------------------         
    debug2500 = False
    
    shot2six25004xi = {
        1:'-1005x2153y-775z',
        2:'-1587x1700y-916z',
        3:'-216x920y-2314z',
        4:'-972x2153y-816z'
        }
            
    print("\n (STEP 2500A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six25004xi, " - TIME: ", time4xi())   
    
    try:
        order2500 = 0           
    
        ack2500 = True
        try:
            path2file      = '..\\..\\txt\\shot2six25004xi.txt'            
            f2500=open(path2file, 'r')
            if debug2500 is True:
                print("\n (STEP 2500A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2500 is True:
                print("\n (STEP 2500B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2500 = False
        
        if ack2500 is True:
      
            if debug2500 is True:
                print("\n (STEP 2500B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2500C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six25004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2500.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2500 is True: 
                        print('(STEP 2500D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug2500 is True:                                                          
                            print('(STEP 2500E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2500 = order2500 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2500 is True:                                                          # info line
                            print('(STEP 2500F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2500
                        shot2six25004xi[order2500] = key2dictionary                                        
                        if debug2500 is True:    
                            print('(STEP 2500G/33) CREATED SHOT2SIX25004XI[', order2500, ']: ', shot2six25004xi[order2500]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2500 is True:    
                        print('(STEP 2500G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2500.close()
            if debug2500 is True:    
                print('(STEP 2500H/33) CLOSED INPUT FILE: ', f2500)                        
                #
                print('(STEP 2500J/33) CREATED DICTIONARY: ')                      
                keys2shot = shot2six25004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six25004xi[key2shot])
                    
                #
                # 1  :  -1005x2153y-775z
                # 2  :  -1022x1214y-1931z
                # 3  :  -1071x1145y-1947z
                # 4  :  -1079x2092y-840z
                # 5  :  -1113x2090y-799z
                # 6  :  -1115x1073y-1962z
                # 7  :  -1155x1001y-1978z
                # 8  :  -1183x2025y-863z
                # 9  :  -1190x927y-1993z
                # 10  :  -1216x2022y-823z
                # 11  :  -1220x852y-2008z
                # 12  :  -1246x776y-2023z
                # 13  :  -124x984y-2294z
                # 14  :  -1258x42y-2159z
                # 15  :  -1267x700y-2037z
                # 16  :  -1276x109y-2146z
                # 17  :  -1283x1953y-887z
                # 18  :  -1284x623y-2052z
                # 19  :  -1289x179y-2134z
                # 20  :  -1296x547y-2066z
                # 21  :  -1299x250y-2120z
                # 22  :  -1303x472y-2080z
                # 23  :  -1305x323y-2107z
                # 24  :  -1306x397y-2094z
                # 25  :  -1316x1949y-846z
                # 26  :  -1378x1876y-910z
                # 27  :  -1411x1870y-870z
                # 28  :  -1468x1794y-933z
                # 29  :  -1501x1787y-893z
                # 30  :  -1554x1708y-956z
                # 31  :  -1577x1939y-7z
                # 32  :  -1587x1700y-916z
                # 33  :  -1634x1617y-979z
                # 34  :  -1667x1608y-940z
                # 35  :  -1676x1853y-32z
                # 36  :  -1709x1523y-1002z
                # 37  :  -172x953y-2304z
                # 38  :  -1741x1512y-963z
                # 39  :  -1771x1763y-57z
                # 40  :  -1779x1425y-1025z
                # 41  :  -1810x1413y-986z
                # 42  :  -1843x1324y-1048z
                # 43  :  -1860x1667y-82z
                # 44  :  -1874x1310y-1009z
                # 45  :  -1900x1220y-1071z
                # 46  :  -1931x1205y-1032z
                # 47  :  -1944x1567y-107z
                # 48  :  -1952x1113y-1093z
                # 49  :  -1983x1097y-1054z
                # 50  :  -1998x1005y-1116z
                # 51  :  -2022x1462y-132z
                # 52  :  -2038x894y-1138z
                # 53  :  -2071x782y-1160z
                # 54  :  -2095x1354y-157z
                # 55  :  -2098x669y-1182z
                # 56  :  -2109x1027y-1120z
                # 57  :  -2118x555y-1204z
                # 58  :  -2133x441y-1226z
                # 59  :  -2138x100y-1291z
                # 60  :  -2141x327y-1248z
                # 61  :  -2142x213y-1269z
                # 62  :  -2162x1241y-182z
                # 63  :  -216x920y-2314z
                # 64  :  -220x1776y-1745z
                # 65  :  -2222x1126y-206z
                # 66  :  -2276x1007y-231z
                # 67  :  -2323x886y-256z
                # 68  :  -2364x762y-281z
                # 69  :  -2398x636y-306z
                # 70  :  -2424x509y-331z
                # 71  :  -2444x381y-356z
                # 72  :  -2457x252y-380z
                # 73  :  -2463x123y-405z
                # 74  :  -257x885y-2323z
                # 75  :  -264x2393y-673z
                # 76  :  -296x849y-2332z
                # 77  :  -310x1744y-1763z
                # 78  :  -331x810y-2341z
                # 79  :  -343x10y-2476z
                # 80  :  -363x771y-2350z
                # 81  :  -367x30y-2472z
                # 82  :  -387x2369y-697z
                # 83  :  -389x53y-2468z
                # 84  :  -392x730y-2358z
                # 85  :  -397x1708y-1780z
                # 86  :  -410x78y-2464z
                # 87  :  -417x688y-2366z
                # 88  :  -420x2375y-656z
                # 89  :  -429x105y-2460z
                # 90  :  -439x646y-2374z
                # 91  :  -447x134y-2455z
                # 92  :  -458x603y-2382z
                # 93  :  -462x166y-2451z
                # 94  :  -474x560y-2389z
                # 95  :  -476x199y-2446z
                # 96  :  -481x1668y-1798z
                # 97  :  -486x235y-2440z
                # 98  :  -486x517y-2397z
                # 99  :  -495x271y-2435z
                # 100  :  -495x474y-2404z
                # 101  :  -501x310y-2429z
                # 102  :  -501x432y-2410z
                # 103  :  -504x349y-2423z
                # 104  :  -504x390y-2417z
                # 105  :  -509x2338y-721z
                # 106  :  -542x2343y-680z
                # 107  :  -561x1624y-1815z
                # 108  :  -629x2301y-745z
                # 109  :  -639x1575y-1832z
                # 110  :  -662x2305y-704z
                # 111  :  -713x1523y-1849z
                # 112  :  -746x2258y-769z
                # 113  :  -74x1012y-2284z
                # 114  :  -779x2260y-728z
                # 115  :  -783x1467y-1866z
                # 116  :  -849x1408y-1882z
                # 117  :  -861x2208y-793z
                # 118  :  -894x2210y-752z
                # 119  :  -911x1346y-1899z
                # 120  :  -968x1281y-1915z
                # 121  :  -972x2153y-816z
              
                
                
                
                
                                               
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2500H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six25004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2500I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six24004xi, " - TIME: ", time4xi())    
       
    # -------------------------------------------------------------------------------------------------
    # 2600
    # -------------------------------------------------------------------------------------------------         
    debug2600 = False
    
    shot2six26004xi = {
        1:'-1007x1332y-1992z',
        2:'-1640x2016y-7z',
        3:'-2223x104y-1342z',
        4:'-947x1400y-1975z'
        }
            
    print("\n (STEP 2600A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six26004xi, " - TIME: ", time4xi())   
    
    try:
        order2600 = 0           
    
        ack2600 = True
        try:
            path2file      = '..\\..\\txt\\shot2six26004xi.txt'            
            f2600=open(path2file, 'r')
            if debug2600 is True:
                print("\n (STEP 2600A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2600 is True:
                print("\n (STEP 2600B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2600 = False
        
        if ack2600 is True:
      
            if debug2600 is True:
                print("\n (STEP 2600B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2600C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six26004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2600.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2600 is True: 
                        print('(STEP 2600D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug2600 is True:                                                          
                            print('(STEP 2600E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2600 = order2600 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2600 is True:                                                          # info line
                            print('(STEP 2600F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2600
                        shot2six26004xi[order2600] = key2dictionary                                        
                        if debug2600 is True:    
                            print('(STEP 2600G/33) CREATED SHOT2SIX26004XI[', order2600, ']: ', shot2six26004xi[order2600]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2600 is True:    
                        print('(STEP 2600G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2600.close()
            if debug2600 is True:    
                print('(STEP 2600H/33) CLOSED INPUT FILE: ', f2600)                        
                #
                print('(STEP 2600J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six26004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six26004xi[key2shot])
                    
                #
                # 1  :  -1007x1332y-1992z
                # 2  :  -1011x2239y-849z
                # 3  :  -1045x2239y-806z
                # 4  :  -1063x1262y-2008z
                # 5  :  -1113x1190y-2025z
                # 6  :  -1123x2175y-873z
                # 7  :  -1157x2174y-831z
                # 8  :  -1160x1116y-2041z
                # 9  :  -1201x1041y-2057z
                # 10  :  -1230x2106y-898z
                # 11  :  -1237x964y-2073z
                # 12  :  -1265x2103y-856z
                # 13  :  -1269x886y-2088z
                # 14  :  -1296x807y-2104z
                # 15  :  -129x1023y-2386z
                # 16  :  -1308x43y-2246z
                # 17  :  -1318x728y-2119z
                # 18  :  -1327x114y-2232z
                # 19  :  -1334x2031y-922z
                # 20  :  -1335x648y-2134z
                # 21  :  -1341x186y-2219z
                # 22  :  -1348x569y-2148z
                # 23  :  -1351x260y-2205z
                # 24  :  -1355x491y-2163z
                # 25  :  -1357x336y-2191z
                # 26  :  -1358x413y-2177z
                # 27  :  -1369x2027y-880z
                # 28  :  -1433x1951y-946z
                # 29  :  -1467x1945y-905z
                # 30  :  -1527x1866y-971z
                # 31  :  -1561x1859y-929z
                # 32  :  -1616x1776y-995z
                # 33  :  -1640x2016y-7z
                # 34  :  -1650x1768y-953z
                # 35  :  -1700x1682y-1019z
                # 36  :  -1733x1672y-977z
                # 37  :  -1743x1928y-33z
                # 38  :  -1778x1584y-1043z
                # 39  :  -179x991y-2396z
                # 40  :  -1811x1573y-1001z
                # 41  :  -1842x1833y-59z
                # 42  :  -1850x1482y-1066z
                # 43  :  -1883x1469y-1025z
                # 44  :  -1916x1377y-1090z
                # 45  :  -1934x1734y-85z
                # 46  :  -1949x1363y-1049z
                # 47  :  -1976x1269y-1114z
                # 48  :  -2008x1253y-1073z
                # 49  :  -2022x1630y-111z
                # 50  :  -2030x1158y-1137z
                # 51  :  -2062x1141y-1096z
                # 52  :  -2078x1045y-1160z
                # 53  :  -2103x1521y-137z
                # 54  :  -2119x930y-1183z
                # 55  :  -2154x813y-1207z
                # 56  :  -2179x1408y-163z
                # 57  :  -2182x696y-1230z
                # 58  :  -2190x1066y-1163z
                # 59  :  -2203x578y-1252z
                # 60  :  -2218x459y-1275z
                # 61  :  -2223x104y-1342z
                # 62  :  -2226x340y-1298z
                # 63  :  -2228x222y-1320z
                # 64  :  -2248x1291y-189z
                # 65  :  -225x957y-2406z
                # 66  :  -229x1847y-1815z
                # 67  :  -2311x1171y-215z
                # 68  :  -2367x1047y-241z
                # 69  :  -2416x921y-267z
                # 70  :  -2458x792y-292z
                # 71  :  -2493x662y-318z
                # 72  :  -2521x530y-344z
                # 73  :  -2542x396y-370z
                # 74  :  -2556x262y-395z
                # 75  :  -2562x128y-421z
                # 76  :  -268x921y-2416z
                # 77  :  -274x2488y-700z
                # 78  :  -308x883y-2425z
                # 79  :  -322x1814y-1833z
                # 80  :  -344x843y-2435z
                # 81  :  -357x11y-2575z
                # 82  :  -377x802y-2444z
                # 83  :  -382x31y-2571z
                # 84  :  -403x2463y-725z
                # 85  :  -405x55y-2567z
                # 86  :  -407x759y-2452z
                # 87  :  -413x1777y-1852z
                # 88  :  -427x81y-2563z
                # 89  :  -434x716y-2461z
                # 90  :  -436x2470y-682z
                # 91  :  -447x109y-2558z
                # 92  :  -457x672y-2469z
                # 93  :  -465x140y-2554z
                # 94  :  -476x627y-2477z
                # 95  :  -481x172y-2549z
                # 96  :  -493x582y-2485z
                # 97  :  -495x207y-2543z
                # 98  :  -500x1735y-1870z
                # 99  :  -505x538y-2492z
                # 100  :  -506x244y-2538z
                # 101  :  -515x282y-2532z
                # 102  :  -515x493y-2500z
                # 103  :  -521x322y-2526z
                # 104  :  -521x449y-2507z
                # 105  :  -524x363y-2520z
                # 106  :  -524x406y-2513z
                # 107  :  -530x2432y-750z
                # 108  :  -564x2437y-707z
                # 109  :  -584x1688y-1888z
                # 110  :  -654x2393y-775z
                # 111  :  -664x1638y-1906z
                # 112  :  -688x2397y-732z
                # 113  :  -741x1584y-1923z
                # 114  :  -776x2348y-800z
                # 115  :  -77x1052y-2376z
                # 116  :  -811x2351y-757z
                # 117  :  -814x1526y-1941z
                # 118  :  -883x1464y-1958z
                # 119  :  -895x2297y-824z
                # 120  :  -930x2298y-782z
                # 121  :  -947x1400y-1975z
           
                
                
                
                              
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2600H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six26004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2600I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six26004xi, " - TIME: ", time4xi())    
          
    # -------------------------------------------------------------------------------------------------
    # 2700
    # -------------------------------------------------------------------------------------------------         
    debug2700 = False
    
    shot2six27004xi = {
        1:'-1046x1384y-2068z',
        2:'-1810x2002y-34z',
        3:'-2618x550y-357z',
        4:'-983x1453y-2051z'
        }
            
    print("\n (STEP 2700A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six27004xi, " - TIME: ", time4xi())   
    
    try:
        order2700 = 0           
    
        ack2700 = True
        try:
            path2file      = '..\\..\\txt\\shot2six27004xi.txt'            
            f2700=open(path2file, 'r')
            if debug2700 is True:
                print("\n (STEP 2700A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2700 is True:
                print("\n (STEP 2700B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2700 = False
        
        if ack2700 is True:
      
            if debug2700 is True:
                print("\n (STEP 2700B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2700C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six27004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2700.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2700 is True: 
                        print('(STEP 2700D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug2700 is True:                                                          
                            print('(STEP 2700E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2700 = order2700 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2700 is True:                                                          # info line
                            print('(STEP 2700F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2700
                        shot2six27004xi[order2700] = key2dictionary                                        
                        if debug2700 is True:    
                            print('(STEP 2700G/33) CREATED SHOT2SIX27004XI[', order2700, ']: ', shot2six27004xi[order2700]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2700 is True:    
                        print('(STEP 2700G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2700.close()
            if debug2700 is True:    
                print('(STEP 2700H/33) CLOSED INPUT FILE: ', f2700)                        
                #
                print('(STEP 2700J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six27004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six27004xi[key2shot])
                    
                #
                # 1  :  -1046x1384y-2068z
                # 2  :  -1050x2325y-882z
                # 3  :  -1085x2325y-837z
                # 4  :  -1103x1311y-2085z
                # 5  :  -1156x1236y-2102z
                # 6  :  -1166x2259y-907z
                # 7  :  -1202x2258y-863z
                # 8  :  -1204x1159y-2119z
                # 9  :  -1247x1081y-2136z
                # 10  :  -1278x2187y-932z
                # 11  :  -1285x1001y-2152z
                # 12  :  -1314x2184y-889z
                # 13  :  -1318x920y-2169z
                # 14  :  -1346x838y-2185z
                # 15  :  -134x1062y-2478z
                # 16  :  -1359x45y-2332z
                # 17  :  -1369x756y-2200z
                # 18  :  -1378x118y-2318z
                # 19  :  -1385x2109y-958z
                # 20  :  -1387x673y-2216z
                # 21  :  -1393x193y-2304z
                # 22  :  -1399x591y-2231z
                # 23  :  -1403x270y-2290z
                # 24  :  -1407x509y-2246z
                # 25  :  -1409x349y-2276z
                # 26  :  -1411x429y-2261z
                # 27  :  -1421x2105y-914z
                # 28  :  -1488x2026y-983z
                # 29  :  -1524x2020y-939z
                # 30  :  -1586x1938y-1008z
                # 31  :  -1621x1930y-965z
                # 32  :  -1678x1844y-1033z
                # 33  :  -1703x2094y-7z
                # 34  :  -1714x1836y-990z
                # 35  :  -1765x1747y-1058z
                # 36  :  -1800x1736y-1015z
                # 37  :  -1810x2002y-34z
                # 38  :  -1846x1645y-1083z
                # 39  :  -185x1029y-2488z
                # 40  :  -1881x1633y-1040z
                # 41  :  -1912x1904y-61z
                # 42  :  -1921x1539y-1107z
                # 43  :  -1955x1526y-1065z
                # 44  :  -1990x1430y-1132z
                # 45  :  -2009x1801y-88z
                # 46  :  -2024x1415y-1089z
                # 47  :  -2052x1317y-1156z
                # 48  :  -2086x1302y-1114z
                # 49  :  -2100x1692y-115z
                # 50  :  -2108x1202y-1181z
                # 51  :  -2141x1185y-1139z
                # 52  :  -2158x1085y-1205z
                # 53  :  -2184x1579y-142z
                # 54  :  -2201x966y-1229z
                # 55  :  -2237x845y-1253z
                # 56  :  -2263x1462y-169z
                # 57  :  -2266x723y-1277z
                # 58  :  -2271x1106y-1206z
                # 59  :  -2288x600y-1301z
                # 60  :  -2303x477y-1324z
                # 61  :  -2309x108y-1394z
                # 62  :  -2312x353y-1348z
                # 63  :  -2314x230y-1371z
                # 64  :  -2335x1341y-196z
                # 65  :  -233x994y-2499z
                # 66  :  -238x1918y-1885z
                # 67  :  -2400x1216y-223z
                # 68  :  -2458x1088y-250z
                # 69  :  -2509x956y-277z
                # 70  :  -2553x823y-304z
                # 71  :  -2589x687y-330z
                # 72  :  -2618x550y-357z
                # 73  :  -2640x412y-384z
                # 74  :  -2654x273y-411z
                # 75  :  -2660x133y-437z
                # 76  :  -278x956y-2509z
                # 77  :  -285x2584y-727z
                # 78  :  -319x917y-2519z
                # 79  :  -335x1884y-1904z
                # 80  :  -357x875y-2528z
                # 81  :  -371x11y-2674z
                # 82  :  -392x832y-2538z
                # 83  :  -396x33y-2670z
                # 84  :  -418x2558y-753z
                # 85  :  -420x57y-2666z
                # 86  :  -423x788y-2547z
                # 87  :  -429x1845y-1923z
                # 88  :  -443x84y-2661z
                # 89  :  -451x743y-2556z
                # 90  :  -453x2565y-708z
                # 91  :  -464x113y-2657z
                # 92  :  -474x697y-2564z
                # 93  :  -483x145y-2652z
                # 94  :  -495x651y-2572z
                # 95  :  -499x179y-2647z
                # 96  :  -512x605y-2581z
                # 97  :  -514x215y-2641z
                # 98  :  -519x1802y-1942z
                # 99  :  -525x253y-2636z
                # 100  :  -525x558y-2588z
                # 101  :  -534x293y-2630z
                # 102  :  -535x512y-2596z
                # 103  :  -541x335y-2623z
                # 104  :  -541x466y-2603z
                # 105  :  -544x377y-2617z
                # 106  :  -544x421y-2610z
                # 107  :  -550x2525y-779z
                # 108  :  -585x2531y-734z
                # 109  :  -606x1753y-1960z
                # 110  :  -680x2485y-805z
                # 111  :  -690x1701y-1979z
                # 112  :  -715x2489y-760z
                # 113  :  -770x1645y-1997z
                # 114  :  -806x2439y-830z
                # 115  :  -80x1093y-2467z
                # 116  :  -842x2441y-786z
                # 117  :  -845x1584y-2015z
                # 118  :  -917x1520y-2033z
                # 119  :  -930x2385y-856z
                # 120  :  -965x2386y-812z
                # 121  :  -983x1453y-2051z
              
                
                
                                            
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2700H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six27004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2700I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six27004xi, " - TIME: ", time4xi())    
         
    # -------------------------------------------------------------------------------------------------
    # 2800
    # -------------------------------------------------------------------------------------------------         
    debug2800 = False
    
    shot2six28004xi = {
        1:'-1001x2475y-842z',
        2:'-1681x2002y-1000z',
        3:'-2421x1390y-203z',
        4:'-964x2473y-888z'
        }
            
    print("\n (STEP 2800A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six28004xi, " - TIME: ", time4xi())   
    
    try:
        order2800 = 0           
    
        ack2800 = True
        try:
            path2file      = '..\\..\\txt\\shot2six28004xi.txt'            
            f2800=open(path2file, 'r')
            if debug2800 is True:
                print("\n (STEP 2800A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2800 is True:
                print("\n (STEP 2800B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2800 = False
        
        if ack2800 is True:
      
            if debug2800 is True:
                print("\n (STEP 2800B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2800C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six28004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2800.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2800 is True: 
                        print('(STEP 2800D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug2800 is True:                                                          
                            print('(STEP 2800E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2800 = order2800 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2800 is True:                                                          # info line
                            print('(STEP 2800F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2800
                        shot2six28004xi[order2800] = key2dictionary                                        
                        if debug2800 is True:    
                            print('(STEP 2800G/33) CREATED SHOT2SIX28004XI[', order2800, ']: ', shot2six28004xi[order2800]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2800 is True:    
                        print('(STEP 2800G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2800.close()
            if debug2800 is True:    
                print('(STEP 2800H/33) CLOSED INPUT FILE: ', f2800)                        
                #
                print('(STEP 2800J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six28004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six28004xi[key2shot])
                    
                #
                # 1  :  -1001x2475y-842z
                # 2  :  -1020x1507y-2127z
                # 3  :  -1085x1435y-2145z
                # 4  :  -1089x2411y-914z
                # 5  :  -1126x2411y-868z
                # 6  :  -1144x1360y-2163z
                # 7  :  -1199x1282y-2180z
                # 8  :  -1209x2343y-941z
                # 9  :  -1246x2341y-895z
                # 10  :  -1249x1202y-2198z
                # 11  :  -1293x1121y-2215z
                # 12  :  -1325x2268y-967z
                # 13  :  -1333x1038y-2232z
                # 14  :  -1362x2265y-921z
                # 15  :  -1367x954y-2249z
                # 16  :  -1396x869y-2265z
                # 17  :  -139x1102y-2570z
                # 18  :  -1409x47y-2418z
                # 19  :  -1419x784y-2282z
                # 20  :  -1429x122y-2404z
                # 21  :  -1437x2187y-993z
                # 22  :  -1438x698y-2298z
                # 23  :  -1444x200y-2390z
                # 24  :  -1451x613y-2314z
                # 25  :  -1455x280y-2375z
                # 26  :  -1460x528y-2329z
                # 27  :  -1461x362y-2360z
                # 28  :  -1463x444y-2345z
                # 29  :  -1474x2183y-948z
                # 30  :  -1543x2101y-1019z
                # 31  :  -1580x2095y-974z
                # 32  :  -1645x2009y-1045z
                # 33  :  -1681x2002y-1000z
                # 34  :  -1740x1913y-1071z
                # 35  :  -1766x2172y-8z
                # 36  :  -1777x1904y-1026z
                # 37  :  -1830x1811y-1097z
                # 38  :  -1867x1801y-1052z
                # 39  :  -1878x2076y-36z
                # 40  :  -1914x1706y-1123z
                # 41  :  -192x1067y-2581z
                # 42  :  -1950x1694y-1078z
                # 43  :  -1983x1974y-64z
                # 44  :  -1992x1596y-1148z
                # 45  :  -2028x1582y-1104z
                # 46  :  -2064x1483y-1174z
                # 47  :  -2083x1867y-92z
                # 48  :  -2099x1468y-1130z
                # 49  :  -2128x1366y-1199z
                # 50  :  -2163x1350y-1155z
                # 51  :  -2177x1755y-120z
                # 52  :  -2187x1247y-1224z
                # 53  :  -2220x1229y-1181z
                # 54  :  -2238x1125y-1250z
                # 55  :  -2265x1638y-148z
                # 56  :  -2282x1001y-1275z
                # 57  :  -2319x876y-1299z
                # 58  :  -2347x1516y-175z
                # 59  :  -2350x749y-1324z
                # 60  :  -2352x1145y-1249z
                # 61  :  -2373x622y-1349z
                # 62  :  -2389x494y-1373z
                # 63  :  -2394x112y-1446z
                # 64  :  -2398x366y-1398z
                # 65  :  -2399x239y-1422z
                # 66  :  -2421x1390y-203z
                # 67  :  -242x1031y-2591z
                # 68  :  -247x1989y-1954z
                # 69  :  -2489x1261y-231z
                # 70  :  -2549x1128y-259z
                # 71  :  -2602x992y-287z
                # 72  :  -2647x853y-315z
                # 73  :  -2685x713y-343z
                # 74  :  -2715x570y-371z
                # 75  :  -2738x427y-398z
                # 76  :  -2752x283y-426z
                # 77  :  -2759x138y-454z
                # 78  :  -288x992y-2602z
                # 79  :  -295x2680y-754z
                # 80  :  -331x951y-2612z
                # 81  :  -347x1954y-1974z
                # 82  :  -371x908y-2622z
                # 83  :  -384x11y-2773z
                # 84  :  -407x863y-2632z
                # 85  :  -411x34y-2769z
                # 86  :  -434x2653y-781z
                # 87  :  -436x59y-2765z
                # 88  :  -439x818y-2641z
                # 89  :  -444x1913y-1994z
                # 90  :  -459x87y-2760z
                # 91  :  -467x771y-2650z
                # 92  :  -470x2660y-734z
                # 93  :  -481x117y-2755z
                # 94  :  -492x723y-2659z
                # 95  :  -501x150y-2750z
                # 96  :  -513x675y-2668z
                # 97  :  -518x186y-2745z
                # 98  :  -530x627y-2676z
                # 99  :  -533x223y-2739z
                # 100  :  -538x1868y-2014z
                # 101  :  -544x579y-2684z
                # 102  :  -545x263y-2733z
                # 103  :  -554x304y-2727z
                # 104  :  -554x531y-2692z
                # 105  :  -561x347y-2721z
                # 106  :  -561x484y-2700z
                # 107  :  -564x391y-2714z
                # 108  :  -564x437y-2707z
                # 109  :  -571x2619y-808z
                # 110  :  -607x2625y-761z
                # 111  :  -629x1818y-2033z
                # 112  :  -705x2577y-834z
                # 113  :  -716x1764y-2052z
                # 114  :  -741x2582y-788z
                # 115  :  -798x1705y-2071z
                # 116  :  -836x2529y-861z
                # 117  :  -83x1133y-2558z
                # 118  :  -873x2532y-815z
                # 119  :  -877x1643y-2090z
                # 120  :  -951x1577y-2108z
                # 121  :  -964x2473y-888z
             
                
                
                                           
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2800H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six28004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2800I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six28004xi, " - TIME: ", time4xi())    
         
    # -------------------------------------------------------------------------------------------------
    # 2900
    # -------------------------------------------------------------------------------------------------         
    debug2900 = False
    
    shot2six29004xi = {
        1:'-1037x2563y-872z',
        2:'-1742x2073y-1036z',
        3:'-343x985y-2705z',
        4:'-999x2562y-919z'
        }
            
    print("\n (STEP 2900A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six29004xi, " - TIME: ", time4xi())   
    
    try:
        order2900 = 0           
    
        ack2900 = True
        try:
            path2file      = '..\\..\\txt\\shot2six29004xi.txt'            
            f2900=open(path2file, 'r')
            if debug2900 is True:
                print("\n (STEP 2900A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug2900 is True:
                print("\n (STEP 2900B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack2900 = False
        
        if ack2900 is True:
      
            if debug2900 is True:
                print("\n (STEP 2900B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 2900C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six29004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f2900.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug2900 is True: 
                        print('(STEP 2900D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug2900 is True:                                                          
                            print('(STEP 2900E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order2900 = order2900 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug2900 is True:                                                          # info line
                            print('(STEP 2900F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #2900
                        shot2six29004xi[order2900] = key2dictionary                                        
                        if debug2900 is True:    
                            print('(STEP 2900G/33) CREATED SHOT2SIX29004XI[', order2900, ']: ', shot2six29004xi[order2900]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug2900 is True:    
                        print('(STEP 2900G/33)  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f2900.close()
            if debug2900 is True:    
                print('(STEP 2900H/33) CLOSED INPUT FILE: ', f2900)                        
                #
                print('(STEP 2900J/33) CREATED DICTIONARY: ')                     
                keys2shot = shot2six29004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six29004xi[key2shot])
                    
                #
                # 1  :  -1037x2563y-872z
                # 2  :  -1056x1561y-2203z
                # 3  :  -1123x1486y-2221z
                # 4  :  -1127x2498y-947z
                # 5  :  -1166x2497y-899z
                # 6  :  -1185x1408y-2240z
                # 7  :  -1242x1328y-2258z
                # 8  :  -1252x2427y-974z
                # 9  :  -1291x2425y-927z
                # 10  :  -1293x1245y-2276z
                # 11  :  -1340x1161y-2294z
                # 12  :  -1373x2349y-1002z
                # 13  :  -1380x1075y-2312z
                # 14  :  -1411x2346y-954z
                # 15  :  -1416x988y-2329z
                # 16  :  -1446x900y-2346z
                # 17  :  -144x1141y-2661z
                # 18  :  -1459x48y-2505z
                # 19  :  -1470x812y-2363z
                # 20  :  -1480x127y-2490z
                # 21  :  -1488x2266y-1029z
                # 22  :  -1489x723y-2380z
                # 23  :  -1496x207y-2475z
                # 24  :  -1503x635y-2396z
                # 25  :  -1507x290y-2460z
                # 26  :  -1512x547y-2413z
                # 27  :  -1514x375y-2444z
                # 28  :  -1515x460y-2429z
                # 29  :  -1527x2261y-982z
                # 30  :  -1598x2176y-1056z
                # 31  :  -1637x2170y-1009z
                # 32  :  -1703x2081y-1083z
                # 33  :  -1742x2073y-1036z
                # 34  :  -1803x1981y-1110z
                # 35  :  -1830x2249y-8z
                # 36  :  -1841x1972y-1063z
                # 37  :  -1896x1876y-1136z
                # 38  :  -1933x1865y-1090z
                # 39  :  -1945x2150y-37z
                # 40  :  -1983x1767y-1163z
                # 41  :  -199x1106y-2673z
                # 42  :  -2020x1754y-1117z
                # 43  :  -2054x2045y-66z
                # 44  :  -2063x1653y-1189z
                # 45  :  -2100x1639y-1144z
                # 46  :  -2137x1536y-1216z
                # 47  :  -2158x1934y-95z
                # 48  :  -2174x1520y-1170z
                # 49  :  -2205x1415y-1242z
                # 50  :  -2240x1398y-1197z
                # 51  :  -2255x1818y-124z
                # 52  :  -2265x1292y-1268z
                # 53  :  -2300x1273y-1223z
                # 54  :  -2318x1165y-1294z
                # 55  :  -2346x1696y-153z
                # 56  :  -2364x1037y-1320z
                # 57  :  -2402x907y-1346z
                # 58  :  -2430x1570y-182z
                # 59  :  -2433x1185y-1292z
                # 60  :  -2433x776y-1371z
                # 61  :  -2457x644y-1397z
                # 62  :  -2474x512y-1422z
                # 63  :  -2480x116y-1497z
                # 64  :  -2483x380y-1447z
                # 65  :  -2485x248y-1473z
                # 66  :  -2508x1440y-211z
                # 67  :  -251x1068y-2684z
                # 68  :  -256x2060y-2024z
                # 69  :  -2577x1306y-240z
                # 70  :  -2640x1168y-268z
                # 71  :  -2695x1027y-297z
                # 72  :  -2742x884y-326z
                # 73  :  -2781x738y-355z
                # 74  :  -2812x591y-384z
                # 75  :  -2836x442y-412z
                # 76  :  -2851x293y-441z
                # 77  :  -2858x143y-470z
                # 78  :  -299x1027y-2695z
                # 79  :  -306x2775y-781z
                # 80  :  -343x985y-2705z
                # 81  :  -360x2023y-2045z
                # 82  :  -384x940y-2716z
                # 83  :  -398x12y-2872z
                # 84  :  -421x894y-2726z
                # 85  :  -426x35y-2868z
                # 86  :  -450x2748y-809z
                # 87  :  -452x61y-2863z
                # 88  :  -454x847y-2735z
                # 89  :  -460x1982y-2065z
                # 90  :  -476x90y-2859z
                # 91  :  -484x798y-2745z
                # 92  :  -487x2755y-761z
                # 93  :  -498x122y-2854z
                # 94  :  -510x749y-2754z
                # 95  :  -518x156y-2848z
                # 96  :  -531x699y-2763z
                # 97  :  -536x192y-2843z
                # 98  :  -549x650y-2772z
                # 99  :  -552x231y-2837z
                # 100  :  -558x1935y-2086z
                # 101  :  -564x272y-2831z
                # 102  :  -564x600y-2780z
                # 103  :  -574x315y-2824z
                # 104  :  -574x550y-2788z
                # 105  :  -581x359y-2818z
                # 106  :  -581x501y-2796z
                # 107  :  -584x405y-2811z
                # 108  :  -584x453y-2804z
                # 109  :  -591x2712y-837z
                # 110  :  -629x2718y-788z
                # 111  :  -651x1883y-2106z
                # 112  :  -730x2669y-864z
                # 113  :  -741x1827y-2126z
                # 114  :  -768x2674y-816z
                #
                #15  :  -827x1766y-2145z
                # 116  :  -866x2619y-892z
                # 117  :  -86x1173y-2650z
                # 118  :  -904x2622y-844z
                # 119  :  -908x1702y-2165z
                # 120  :  -985x1633y-2184z
                # 121  :  -999x2562y-919z
          
                
                
                
                
                                     
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 2900H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six29004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 2900I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six29004xi, " - TIME: ", time4xi())    
       
    # -------------------------------------------------------------------------------------------------
    # 3000
    # -------------------------------------------------------------------------------------------------         
    debug3000 = False
    
    shot2six30004xi = {
        1:'-1018x1689y-2259z',
        2:'-1893x2327y-8z',
        3:'-2559x530y-1471z',
        4:'-939x1760y-2239z'
        }            

            
    print("\n (STEP 3000A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six30004xi, " - TIME: ", time4xi())   
    
    try:
        order3000 = 0           
    
        ack3000 = True
        try:
            path2file      = '..\\..\\txt\\shot2six30004xi.txt'            
            f3000=open(path2file, 'r')
            if debug3000 is True:
                print("\n (STEP 3000A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug3000 is True:
                print("\n (STEP 3000B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack3000 = False
        
        if ack3000 is True:
      
            if debug3000 is True:
                print("\n (STEP 3000B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 3000C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six30004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f3000.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug3000 is True: 
                        print('(STEP 3000D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug3000 is True:                                                          
                            print('(STEP 3000E/33) OF LOAD2SIX4XI -  KEY LINE: ', input_line2xi)                                                                          
                        order3000 = order3000 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug3000 is True:                                                          # info line
                            print('(STEP 3000F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #3000
                        shot2six30004xi[order3000] = key2dictionary                                        
                        if debug3000 is True:    
                            print('(STEP 3000G/33) OF LOAD2SIX4XI - CREATED SHOT2SIX30004XI[', order3000, ']: ', shot2six30004xi[order3000]) #                      
                                                                                                       
                else:                                                                                  # copyright line
                    if debug3000 is True:    
                        print('(STEP 3000G/33) OF LOAD2SIX4XI -  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f3000.close()
            if debug3000 is True:    
                print('(STEP 3000H/33) OF LOAD2SIX4XI - CLOSED INPUT FILE: ', f3000)                        
                #
                print('(STEP 3000J/33) CREATED DICTIONARY: ')                      
                keys2shot = shot2six30004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six30004xi[key2shot])
                    
                #
                # 1  :  -1018x1689y-2259z
                # 2  :  -1033x2650y-951z
                # 3  :  -1073x2652y-902z
                # 4  :  -1093x1615y-2279z
                # 5  :  -1162x1537y-2298z
                # 6  :  -1166x2584y-980z
                # 7  :  -1206x2584y-930z
                # 8  :  -1226x1457y-2317z
                # 9  :  -1285x1374y-2336z
                # 10  :  -1295x2510y-1008z
                # 11  :  -1335x2509y-959z
                # 12  :  -1338x1288y-2355z
                # 13  :  -1386x1201y-2373z
                # 14  :  -1420x2430y-1036z
                # 15  :  -1428x1112y-2392z
                # 16  :  -1460x2427y-987z
                # 17  :  -1465x1022y-2410z
                # 18  :  -1495x931y-2427z
                # 19  :  -149x1180y-2753z
                # 20  :  -1510x50y-2591z
                # 21  :  -1521x840y-2445z
                # 22  :  -1531x131y-2576z
                # 23  :  -1539x2344y-1064z
                # 24  :  -1541x748y-2462z
                # 25  :  -1547x215y-2560z
                # 26  :  -1555x657y-2479z
                # 27  :  -1559x300y-2545z
                # 28  :  -1564x566y-2496z
                # 29  :  -1566x387y-2529z
                # 30  :  -1567x476y-2512z
                # 31  :  -1579x2339y-1016z
                # 32  :  -1654x2251y-1092z
                # 33  :  -1693x2245y-1044z
                # 34  :  -1762x2153y-1120z
                # 35  :  -1802x2145y-1072z
                # 36  :  -1865x2049y-1148z
                # 37  :  -1893x2327y-8z
                # 38  :  -1904x2040y-1100z
                # 39  :  -1961x1941y-1175z
                # 40  :  -2000x1929y-1128z
                # 41  :  -2012x2224y-38z
                # 42  :  -2051x1828y-1203z
                # 43  :  -206x1144y-2765z
                # 44  :  -2090x1815y-1155z
                # 45  :  -2125x2116y-68z
                # 46  :  -2135x1710y-1230z
                # 47  :  -2173x1696y-1183z
                # 48  :  -2211x1589y-1258z
                # 49  :  -2232x2001y-98z
                # 50  :  -2249x1573y-1211z
                # 51  :  -2281x1464y-1285z
                # 52  :  -2318x1446y-1238z
                # 53  :  -2333x1881y-128z
                # 54  :  -2343x1336y-1312z
                # 55  :  -2379x1317y-1265z
                # 56  :  -2398x1206y-1339z
                # 57  :  -2427x1755y-158z
                # 58  :  -2445x1073y-1366z
                # 59  :  -2485x939y-1392z
                # 60  :  -2514x1224y-1335z
                # 61  :  -2514x1625y-188z
                # 62  :  -2517x803y-1419z
                # 63  :  -2542x667y-1445z
                # 64  :  -2559x530y-1471z
                # 65  :  -2565x121y-1549z
                # 66  :  -2569x393y-1497z
                # 67  :  -2571x256y-1523z
                # 68  :  -2594x1490y-218z
                # 69  :  -259x1104y-2777z
                # 70  :  -265x2131y-2094z
                # 71  :  -2666x1351y-248z
                # 72  :  -2731x1208y-278z
                # 73  :  -2788x1063y-308z
                # 74  :  -2837x914y-337z
                # 75  :  -2877x764y-367z
                # 76  :  -2909x611y-397z
                # 77  :  -2933x458y-427z
                # 78  :  -2949x303y-456z
                # 79  :  -2956x148y-486z
                # 80  :  -309x1063y-2788z
                # 81  :  -317x2871y-808z
                # 82  :  -355x1018y-2799z
                # 83  :  -372x2093y-2115z
                # 84  :  -397x973y-2809z
                # 85  :  -412x12y-2971z
                # 86  :  -436x925y-2820z
                # 87  :  -440x36y-2967z
                # 88  :  -465x2842y-837z
                # 89  :  -467x63y-2962z
                # 90  :  -470x876y-2830z
                # 91  :  -476x2050y-2137z
                # 92  :  -492x93y-2957z
                # 93  :  -501x826y-2840z
                # 94  :  -504x2850y-787z
                # 95  :  -515x126y-2952z
                # 96  :  -527x775y-2849z
                # 97  :  -536x161y-2947z
                # 98  :  -550x724y-2858z
                # 99  :  -555x199y-2941z
                # 100  :  -568x672y-2867z
                # 101  :  -571x239y-2935z
                # 102  :  -577x2002y-2158z
                # 103  :  -583x620y-2876z
                # 104  :  -584x282y-2928z
                # 105  :  -594x326y-2922z
                # 106  :  -594x569y-2884z
                # 107  :  -601x372y-2915z
                # 108  :  -601x518y-2892z
                # 109  :  -604x419y-2908z
                # 110  :  -605x468y-2900z
                # 111  :  -611x2806y-865z
                # 112  :  -650x2812y-816z
                # 113  :  -674x1948y-2178z
                # 114  :  -755x2762y-894z
                # 115  :  -767x1890y-2199z
                # 116  :  -794x2766y-845z
                # 117  :  -855x1827y-2219z
                # 118  :  -896x2710y-923z
                # 119  :  -89x1214y-2741z
                # 120  :  -935x2713y-873z
                # 121  :  -939x1760y-2239z
            
                
                
                       
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 3000H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six30004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 3000I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six30004xi, " - TIME: ", time4xi())    
      
    # -------------------------------------------------------------------------------------------------
    # 3100
    # -------------------------------------------------------------------------------------------------         
    debug3100 = False
    
    shot2six31004xi = {
        1:'-1052x1746y-2334z',
        2:'-1927x2118y-1186z',
        3:'-3006x632y-410z',
        4:'-971x1819y-2314z'
        }
            
    print("\n (STEP 3100A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six31004xi, " - TIME: ", time4xi())   
    
    try:
        order3100 = 0           
    
        ack3100 = True
        try:
            path2file      = '..\\..\\txt\\shot2six31004xi.txt'            
            f3100=open(path2file, 'r')
            if debug3100 is True:
                print("\n (STEP 3100A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug3100 is True:
                print("\n (STEP 3100B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack3100 = False
                
        if ack3100 is True:
      
            if debug3100 is True:
                print("\n (STEP 3100B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 3100C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six31004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f3100.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug3100 is True: 
                        print('(STEP 3100D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug3100 is True:                                                          
                            print('(STEP 3100E/33) OF LOAD2SIX4XI - KEY LINE: ', input_line2xi)                                                                          
                        order3100 = order3100 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug3100 is True:                                                          # info line
                            print('(STEP 3100F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)                 # 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #3100
                        shot2six31004xi[order3100] = key2dictionary                                        
                        if debug3100 is True:    
                            print('(STEP 3100G/33) OF LOAD2SIX4XI - CREATED SHOT2SIX31004XI[', order3100, ']: ', shot2six31004xi[order3100]) #                      
                                            
                else:                                                                                  # copyright line
                    if debug3100 is True:    
                        print('(STEP 3100G/33) OF LOAD2SIX4XI -  SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f3100.close()
            if debug3100 is True:    
                print('(STEP 3100H/33) OF LOAD2SIX4XI - CLOSED INPUT FILE: ', f3100)                        
                #
                print('(STEP 3100J/33) CREATED DICTIONARY: ')                 
                keys2shot = shot2six31004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six31004xi[key2shot])
                    
                #
                # 1  :  -1052x1746y-2334z
                # 2  :  -1067x2739y-983z
                # 3  :  -1108x2740y-932z
                # 4  :  -1129x1669y-2355z
                # 5  :  -1201x1589y-2375z
                # 6  :  -1205x2670y-1012z
                # 7  :  -1246x2670y-962z
                # 8  :  -1267x1505y-2394z
                # 9  :  -1328x1419y-2414z
                # 10  :  -1339x2594y-1041z
                # 11  :  -1380x2592y-991z
                # 12  :  -1383x1331y-2433z
                # 13  :  -1432x1241y-2452z
                # 14  :  -1467x2511y-1071z
                # 15  :  -1476x1149y-2471z
                # 16  :  -1508x2508y-1020z
                # 17  :  -1513x1056y-2490z
                # 18  :  -1545x962y-2508z
                # 19  :  -154x1220y-2845z
                # 20  :  -1560x52y-2677z
                # 21  :  -1572x868y-2526z
                # 22  :  -1582x135y-2662z
                # 23  :  -1591x2422y-1100z
                # 24  :  -1592x773y-2544z
                # 25  :  -1599x222y-2646z
                # 26  :  -1607x679y-2562z
                # 27  :  -1611x310y-2629z
                # 28  :  -1616x585y-2579z
                # 29  :  -1618x400y-2613z
                # 30  :  -1620x492y-2596z
                # 31  :  -1632x2417y-1049z
                # 32  :  -1709x2326y-1129z
                # 33  :  -1750x2320y-1079z
                # 34  :  -1821x2225y-1157z
                # 35  :  -1862x2216y-1108z
                # 36  :  -1927x2118y-1186z
                # 37  :  -1956x2404y-8z
                # 38  :  -1967x2108y-1136z
                # 39  :  -2027x2006y-1215z
                # 40  :  -2067x1994y-1165z
                # 41  :  -2079x2298y-39z
                # 42  :  -2120x1888y-1243z
                # 43  :  -213x1182y-2857z
                # 44  :  -2159x1875y-1194z
                # 45  :  -2196x2186y-70z
                # 46  :  -2206x1767y-1271z
                # 47  :  -2245x1752y-1222z
                # 48  :  -2285x1642y-1300z
                # 49  :  -2307x2068y-101z
                # 50  :  -2324x1625y-1251z
                # 51  :  -2357x1513y-1328z
                # 52  :  -2395x1494y-1279z
                # 53  :  -2411x1943y-132z
                # 54  :  -2421x1381y-1356z
                # 55  :  -2458x1361y-1307z
                # 56  :  -2478x1246y-1384z
                # 57  :  -2508x1814y-163z
                # 58  :  -2527x1109y-1411z
                # 59  :  -2568x970y-1439z
                # 60  :  -2596x1264y-1379z
                # 61  :  -2598x1679y-194z
                # 62  :  -2601x830y-1466z
                # 63  :  -2627x689y-1493z
                # 64  :  -2645x547y-1520z
                # 65  :  -2651x125y-1601z
                # 66  :  -2655x406y-1547z
                # 67  :  -2657x265y-1574z
                # 68  :  -2680x1539y-225z
                # 69  :  -268x1141y-2869z
                # 70  :  -273x2202y-2164z
                # 71  :  -2755x1396y-256z
                # 72  :  -2822x1249y-287z
                # 73  :  -2881x1098y-318z
                # 74  :  -2931x945y-349z
                # 75  :  -2973x789y-380z
                # 76  :  -3006x632y-410z
                # 77  :  -3031x473y-441z
                # 78  :  -3047x313y-472z
                # 79  :  -3055x153y-502z
                # 80  :  -319x1098y-2881z
                # 81  :  -327x2967y-835z
                # 82  :  -367x1052y-2892z
                # 83  :  -384x2163y-2186z
                # 84  :  -411x1005y-2903z
                # 85  :  -426x13y-3070z
                # 86  :  -450x956y-2914z
                # 87  :  -455x37y-3066z
                # 88  :  -481x2937y-865z
                # 89  :  -483x65y-3061z
                # 90  :  -486x905y-2924z
                # 91  :  -492x2119y-2208z
                # 92  :  -509x96y-3056z
                # 93  :  -517x853y-2934z
                # 94  :  -520x2945y-813z
                # 95  :  -533x130y-3051z
                # 96  :  -545x801y-2944z
                # 97  :  -554x167y-3045z
                # 98  :  -568x748y-2954z
                # 99  :  -573x206y-3039z
                # 100  :  -587x694y-2963z
                # 101  :  -590x247y-3033z
                # 102  :  -596x2069y-2230z
                # 103  :  -603x291y-3026z
                # 104  :  -603x641y-2972z
                # 105  :  -614x337y-3019z
                # 106  :  -614x588y-2980z
                # 107  :  -621x384y-3012z
                # 108  :  -621x536y-2989z
                # 109  :  -625x433y-3005z
                # 110  :  -625x484y-2997z
                # 111  :  -632x2899y-894z
                # 112  :  -672x2906y-843z
                # 113  :  -696x2013y-2251z
                # 114  :  -780x2854y-924z
                # 115  :  -792x1953y-2272z
                # 116  :  -821x2858y-873z
                # 117  :  -884x1888y-2293z
                # 118  :  -926x2800y-953z
                # 119  :  -92x1254y-2833z
                # 120  :  -966x2803y-902z
                # 121  :  -971x1819y-2314z
          
                
                
                
        else:
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 3100H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six31004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 3100I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six31004xi, " - TIME: ", time4xi())    
       
    # -------------------------------------------------------------------------------------------------
    # 3200
    # -------------------------------------------------------------------------------------------------         
    debug3200 = False
    
    shot2six32004xi = {
        1:'-1002x1878y-2389z',
        2:'-1670x413y-2697z',
        3:'-2740x419y-1597z',
        4:'-998x2893y-932z'
       }


            
    print("\n (STEP 3200A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six32004xi, " - TIME: ", time4xi())   
    
    try:
        order3200 = 0           
            
        ack3200 = True
        try:
            path2file      = '..\\..\\txt\\shot2six32004xi.txt'            
            f3200=open(path2file, 'r')
            if debug3200 is True:
                print("\n (STEP 3200A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug3200 is True:
                print("\n (STEP 3200B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack3200 = False
         
        if ack3200 is True:
      
            if debug3200 is True:
                print("\n (STEP 3200B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 3200C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six32004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f3200.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug3200 is True: 
                        print('(STEP 3200D/33) OF LOAD2SIX4XI -  ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug3200 is True:                                                          
                            print('(STEP 3200E/33) OF LOAD2SIX4XI - KEY LINE: ', input_line2xi)                                                                          
                        order3200 = order3200 + 1                                                                   
                        key2dictionary = input_line2xi                                
                    else:
                        if debug3200 is True:                                                          # info line
                            print('(STEP 3200F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)# 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #3200
                        shot2six32004xi[order3200] = key2dictionary                                        
                        if debug3200 is True:    
                            print('(STEP 3200G/33) OF LOAD2SIX4XI - CREATED SHOT2SIX32004XI[', order3200, ']: ', shot2six32004xi[order3200]) #       
                                                                                                       
                else:                                                                                  # copyright line
                    if debug3200 is True:    
                        print('(STEP 3200G/33) OF LOAD2SIX4XI - SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f3200.close()
            if debug3200 is True:    
                print('(STEP 3200H/33) OF LOAD2SIX4XI - CLOSED INPUT FILE: ', f3200)                        
                #
                print('(STEP 3200J/33) CREATED DICTIONARY: ')                 
                keys2shot = shot2six32004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six32004xi[key2shot])
                    
                #
                # 1  :  -1002x1878y-2389z
                # 2  :  -1086x1802y-2410z
                # 3  :  -1102x2827y-1015z
                # 4  :  -1144x2828y-962z
                # 5  :  -1166x1723y-2431z
                # 6  :  -1240x1640y-2451z
                # 7  :  -1244x2756y-1045z
                # 8  :  -1287x2756y-993z
                # 9  :  -1308x1554y-2472z
                # 10  :  -1370x1465y-2492z
                # 11  :  -1382x2678y-1075z
                # 12  :  -1424x2676y-1023z
                # 13  :  -1427x1374y-2512z
                # 14  :  -1478x1281y-2532z
                # 15  :  -1515x2592y-1105z
                # 16  :  -1523x1186y-2551z
                # 17  :  -1557x2589y-1053z
                # 18  :  -1562x1090y-2570z
                # 19  :  -1595x993y-2589z
                # 20  :  -159x1259y-2937z
                # 21  :  -1611x53y-2764z
                # 22  :  -1622x896y-2608z
                # 23  :  -1633x140y-2748z
                # 24  :  -1642x2500y-1135z
                # 25  :  -1643x798y-2626z
                # 26  :  -1651x229y-2731z
                # 27  :  -1659x701y-2644z
                # 28  :  -1663x320y-2714z
                # 29  :  -1668x604y-2662z
                # 30  :  -1670x413y-2697z
                # 31  :  -1672x508y-2680z
                # 32  :  -1684x2495y-1083z
                # 33  :  -1764x2401y-1165z
                # 34  :  -1806x2394y-1113z
                # 35  :  -1880x2297y-1195z
                # 36  :  -1922x2288y-1143z
                # 37  :  -1989x2186y-1224z
                # 38  :  -2019x2482y-9z
                # 39  :  -2031x2176y-1173z
                # 40  :  -2092x2070y-1254z
                # 41  :  -2134x2058y-1203z
                # 42  :  -2146x2373y-41z
                # 43  :  -2188x1949y-1283z
                # 44  :  -220x1220y-2949z
                # 45  :  -2229x1936y-1232z
                # 46  :  -2267x2257y-73z
                # 47  :  -2277x1824y-1313z
                # 48  :  -2318x1809y-1262z
                # 49  :  -2359x1695y-1342z
                # 50  :  -2381x2134y-105z
                # 51  :  -2399x1677y-1291z
                # 52  :  -2433x1562y-1371z
                # 53  :  -2472x1543y-1320z
                # 54  :  -2489x2006y-137z
                # 55  :  -2499x1425y-1399z
                # 56  :  -2538x1405y-1350z
                # 57  :  -2558x1286y-1428z
                # 58  :  -2589x1872y-169z
                # 59  :  -2608x1145y-1457z
                # 60  :  -2651x1001y-1485z
                # 61  :  -2677x1303y-1422z
                # 62  :  -2682x1733y-201z
                # 63  :  -2685x857y-1513z
                # 64  :  -2712x711y-1542z
                # 65  :  -2730x565y-1569z
                # 66  :  -2737x129y-1652z
                # 67  :  -2740x419y-1597z
                # 68  :  -2742x273y-1625z
                # 69  :  -2767x1589y-233z
                # 70  :  -277x1178y-2962z
                # 71  :  -282x2273y-2234z
                # 72  :  -2844x1441y-264z
                # 73  :  -2913x1289y-296z
                # 74  :  -2974x1134y-328z
                # 75  :  -3026x975y-360z
                # 76  :  -3069x815y-392z
                # 77  :  -3103x652y-424z
                # 78  :  -3129x488y-455z
                # 79  :  -3146x323y-487z
                # 80  :  -3153x158y-518z
                # 81  :  -330x1133y-2974z
                # 82  :  -338x3063y-862z
                # 83  :  -379x1086y-2985z
                # 84  :  -397x2233y-2257z
                # 85  :  -424x1037y-2997z
                # 86  :  -439x13y-3169z
                # 87  :  -465x987y-3008z
                # 88  :  -470x39y-3165z
                # 89  :  -496x3032y-892z
                # 90  :  -498x68y-3160z
                # 91  :  -501x934y-3018z
                # 92  :  -508x2187y-2279z
                # 93  :  -525x99y-3154z
                # 94  :  -534x881y-3029z
                # 95  :  -537x3040y-839z
                # 96  :  -550x134y-3149z
                # 97  :  -562x827y-3039z
                # 98  :  -572x172y-3143z
                # 99  :  -586x772y-3049z
                # 100  :  -592x212y-3137z
                # 101  :  -606x717y-3058z
                # 102  :  -609x255y-3131z
                # 103  :  -615x2135y-2301z
                # 104  :  -622x662y-3068z
                # 105  :  -623x300y-3124z
                # 106  :  -634x348y-3117z
                # 107  :  -634x607y-3077z
                # 108  :  -641x397y-3109z
                # 109  :  -641x553y-3085z
                # 110  :  -645x447y-3102z
                # 111  :  -645x500y-3094z
                # 112  :  -652x2993y-923z
                # 113  :  -694x3000y-870z
                # 114  :  -719x2078y-2324z
                # 115  :  -805x2946y-954z
                # 116  :  -818x2016y-2345z
                # 117  :  -847x2951y-901z
                # 118  :  -912x1949y-2367z
                # 119  :  -956x2890y-984z
                # 120  :  -95x1295y-2924z
                # 121  :  -998x2893y-932z 
          
              
                
                
                                                                      
        else:                                            
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 3200H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six32004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 3200I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six32004xi, " - TIME: ", time4xi())    
           
    # -------------------------------------------------------------------------------------------------
    # 3300
    # -------------------------------------------------------------------------------------------------         
    debug3300 = True
    
    shot2six33004xi = {
        1:'-1029x2984y-961z',
        2:'-2338x2327y-75z',
        3:'-340x1169y-3067z',
        4:'-98x1335y-3015z'
        }
            
    print("\n (STEP 3300A/33) OF LOAD2SIX4XI - CREATED STUB DICTIONARY: ", shot2six33004xi, " - TIME: ", time4xi())    
    
    try:
        order3300 = 0           
     
        ack3300 = True
        try:
            path2file      = '..\\..\\txt\\shot2six33004xi.txt'            
            f3300=open(path2file, 'r')
            if debug3300 is True:
                print("\n (STEP 3300A/33E) OF LOAD2SIX4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
        except:
            if debug3300 is True:
                print("\n (STEP 3300B/33E) OF LOAD2SIX4XI *** FAILED TO OPEN FILE: ", path2file, " - TIME: ", time4xi())       
            ack3300 = False
                
        if ack3300 is True:
      
            if debug3300 is True:
                print("\n (STEP 3200B/33) OF LOAD2SIX4XI - STARTING TO READ FILE: ", path2file, " - TIME: ", time4xi())   
            
                print("\n (STEP 3300C/33) OF LOAD2SIX4XI - STARTING TO BUILD DICTIONARY: ", shot2six33004xi, " - TIME: ", time4xi())            
                      
            # ----------------------------------------------------------------------------------------------------------------------------
            # 
            # ----------------------------------------------------------------------------------------------------------------------------                     
            while 1:
                ack2key = False          
                nack2key = True
                    
                ack2info = False          
                nack2info = True            
                
                # ------------------------------------------------------------------------------------------------------------------------
                # PROCESS THE INPUT FILE AND BUILD DICTIONARY
                # ------------------------------------------------------------------------------------------------------------------------ 
                input_line2xi = f3300.readline()                                                       # new line
                if not input_line2xi:
                    break                                                                              # all lines read, finish
                else:
    
                    i2id = str.find(input_line2xi,'<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->') 
         
                if i2id == -1:                                                                         # not copyright
                    if debug3300 is True: 
                        print('(STEP 3300D/33) OF LOAD2SIX4XI - ACCEPTED LINE: ', input_line2xi)    
                    i2skip = str.find(input_line2xi,'time2shot')                                       # is it info line ?            
                    if i2skip == - 1:                                                                  # no, it is a key line
                        nack2key = False                                                               # 
                        ack2key = True
                        if debug3300 is True:                                                          
                            print('(STEP 3300E/33) OF LOAD2SIX4XI - KEY LINE: ', input_line2xi)                                                                          
                        order3300 = order3300 + 1                                           
                            
                        key2dictionary = input_line2xi                                
                    else:
                        if debug3300 is True:                                                          # info line
                            print('(STEP 3300F/33) OF LOAD2SIX4XI - SKIPPED INFO LINE: ', input_line2xi)  # 
                        nack2info = False          
                        ack2info = True
                          
                        
                        #3300
                        shot2six33004xi[order3300] = key2dictionary                                        
                        if debug3300 is True:    
                            print('(STEP 3300G/33) OF LOAD2SIX4XI - CREATED SHOT2SIX4XI[', order3300, ']: ', shot2six33004xi[order3300]) #                          
                                                                                                       
                else:                                                                                  # copyright line
                    if debug3300 is True:    
                        print('(STEP 3300G/33) OF LOAD2SIX4XI - SKIPPED COPYRIGHT LINE: ', input_line2xi)          #  
                    ack2key = False          
                    nack2key = True
                    
                    ack2info = False          
                    nackinfo = True
                    
            # ----------------------------------------------------------------------------------------------------------------------------
            # end of while
            # ----------------------------------------------------------------------------------------------------------------------------                      
            f3300.close()
            if debug3300 is True:    
                print('(STEP 3300H/33) OF LOAD2SIX4XI - CLOSED INPUT FILE: ', f3300)                        
                #
                print('(STEP 3300J/33) CREATED DICTIONARY: ')                 
                keys2shot = shot2six33004xi.keys()
                for key2shot in sorted(keys2shot):
                    print('\n', key2shot, ' : ', shot2six33004xi[key2shot])
                    
                #
                # 1  :  -1029x2984y-961z
                # 2  :  -1033x1936y-2463z
                # 3  :  -1120x1858y-2485z
                # 4  :  -1136x2915y-1046z
                # 5  :  -1180x2917y-992z
                # 6  :  -1202x1777y-2507z
                # 7  :  -1278x1691y-2528z
                # 8  :  -1283x2842y-1078z
                # 9  :  -1327x2842y-1024z
                # 10  :  -1349x1602y-2549z
                # 11  :  -1413x1511y-2570z
                # 12  :  -1425x2761y-1109z
                # 13  :  -1469x2759y-1055z
                # 14  :  -1472x1417y-2590z
                # 15  :  -1524x1321y-2611z
                # 16  :  -1562x2673y-1140z
                # 17  :  -1571x1223y-2631z
                # 18  :  -1606x2670y-1086z
                # 19  :  -1611x1124y-2651z
                # 20  :  -1645x1024y-2670z
                # 21  :  -164x1298y-3029z
                # 22  :  -1661x55y-2850z
                # 23  :  -1673x924y-2689z
                # 24  :  -1684x144y-2833z
                # 25  :  -1693x2578y-1171z
                # 26  :  -1695x823y-2708z
                # 27  :  -1702x236y-2816z
                # 28  :  -1711x723y-2727z
                # 29  :  -1715x330y-2799z
                # 30  :  -1720x623y-2745z
                # 31  :  -1722x426y-2781z
                # 32  :  -1724x524y-2764z
                # 33  :  -1737x2573y-1117z
                # 34  :  -1819x2476y-1201z
                # 35  :  -1863x2469y-1148z
                # 36  :  -1938x2368y-1232z
                # 37  :  -1982x2359y-1179z
                # 38  :  -2051x2254y-1263z
                # 39  :  -2082x2559y-9z
                # 40  :  -2094x2244y-1210z
                # 41  :  -2157x2135y-1293z
                # 42  :  -2200x2122y-1240z
                # 43  :  -2213x2447y-42z
                # 44  :  -2256x2010y-1323z
                # 45  :  -227x1258y-3042z
                # 46  :  -2299x1996y-1271z
                # 47  :  -2338x2327y-75z
                # 48  :  -2348x1881y-1354z
                # 49  :  -2390x1865y-1301z
                # 50  :  -2432x1748y-1384z
                # 51  :  -2455x2201y-108z
                # 52  :  -2474x1730y-1332z
                # 53  :  -2509x1610y-1413z
                # 54  :  -2549x1591y-1362z
                # 55  :  -2566x2069y-141z
                # 56  :  -2577x1470y-1443z
                # 57  :  -2617x1449y-1392z
                # 58  :  -2637x1326y-1473z
                # 59  :  -2670x1931y-174z
                # 60  :  -2690x1180y-1502z
                # 61  :  -2734x1033y-1532z
                # 62  :  -2758x1343y-1465z
                # 63  :  -2766x1787y-207z
                # 64  :  -2769x883y-1561z
                # 65  :  -2796x733y-1590z
                # 66  :  -2815x583y-1619z
                # 67  :  -2822x133y-1704z
                # 68  :  -2826x432y-1647z
                # 69  :  -2828x282y-1676z
                # 70  :  -2853x1639y-240z
                # 71  :  -285x1215y-3054z
                # 72  :  -291x2344y-2304z
                # 73  :  -2933x1486y-273z
                # 74  :  -3004x1329y-306z
                # 75  :  -3067x1169y-338z
                # 76  :  -3120x1006y-371z
                # 77  :  -3165x840y-404z
                # 78  :  -3200x672y-437z
                # 79  :  -3227x503y-469z
                # 80  :  -3244x333y-502z
                # 81  :  -3252x163y-535z
                # 82  :  -340x1169y-3067z
                # 83  :  -348x3158y-889z
                # 84  :  -391x1120y-3079z
                # 85  :  -409x2303y-2327z
                # 86  :  -437x1070y-3090z
                # 87  :  -453x13y-3268z
                # 88  :  -479x1017y-3102z
                # 89  :  -484x40y-3263z
                # 90  :  -512x3127y-920z
                # 91  :  -514x70y-3258z
                # 92  :  -517x964y-3113z
                # 93  :  -524x2255y-2350z
                # 94  :  -542x103y-3253z
                # 95  :  -551x909y-3124z
                # 96  :  -554x3135y-866z
                # 97  :  -567x139y-3247z
                # 98  :  -580x853y-3134z
                # 99  :  -590x177y-3241z
                # 100  :  -605x796y-3144z
                # 101  :  -610x219y-3235z
                # 102  :  -625x739y-3154z
                # 103  :  -628x263y-3228z
                # 104  :  -635x2202y-2373z
                # 105  :  -642x310y-3221z
                # 106  :  -642x682y-3164z
                # 107  :  -653x358y-3214z
                # 108  :  -653x626y-3173z
                # 109  :  -661x409y-3206z
                # 110  :  -661x570y-3182z
                # 111  :  -665x461y-3199z
                # 112  :  -665x515y-3190z
                # 113  :  -673x3087y-952z
                # 114  :  -715x3093y-897z
                # 115  :  -741x2143y-2396z
                # 116  :  -831x3038y-984z
                # 117  :  -843x2079y-2419z
                # 118  :  -874x3043y-929z
                # 119  :  -941x2010y-2441z
                # 120  :  -985x2981y-1015z
                # 121  :  -98x1335y-3015z
             
                
                
                
                
                
                
                
            
        else:                                                
            # ----------------------------------------------------------------------------------------------------------------------------
            # NO FILE OPENED
            # ----------------------------------------------------------------------------------------------------------------------------      
            print("\n (STEP 3300H/33) OF LOAD2SIX4XI - SKIPPED READING FILE AND BUILT ONLY STUB: ", shot2six33004xi, " - TIME: ", time4xi())
    except:
        print("\n (STEP 3300I/33) OF LOAD2SIX4XI *** FAILED WITH FILE AND BUILT ONLY STUB: ", shot2six33004xi, " - TIME: ", time4xi())    
   
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # STATISTICS
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # RETURN
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    print("\n (STEP 33A/33) OF LOAD2SIX4XI - RETURNING TIME: ", time4xi()) 
    return

            
               
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of load2six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
